<?xml version = "1.0" encoding = "UTF-8"?>
<!--
_________________________________________________________________________________________________________________________________________________________________________________________
                  Generated File - Do Not Edit File Directly                                                                                                                             
                  __________________________________________

                  Generated          : 2016-07-20 2:01:20 PM

                  Product            : Pathology Report
                  Release            : CDA_Implementation_Guide_v1.0
                  IG Guide Reference : 7.1.1.1
                  IG Guide Title     : PATHOLOGY TEST RESULT
                  Generator Version  : 2.28
                                                                                                                                                                                         
_________________________________________________________________________________________________________________________________________________________________________________________
-->

<schema xmlns="http://www.ascc.net/xml/schematron">
    <ns prefix = "cda" uri = "urn:hl7-org:v3"/>
    <ns prefix = "ext" uri = "http://ns.electronichealth.net.au/Ci/Cda/Extensions/3.0"/>
    <ns prefix = "xs" uri = "http://www.w3.org/2001/XMLSchema"/>
    <ns prefix = "xsi" uri = "http://www.w3.org/2001/XMLSchema-instance"/>

    <pattern name="p-Pathology_Report_2_PATHOLOGYTESTRESULT_7_1_1_1-errors"
        id="p-Pathology_Report_2_PATHOLOGYTESTRESULT_7_1_1_1-errors"
        see="#p-Pathology_Report_2_PATHOLOGYTESTRESULT_7_1_1_1-errors">


        <rule context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.20018']">

            <assert test="cda:component[cda:section/cda:code/@code = '102.16144']"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'component' tag is missing for 'PATHOLOGY TEST RESULT'.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.20018']/cda:component[cda:section/cda:code/@code = '102.16144']">

            <report test="count(cda:section) > 1"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'section' tag shall appear only once.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.20018']/cda:component/cda:section[cda:code/@code = '102.16144']">

            <report test="count(cda:title) > 1"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'title' tag shall appear only once.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <report test="cda:title and normalize-space(cda:title) = ''"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'title' tag shall contain a value.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <report test="
                cda:title and normalize-space(cda:title) != '' and
                cda:title != 'Pathology Test Result'"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'title' tag shall contain the value 'Pathology Test Result'.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <report test="cda:text and not(cda:title)"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'title' tag is missing for the existence of 'text'.
                Refer to section 7.1.1.1 of the 
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <report test="count(cda:text) > 1"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'text' tag shall appear only once.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <report test="cda:text and normalize-space(cda:text) = ''"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT" -
                The 'text' tag shall contain a value.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <assert test="cda:id"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Pathology Test Result Instance Identifier" -
                The 'id' tag is missing.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:id) > 1"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Pathology Test Result Instance Identifier" -
                The 'id' tag shall appear only once.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

            <report test="count(cda:code[@code = '102.16144']) > 1"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Detailed Clinical Model Identifier" -
                The 'code' tag shall appear only once for ' Detailed Clinical Model Identifier'.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.20018']/cda:component/cda:section[cda:code/@code = '102.16144']/cda:id">

            <report test="
                contains(@root, '-') and not(
                string-length(@root) = 36 and
                substring(@root,  9, 1) = '-' and substring(@root, 14, 1) = '-' and
                substring(@root, 19, 1) = '-' and substring(@root, 24, 1) = '-' and
                translate(substring(@root,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and
                translate(substring(@root, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and
                translate(substring(@root, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and
                translate(substring(@root, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and
                translate(substring(@root, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Pathology Test Result Instance Identifier" -
                The 'id' tag 'root' attribute shall be a valid UUID.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.20018']/cda:component/cda:section/cda:code[@code = '102.16144']">

            <assert test="@codeSystem"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Detailed Clinical Model Identifier" -
                The 'code' tag 'codeSystem' attribute is missing.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="
                not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Detailed Clinical Model Identifier" -
                The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="@displayName"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Detailed Clinical Model Identifier" -
                The 'code' tag 'displayName' attribute is missing.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="
                not(@displayName) or normalize-space(@displayName) = '' or @displayName = 'Pathology Test Result'"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Detailed Clinical Model Identifier" -
                The 'code' tag 'displayName' attribute shall contain the value 'Pathology Test Result'.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="not(cda:translation)"
                >Error: Pathology Report - 7.1.1.1 PATHOLOGY TEST RESULT -
                "PATHOLOGY TEST RESULT / Detailed Clinical Model Identifier" -
                The 'translation' tag shall not be present.
                Refer to section 7.1.1.1 of the
                Pathology_Report_CDA_Implementation_Guide_v1.0.</assert>

        </rule>


    </pattern>

</schema>
