<?xml version = "1.0" encoding = "UTF-8"?>
<!--
_________________________________________________________________________________________________________________________________________________________________________________________
                  Generated File - Do Not Edit File Directly                                                                                                                             
                  __________________________________________

                  Generated          : 28/01/2015 2:42:13 PM

                  Product            : PCEHR Dispense Record
                  Release            : CDA_Implementation_Guide_v1.0
                  IG Guide Reference : 6.1.3
                  IG Guide Title     : Dispensing Organisation
                  Generator Version  : 2.27
                                                                                                                                                                                         
_________________________________________________________________________________________________________________________________________________________________________________________
-->

<schema xmlns="http://www.ascc.net/xml/schematron">
    <ns prefix = "cda" uri = "urn:hl7-org:v3"/>
    <ns prefix = "ext" uri = "http://ns.electronichealth.net.au/Ci/Cda/Extensions/3.0"/>
    <ns prefix = "xs" uri = "http://www.w3.org/2001/XMLSchema"/>
    <ns prefix = "xsi" uri = "http://www.w3.org/2001/XMLSchema-instance"/>

    <pattern name="p-PCEHR_Dispense_Record_DispensingOrganisation_6_1_3-errors"
        id="p-PCEHR_Dispense_Record_DispensingOrganisation_6_1_3-errors"
        see="#p-PCEHR_Dispense_Record_DispensingOrganisation_6_1_3-errors">


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:code[@code = 'PHARM']">

            <assert test="not(cda:translation)"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'translation' tag shall not be present within 'code'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="@codeSystem"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag 'codeSystem' attribute is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="
                not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '2.16.840.1.113883.1.11.17660'"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag 'codeSystem' attribute shall contain the value '2.16.840.1.113883.1.11.17660'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="@codeSystemName"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag 'codeSystemName' attribute is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="
                not(@codeSystemName) or normalize-space(@codeSystemName) = '' or translate(@codeSystemName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;HL7 SERVICEDELIVERYLOCATIONROLETYPE&quot;"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag 'codeSystemName' attribute shall contain the value 'HL7 ServiceDeliveryLocationRoleType'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="@displayName"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag 'displayName' attribute is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="
                not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;PHARMACY&quot;"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag 'displayName' attribute shall contain the value 'Pharmacy'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter">

            <assert test="cda:location"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation" -
                The 'location' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:location) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation" -
                The 'location' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location">

            <report test="@typeCode and normalize-space(@typeCode) = ''"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation" -
                The 'location' tag 'typeCode' attribute shall contain a value.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

            <report test="
                @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'LOC'"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation" -
                The 'location' tag 'typeCode' attribute shall contain the value 'LOC'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

            <assert test="cda:healthCareFacility"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participation Type" -
                The 'healthCareFacility' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:healthCareFacility) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participation Type" -
                The 'healthCareFacility' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility">

            <assert test="cda:id"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participation Type" -
                The 'id' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:id) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participation Type" -
                The 'id' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

            <assert test="cda:code[@code = 'PHARM']"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag is missing for ' Role'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:code[@code = 'PHARM']) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Role" -
                The 'code' tag shall appear only once for ' Role'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

            <assert test="cda:serviceProviderOrganization"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant" -
                The 'serviceProviderOrganization' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:serviceProviderOrganization) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant" -
                The 'serviceProviderOrganization' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:id">

            <report test="
                contains(@root, '-') and not(
                string-length(@root) = 36 and
                substring(@root,  9, 1) = '-' and substring(@root, 14, 1) = '-' and
                substring(@root, 19, 1) = '-' and substring(@root, 24, 1) = '-' and
                translate(substring(@root,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and
                translate(substring(@root, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and
                translate(substring(@root, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and
                translate(substring(@root, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and
                translate(substring(@root, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participation Type" -
                The 'id' tag 'root' attribute shall be a valid UUID.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:serviceProviderOrganization">

            <assert test="cda:asOrganizationPartOf"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant" -
                The 'asOrganizationPartOf' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:asOrganizationPartOf) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant" -
                The 'asOrganizationPartOf' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

            <report test="count(cda:name) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Person or Organisation or Device / Organisation / Department/Unit" -
                The 'name' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:serviceProviderOrganization/cda:asOrganizationPartOf">

            <assert test="cda:wholeOrganization"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant" -
                The 'wholeOrganization' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:wholeOrganization) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant" -
                The 'wholeOrganization' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:serviceProviderOrganization/cda:asOrganizationPartOf/cda:wholeOrganization">

            <assert test="ext:asEntityIdentifier"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Entity Identifier" -
                The 'asEntityIdentifier' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="not(ext:asEntityIdentifier) or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Entity Identifier" -
                The 'asEntityIdentifier' tag for 'HPI-O' is missing.
                "The value of one Entity Identifier SHALL be an Australian HPI-O." although there could be multiple Entity Identifiers.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="cda:name"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Person or Organisation or Device / Organisation / Organisation Name" -
                The 'name' tag is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <report test="count(cda:name) > 1"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Person or Organisation or Device / Organisation / Organisation Name" -
                The 'name' tag shall appear only once.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</report>

        </rule>


        <rule context="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:serviceProviderOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:addr">

            <assert test="@use"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Address" -
                The 'addr' tag 'use' attribute is missing.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="not(@use) or normalize-space(@use) != ''"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Address" -
                The 'addr' tag 'use' attribute shall contain a value.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

            <assert test="
                not(@use) or normalize-space(@use) = '' or @use = 'WP'"
                >Error: PCEHR Dispense Record - 6.1.3 Dispensing Organisation -
                "Dispensing Organisation / Participant / Address" -
                The 'addr' tag 'use' attribute shall contain the value 'WP'.
                Refer to section 6.1.3 of the
                PCEHR_Dispense_Record_CDA_Implementation_Guide_v1.0.</assert>

        </rule>


    </pattern>

</schema>
