﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:cda="urn:hl7-org:v3" xmlns:ext="http://ns.electronichealth.net.au/Ci/Cda/Extensions/3.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" cda:dummy-for-xmlns="" ext:dummy-for-xmlns="" xs:dummy-for-xmlns="" xsi:dummy-for-xmlns="">
  <xsl:output method="xml" />
  <xsl:template match="*|@*" mode="schematron-get-full-path">
    <xsl:apply-templates select="parent::*" mode="schematron-get-full-path" />
    <xsl:text>/</xsl:text>
    <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
    <xsl:value-of select="name()" />
    <xsl:text>[</xsl:text>
    <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])" />
    <xsl:text>]</xsl:text>
  </xsl:template>
  <xsl:template match="/">
    <xsl:element name="Results">
      <xsl:attribute name="severity">#ALL</xsl:attribute>
      <xsl:apply-templates select="/" mode="M6" />
      <xsl:apply-templates select="/" mode="M7" />
      <xsl:apply-templates select="/" mode="M8" />
      <xsl:apply-templates select="/" mode="M9" />
      <xsl:apply-templates select="/" mode="M10" />
      <xsl:apply-templates select="/" mode="M11" />
      <xsl:apply-templates select="/" mode="M12" />
      <xsl:apply-templates select="/" mode="M13" />
      <xsl:apply-templates select="/" mode="M14" />
      <xsl:apply-templates select="/" mode="M15" />
      <xsl:apply-templates select="/" mode="M16" />
      <xsl:apply-templates select="/" mode="M17" />
      <xsl:apply-templates select="/" mode="M18" />
      <xsl:apply-templates select="/" mode="M19" />
      <xsl:apply-templates select="/" mode="M20" />
      <xsl:apply-templates select="/" mode="M21" />
      <xsl:apply-templates select="/" mode="M22" />
      <xsl:apply-templates select="/" mode="M23" />
      <xsl:apply-templates select="/" mode="M24" />
      <xsl:apply-templates select="/" mode="M25" />
      <xsl:apply-templates select="/" mode="M26" />
      <xsl:apply-templates select="/" mode="M27" />
      <xsl:apply-templates select="/" mode="M28" />
      <xsl:apply-templates select="/" mode="M29" />
      <xsl:apply-templates select="/" mode="M30" />
      <xsl:apply-templates select="/" mode="M31" />
      <xsl:apply-templates select="/" mode="M32" />
      <xsl:apply-templates select="/" mode="M33" />
      <xsl:apply-templates select="/" mode="M34" />
      <xsl:apply-templates select="/" mode="M35" />
      <xsl:apply-templates select="/" mode="M36" />
      <xsl:apply-templates select="/" mode="M37" />
      <xsl:apply-templates select="/" mode="M38" />
      <xsl:apply-templates select="/" mode="M39" />
      <xsl:apply-templates select="/" mode="M40" />
      <xsl:apply-templates select="/" mode="M41" />
      <xsl:apply-templates select="/" mode="M42" />
      <xsl:apply-templates select="/" mode="M43" />
      <xsl:apply-templates select="/" mode="M44" />
      <xsl:apply-templates select="/" mode="M45" />
      <xsl:apply-templates select="/" mode="M46" />
      <xsl:apply-templates select="/" mode="M47" />
      <xsl:apply-templates select="/" mode="M48" />
      <xsl:apply-templates select="/" mode="M49" />
      <xsl:apply-templates select="/" mode="M50" />
      <xsl:apply-templates select="/" mode="M51" />
    </xsl:element>
  </xsl:template>
  <xsl:template match="cda:component/cda:section" priority="4000" mode="M6">
    <xsl:if test="cda:text and not(cda:title)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - The 'title' tag is mandatory if 'text' tag is present. Refer to "025054 - Requirements for title element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:text and not(cda:title)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:title and normalize-space(cda:title) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - The 'title' tag shall contain a value. Refer to "025054 - Requirements for title element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:title and normalize-space(cda:title) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:text and (                 (cda:text/child::* and not(                 (name(cda:text/child::*) = 'content')          or (substring-after(name(cda:text/child::*), ':') = 'content')                 or (name(cda:text/child::*) = 'footnote')         or (substring-after(name(cda:text/child::*), ':') = 'footnote')                 or (name(cda:text/child::*) = 'footnoteRef')      or (substring-after(name(cda:text/child::*), ':') = 'footnoteRef')                 or (name(cda:text/child::*) = 'linkHtml')         or (substring-after(name(cda:text/child::*), ':') = 'linkHtml')                 or (name(cda:text/child::*) = 'list')             or (substring-after(name(cda:text/child::*), ':') = 'list')                 or (name(cda:text/child::*) = 'paragraph')        or (substring-after(name(cda:text/child::*), ':') = 'paragraph')                 or (name(cda:text/child::*) = 'renderMultiMedia') or (substring-after(name(cda:text/child::*), ':') = 'renderMultiMedia')                 or (name(cda:text/child::*) = 'sub')              or (substring-after(name(cda:text/child::*), ':') = 'sub')                 or (name(cda:text/child::*) = 'sup')              or (substring-after(name(cda:text/child::*), ':') = 'sup')                 or (name(cda:text/child::*) = 'table')            or (substring-after(name(cda:text/child::*), ':') = 'table')                 )                 ) or (not(cda:text/child::*) and normalize-space(cda:text) = ''))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - The 'text' tag shall contain a value for narrative content. Refer to the "Appendix CDA Narratives" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:text and (                 (cda:text/child::* and not(                 (name(cda:text/child::*) = 'content')          or (substring-after(name(cda:text/child::*), ':') = 'content')                 or (name(cda:text/child::*) = 'footnote')         or (substring-after(name(cda:text/child::*), ':') = 'footnote')                 or (name(cda:text/child::*) = 'footnoteRef')      or (substring-after(name(cda:text/child::*), ':') = 'footnoteRef')                 or (name(cda:text/child::*) = 'linkHtml')         or (substring-after(name(cda:text/child::*), ':') = 'linkHtml')                 or (name(cda:text/child::*) = 'list')             or (substring-after(name(cda:text/child::*), ':') = 'list')                 or (name(cda:text/child::*) = 'paragraph')        or (substring-after(name(cda:text/child::*), ':') = 'paragraph')                 or (name(cda:text/child::*) = 'renderMultiMedia') or (substring-after(name(cda:text/child::*), ':') = 'renderMultiMedia')                 or (name(cda:text/child::*) = 'sub')              or (substring-after(name(cda:text/child::*), ':') = 'sub')                 or (name(cda:text/child::*) = 'sup')              or (substring-after(name(cda:text/child::*), ':') = 'sup')                 or (name(cda:text/child::*) = 'table')            or (substring-after(name(cda:text/child::*), ':') = 'table')                 )                 ) or (not(cda:text/child::*) and normalize-space(cda:text) = ''))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:text) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - The 'text' tag shall appear only once. Refer to the "Appendix CDA Narratives" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:text) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M6" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M6" />
  <xsl:template match="cda:component/cda:section[not(cda:entry/cda:observationMedia/@ID='LOGO') and not(cda:code/@code = '102.16080')][(cda:subject) or (cda:author) or (cda:informant) or (cda:entry) or (ext:coverage2)]" priority="4000" mode="M7">
    <xsl:choose>
      <xsl:when test="(cda:text)                           or                           (parent::cda:component/ancestor::cda:component/cda:section[not(cda:entry/cda:observationMedia/@ID='LOGO') and not(cda:code/@code = '102.16080')]/cda:text)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - The 'text' tag is missing. Refer to "025052 Nested sections" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">(cda:text)                           or                           (parent::cda:component/ancestor::cda:component/cda:section[not(cda:entry/cda:observationMedia/@ID='LOGO') and not(cda:code/@code = '102.16080')]/cda:text)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M7" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M7" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody" priority="4000" mode="M8">
    <xsl:if test="count(cda:component[cda:section/cda:code/@code = '102.16080']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'component' tag shall appear only once for 'Administrative Observations'. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:component[cda:section/cda:code/@code = '102.16080']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M8" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component[cda:section/cda:code/@code = '102.16080']" priority="3999" mode="M8">
    <xsl:if test="count(cda:section) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'section' tag shall appear only once. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:section) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M8" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']" priority="3998" mode="M8">
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'code' tag shall appear only once. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:title) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'title' tag shall appear only once. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:title) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:title and normalize-space(cda:title) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'title' tag shall contain a value. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:title and normalize-space(cda:title) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:title and normalize-space(cda:title) != '' and                 cda:title != 'Administrative Observations'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'title' tag shall contain the value 'Administrative Observations'. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:title and normalize-space(cda:title) != '' and                 cda:title != 'Administrative Observations'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:text) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'text' tag shall appear only once. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:text) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:text and normalize-space(cda:text) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'text' tag shall contain a value. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:text and normalize-space(cda:text) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations / id" - The 'id' tag shall appear only once. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M8" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '102.16080']" priority="3997" mode="M8">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '102.16080']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:code[@code='102.16080'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The '/ClinicalDocument/component/structuredBody/component/section/code[@code = '102.16080']' path - 1 or more tags are missing. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '102.16080']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:code[@code='102.16080'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'code' tag 'displayName' attribute is missing. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;ADMINISTRATIVE OBSERVATIONS&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'code' tag 'displayName' attribute shall contain the value 'Administrative Observations'. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "ADMINISTRATIVE OBSERVATIONS"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4 Administrative Observations - "Administrative Observations" - The 'translation' tag shall not be present. Refer to section 4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M8" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M8" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody" priority="4000" mode="M9">
    <xsl:choose>
      <xsl:when test="cda:component[cda:section/cda:code/@code = '101.16973']" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'component' tag is missing for 'ADVANCE CARE INFORMATION SECTION'. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:component[cda:section/cda:code/@code = '101.16973']</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:component[cda:section/cda:code/@code = '101.16973']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'component' tag shall appear only once for 'ADVANCE CARE INFORMATION SECTION'. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:component[cda:section/cda:code/@code = '101.16973']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M9" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component[cda:section/cda:code/@code = '101.16973']" priority="3999" mode="M9">
    <xsl:if test="count(cda:section) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'section' tag shall appear only once. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:section) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M9" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']" priority="3998" mode="M9">
    <xsl:if test="count(cda:title) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'title' tag shall appear only once. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:title) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:title and normalize-space(cda:title) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'title' tag shall contain a value. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:title and normalize-space(cda:title) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:title and normalize-space(cda:title) != '' and                 cda:title != 'Goals of Care Section'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'title' tag shall contain the value 'Goals of Care Section'. Refer to section 028735 - Goals of Care section title of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:title and normalize-space(cda:title) != '' and                 cda:title != 'Goals of Care Section'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:text) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION" - The 'text' tag shall appear only once. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:text) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Advance Care Information Section Instance Identifier" - The 'id' tag shall appear only once. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'code' tag shall appear only once. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M9" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:id" priority="3997" mode="M9">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Advance Care Information Section Instance Identifier" - The 'id' tag 'nullFlavor' attribute shall not be present. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M9" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:code[@code = '101.16973']" priority="3996" mode="M9">
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'code' tag 'displayName' attribute is missing. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;ADVANCE CARE INFORMATION SECTION&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'code' tag 'displayName' attribute shall contain the value 'Advance Care Information Section'. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "ADVANCE CARE INFORMATION SECTION"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'code' tag 'nullFlavor' attribute shall not be present. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1 ADVANCE CARE INFORMATION SECTION - "ADVANCE CARE INFORMATION SECTION / Section Type" - The 'translation' tag shall not be present. Refer to section 7.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M9" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M9" />
  <xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M10">
    <xsl:choose>
      <xsl:when test="cda:component" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1 ADVANCE CARE INFORMATION - "Advance Care Information (Body)" - The 'component' tag is missing. Refer to section 7.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:component</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:component) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1 ADVANCE CARE INFORMATION - "Advance Care Information (Body)" - The 'component' tag shall appear only once. Refer to section 7.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:component) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M10" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component" priority="3999" mode="M10">
    <xsl:choose>
      <xsl:when test="cda:structuredBody" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1 ADVANCE CARE INFORMATION - "Advance Care Information (Body)" - The 'structuredBody' tag is missing. Refer to section 7.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:structuredBody</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:structuredBody) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1 ADVANCE CARE INFORMATION - "Advance Care Information (Body)" - The 'structuredBody' tag shall appear only once. Refer to section 7.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:structuredBody) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M10" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M10" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='ADMINISTRATIVE OBSERVATIONS')]" priority="4000" mode="M11">
    <xsl:choose>
      <xsl:when test="@code = '102.16080'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 4. Administrative Observations - The 'code' tag 'code' attribute shall be '102.16080'. Refer to section '4. Administrative Observations' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '102.16080'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M11" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M11" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2[ext:entitlement/ext:participant/@typeCode = 'HLD']" priority="4000" mode="M12">
    <xsl:choose>
      <xsl:when test="@typeCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'coverage2' tag 'typeCode' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@typeCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@typeCode) or normalize-space(@typeCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'coverage2' tag 'typeCode' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@typeCode) or normalize-space(@typeCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'COVBY'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'coverage2' tag 'typeCode' attribute shall contain the value 'COVBY'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'COVBY'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:entitlement) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:entitlement) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M12" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement[ext:participant/@typeCode = 'HLD']" priority="3999" mode="M12">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'classCode' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'classCode' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'COV'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'classCode' attribute shall contain the value 'COV'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'COV'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'moodCode' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:participant) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'participant' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:participant) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Number" - The 'id' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Number" - The 'id' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:effectiveTime) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Validity Duration" - The 'effectiveTime' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:effectiveTime) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M12" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode = 'HLD']" priority="3998" mode="M12">
    <xsl:if test="count(ext:participantRole) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:participantRole) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:participantRole" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:participantRole</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M12" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode = 'HLD']/ext:participantRole" priority="3997" mode="M12">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag 'classCode' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag 'classCode' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'ASSIGNED'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag 'classCode' attribute shall contain the value 'ASSIGNED'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'ASSIGNED'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'id' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT" - The 'id' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M12" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement[ext:participant/@typeCode = 'HLD']/ext:code" priority="3996" mode="M12">
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'code' attribute shall be as per 10.13 NCTIS: Admin Codes - Entitlement Type. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101.104.16047'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101.104.16047'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101.104.16047'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'displayName' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'code' and 'displayName' attributes shall match as per 10.13 NCTIS: Admin Codes - Entitlement Type. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M12" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M12" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode = 'HLD'] |             /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asQualifications" priority="4000" mode="M13">
    <xsl:choose>
      <xsl:when test="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR &gt; PARTICIPANT &gt; PERSON OR ORGANISATION OR DEVICE &gt; PERSON &gt; EMPLOYMENT DETAIL" - The '/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment' and DOCUMENT AUTHOR &gt; PARTICIPANT &gt; Qualifications tags from Document Author as a PERSON - Healthcare Provider are missing for the presence of DOCUMENT AUTHOR / Participant / Entitlement. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR &gt; PARTICIPANT &gt; PERSON OR ORGANISATION OR DEVICE &gt; PERSON &gt; EMPLOYMENT DETAIL" - The '/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M13" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode='HLD']/ext:participantRole[@classCode='ASSIGNED']/ext:id" priority="3999" mode="M13">
    <xsl:choose>
      <xsl:when test="not(@root)                  or normalize-space(@root) = ''                 or not(/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:id/@root)                 or normalize-space(/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:id/@root) = ''                 or (@root) = normalize-space(/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:id/@root)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR &gt; PARTICIPANT &gt; ENTITLEMENT / id" - The 'ext:id' tag 'root' attribute shall be holding the same value as '/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode='HLD']/ext:participantRole[@classCode='ASSIGNED']/ext:id/@root'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@root)                  or normalize-space(@root) = ''                 or not(/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:id/@root)                 or normalize-space(/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:id/@root) = ''                 or (@root) = normalize-space(/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:id/@root)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M13" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M13" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[ext:participantRole/@classCode='ASSIGNED']" priority="4000" mode="M14">
    <xsl:choose>
      <xsl:when test="@typeCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / Participant / Entitlement" - The 'participant' tag 'typeCode' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@typeCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@typeCode) or normalize-space(@typeCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / Participant / Entitlement" - The 'participant' tag 'typeCode' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@typeCode) or normalize-space(@typeCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="             not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'HLD'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / Participant / Entitlement" - The 'participant' tag 'typeCode' attribute shall contain the value 'HLD'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">             not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'HLD'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M14" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M14" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:author" priority="4000" mode="M15">
    <xsl:if test="count(cda:time) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participation Period" - The 'time' tag shall appear only once. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:time) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:time" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participation Period" - The 'time' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:time</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:assignedAuthor) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'assignedAuthor' tag shall appear only once. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedAuthor) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:assignedAuthor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'assignedAuthor' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:assignedAuthor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@typeCode and normalize-space(@typeCode) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag 'typeCode' attribute shall contain a value. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@typeCode and normalize-space(@typeCode) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'AUT'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag 'typeCode' attribute shall contain the value 'AUT'. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'AUT'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M15" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:author/cda:assignedAuthor" priority="3999" mode="M15">
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'id' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'id' tag shall appear only once. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Role" - The 'code' tag shall appear only once. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Role" - The 'code' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:assignedPerson" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant" - The 'assignedPerson' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:assignedPerson</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:assignedPerson) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant" - The 'assignedPerson' tag shall appear only once. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedPerson) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M15" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:author/cda:assignedAuthor/cda:assignedPerson" priority="3998" mode="M15">
    <xsl:choose>
      <xsl:when test="cda:name" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Person or Organisation or Device / Person / Person Name" - The 'name' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:name</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:personalRelationship)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Person or Organisation or Device / Person / Relationship to Subject of Care" - The 'personalRelationship' tag shall not be present. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:personalRelationship)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:asEmployment)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Person or Organisation or Device / Person / EMPLOYMENT DETAIL" - The 'asEmployment' tag shall not be present. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:asEmployment)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:administrativeGenderCode)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Person or Organisation or Device / Person / DEMOGRAPHIC DATA" - The 'administrativeGenderCode' tag shall not be present. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:administrativeGenderCode)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:birthTime)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Person or Organisation or Device / Person / DEMOGRAPHIC DATA" - The 'birthTime' tag shall not be present. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:birthTime)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:asQualifications)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'asQualifications' tag shall not be present. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:asQualifications)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M15" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name/cda:family" priority="3997" mode="M15">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Person or Organisation or Device / Person / Person Name" - The 'family' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M15" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']" priority="3996" mode="M15">
    <xsl:choose>
      <xsl:when test="cda:author" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag is missing. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:author</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:author) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag shall appear only once. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:author) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M15" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M15" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:author/cda:assignedAuthor" priority="4000" mode="M16">
    <xsl:choose>
      <xsl:when test="not(cda:telecom/@value) or starts-with(cda:telecom/@value, 'tel:')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Electronic Communication Detail" - One 'telecom' tag's 'value' attribute shall start with 'tel:'. Refer to section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:telecom/@value) or starts-with(cda:telecom/@value, 'tel:')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M16" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:author/cda:assignedAuthor/cda:telecom" priority="3999" mode="M16">
    <xsl:choose>
      <xsl:when test="@nullFlavor or @value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Electronic Communication Detail" - Either the 'nullFlavor' or the 'value' attribute shall exist for the 'telecom' tag. Refer to "027599 - Related document author electronic communication details" of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor or @value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and @value">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1.1 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participant / Electronic Communication Detail" - Both the 'nullFlavor' and the 'value' attribute shall not exist for the 'telecom' tag. Refer to "027599 - Related document author electronic communication details" of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and @value</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M16" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M16" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code [(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='DATE OF BIRTH IS CALCULATED FROM AGE')]" priority="4000" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '103.16233'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age - The 'code' tag 'code' attribute shall contain the value '103.16233'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '103.16233'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='DATE OF BIRTH ACCURACY INDICATOR')]" priority="3999" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '102.16234'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR - The 'code' tag 'code' attribute shall contain the value '102.16234'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '102.16234'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='AGE')]" priority="3998" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '103.20109'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age - The 'code' tag 'code' attribute shall contain the value '103.20109'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '103.20109'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='AGE ACCURACY INDICATOR')]" priority="3997" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '103.16279'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator - The 'code' tag 'code' attribute shall contain the value '103.16279'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '103.16279'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='BIRTH PLURALITY')]" priority="3996" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '103.16249'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality - The 'code' tag 'code' attribute shall contain the value '103.16249'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '103.16249'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='DATE OF DEATH ACCURACY INDICATOR')]" priority="3995" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '102.16252'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR - The 'code' tag 'code' attribute shall contain the value '102.16252'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '102.16252'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') ='SOURCE OF DEATH NOTIFICATION')]" priority="3994" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '103.10243'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification - The 'code' tag 'code' attribute shall contain the value '103.10243'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '103.10243'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation/cda:code[(translate(@displayName , 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;MOTHER'S ORIGINAL FAMILY NAME&quot;)]" priority="3993" mode="M17">
    <xsl:choose>
      <xsl:when test="@code = '103.10245'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother's Original Family Name - The 'code' tag 'code' attribute shall contain the value '103.10245'. Refer to section '6.1.1 Subject of Care' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = '103.10245'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M17" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M17" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']" priority="4000" mode="M18">
    <xsl:choose>
      <xsl:when test="cda:entry[cda:act/cda:code/@code = '102.16971']" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'entry' tag is missing for 'RELATED DOCUMENT'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:entry[cda:act/cda:code/@code = '102.16971']</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:entry[cda:act/cda:code/@code = '102.16971']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'entry' tag shall appear only once for 'RELATED DOCUMENT'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:act/cda:code/@code = '102.16971']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry[cda:act/cda:code/@code = '102.16971']" priority="3999" mode="M18">
    <xsl:if test="@typeCode and normalize-space(@typeCode) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'entry' tag 'typeCode' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@typeCode and normalize-space(@typeCode) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'COMP'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'entry' tag 'typeCode' attribute shall contain the value 'COMP'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'COMP'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:act) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:act) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']" priority="3998" mode="M18">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag 'classCode' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag 'classCode' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'ACT'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag 'classCode' attribute shall contain the value 'ACT'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'ACT'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag 'moodCode' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag 'moodCode' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'act' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'code' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'id' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:reference) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'reference' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:reference) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:reference[cda:externalDocument/cda:code/@code = '100.32016']" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'reference' tag is missing for ' Link Nature'. Refer to section 028734 - Goals of Care document sub-type of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:reference[cda:externalDocument/cda:code/@code = '100.32016']</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act/cda:code[@code = '102.16971']" priority="3997" mode="M18">
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'code' tag 'displayName' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;RELATED DOCUMENT&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'code' tag 'displayName' attribute shall contain the value 'Related Document'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "RELATED DOCUMENT"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT" - The 'translation' tag shall not be present. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:reference[cda:externalDocument/cda:code/@code = '100.32016']" priority="3996" mode="M18">
    <xsl:choose>
      <xsl:when test="cda:seperatableInd" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'seperatableInd' tag is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:seperatableInd</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:seperatableInd) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'seperatableInd' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:seperatableInd) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@typeCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'reference' tag 'typeCode' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@typeCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@typeCode) or normalize-space(@typeCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'reference' tag 'typeCode' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@typeCode) or normalize-space(@typeCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'REFR'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'reference' tag 'typeCode' attribute shall contain the value 'REFR'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'REFR'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:externalDocument[cda:code/@code = '100.32016']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'externalDocument' tag shall appear only once for ' Document Target'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:externalDocument[cda:code/@code = '100.32016']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:reference[cda:externalDocument/cda:code/@code = '100.32016']/cda:seperatableInd" priority="3995" mode="M18">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'seperatableInd' tag 'value' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'seperatableInd' tag 'value' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or normalize-space(@value) = '' or @value = 'true'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Link Nature" - The 'seperatableInd' tag 'value' attribute shall contain the value 'true'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or normalize-space(@value) = '' or @value = 'true'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:reference/cda:externalDocument[cda:code/@code = '100.32016']" priority="3994" mode="M18">
    <xsl:if test="@classCode and normalize-space(@classCode) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'externalDocument' tag 'classCode' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@classCode and normalize-space(@classCode) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @classCode and normalize-space(@classCode) != '' and @classCode != 'DOC'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'externalDocument' tag 'classCode' attribute shall contain the value 'DOC'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @classCode and normalize-space(@classCode) != '' and @classCode != 'DOC'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@moodCode and normalize-space(@moodCode) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'externalDocument' tag 'moodCode' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@moodCode and normalize-space(@moodCode) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @moodCode and normalize-space(@moodCode) != '' and @moodCode != 'EVN'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'externalDocument' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @moodCode and normalize-space(@moodCode) != '' and @moodCode != 'EVN'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:text" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:text</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:text) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:text) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:code[@code = '100.32016']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / DOCUMENT DETAILS / Document Type" - The 'code' tag shall appear only once for ' Document Type'. Refer to section 028734 - 'Goals of Care document sub-type' of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code[@code = '100.32016']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / DOCUMENT DETAILS / Document Identifier" - The 'id' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:reference/cda:externalDocument[cda:code/@code = '100.32016']/cda:text" priority="3993" mode="M18">
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'xsi:type' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'ED' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'ED')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'xsi:type' attribute shall contain the value 'ED'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'ED' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'ED')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@mediaType" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'mediaType' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@mediaType</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@mediaType) or normalize-space(@mediaType) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'mediaType' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@mediaType) or normalize-space(@mediaType) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@mediaType) or normalize-space(@mediaType) = '' or @mediaType = 'application/pdf'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'mediaType' attribute shall contain the value 'application/pdf'. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@mediaType) or normalize-space(@mediaType) = '' or @mediaType = 'application/pdf'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@integrityCheck" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'integrityCheck' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@integrityCheck</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@integrityCheck) or normalize-space(@integrityCheck) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'integrityCheck' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@integrityCheck) or normalize-space(@integrityCheck) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'text' tag 'nullFlavor' attribute shall not be present. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:reference" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'reference' tag is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:reference</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:reference) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'reference' tag shall appear only once. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:reference) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:reference/cda:externalDocument[cda:code/@code = '100.32016']/cda:text/cda:reference" priority="3992" mode="M18">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'reference' tag 'value' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'reference' tag 'value' attribute shall contain a value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'reference' tag 'nullFlavor' attribute shall not be present. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:entry/cda:act[cda:code/@code = '102.16971']/cda:reference/cda:externalDocument/cda:code[@code = '100.32016']" priority="3991" mode="M18">
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / DOCUMENT DETAILS / Document Type" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / DOCUMENT DETAILS / Document Type" - The 'code' tag 'displayName' attribute is missing. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / DOCUMENT DETAILS / Document Type" - The 'code' tag 'nullFlavor' attribute shall not be present. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / DOCUMENT DETAILS / Document Type" - The 'translation' tag shall not be present. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M18" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M18" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='101.16973']/cda:entry/cda:act[cda:code/@code='102.16971']/cda:reference/cda:externalDocument[cda:code]/cda:text/cda:reference" priority="4000" mode="M19">
    <xsl:choose>
      <xsl:when test="not(@value) or (normalize-space(@value) = '') or (substring(@value, ((string-length(@value)) - 3), 4)='.pdf')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" - The 'reference' tag 'value' attribute shall end with a value '.pdf'. Refer to 027490 - CDA document has a PDF packaged attachment of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or (normalize-space(@value) = '') or (substring(@value, ((string-length(@value)) - 3), 4)='.pdf')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(@value) and not(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:text//cda:linkHtml/@href)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" check for "linkHtml" tag - The '/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:text//cda:linkHtml' tag 'href' attribute shall be present. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@value) and not(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:text//cda:linkHtml/@href)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@value) or (@value = /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:text//cda:linkHtml/@href)                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 7.1.1.1 RELATED DOCUMENT - "RELATED DOCUMENT / Document Target" check for "linkHtml" tag - The 'reference' tag '@value' attribute value shall be same as '/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:text//cda:linkHtml' tag 'href' attribute value. Refer to section 7.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or (@value = /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '101.16973']/cda:text//cda:linkHtml/@href)                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M19" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M19" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement[ext:participant/@typeCode = 'BEN']" priority="4000" mode="M20">
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Number" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Number" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:effectiveTime) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Validity Duration" - The 'effectiveTime' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:effectiveTime) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'COV'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'classCode' attribute shall contain the value 'COV'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'COV'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:participant) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'participant' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:participant) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement[ext:participant/@typeCode = 'BEN']/ext:code" priority="3999" mode="M20">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'code' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'code' attribute shall be as per NCTIS: Admin Codes - Entitlement Type. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101.104.16047'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101.104.16047'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101.104.16047'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'displayName' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT / Entitlement Type" - The 'code' tag 'code' and 'displayName' attributes shall match as per NCTIS: Admin Codes - Entitlement Type. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'NCTIS_Entitlement_Type_Values']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']" priority="3998" mode="M20">
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '103.16233']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'entry' tag shall appear only once for ' Date of Birth is Calculated From Age'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '103.16233']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '102.16234']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'entry' tag shall appear only once for ' DATE OF BIRTH ACCURACY INDICATOR'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '102.16234']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '103.20109']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'entry' tag shall appear only once for ' Age'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '103.20109']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '103.16279']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'entry' tag shall appear only once for ' Age Accuracy Indicator'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '103.16279']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '103.16249']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'entry' tag shall appear only once for ' Birth Plurality'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '103.16249']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '103.10245']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'entry' tag shall appear only once for ' Mother s Original Family Name'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '103.10245']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '103.10243']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'entry' tag shall appear only once for ' Source of Death Notification'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '103.10243']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:entry[cda:observation/cda:code/@code = '102.16252']) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'entry' tag shall appear only once for ' DATE OF DEATH ACCURACY INDICATOR'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:entry[cda:observation/cda:code/@code = '102.16252']) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '103.16233']" priority="3997" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16233']" priority="3996" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '103.16233']" priority="3995" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '103.16233']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.16233'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '103.16233']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '103.16233']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.16233'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;DATE OF BIRTH IS CALCULATED FROM AGE&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'code' tag 'displayName' attribute shall contain the value 'Date of Birth is Calculated From Age'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "DATE OF BIRTH IS CALCULATED FROM AGE"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16233']/cda:value" priority="3994" mode="M20">
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'BL' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'BL')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'value' tag 'xsi:type' attribute shall contain the value 'BL'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'BL' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'BL')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '102.16234']" priority="3993" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '102.16234']" priority="3992" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '102.16234']" priority="3991" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '102.16234']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='102.16234'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '102.16234']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '102.16234']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='102.16234'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;DATE OF BIRTH ACCURACY INDICATOR&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'code' tag 'displayName' attribute shall contain the value 'Date of Birth Accuracy Indicator'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "DATE OF BIRTH ACCURACY INDICATOR"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '102.16234']/cda:value" priority="3990" mode="M20">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag 'code' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Date_Accuracy_Indicator']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag 'code' attribute shall be as per AS 5017-2006 Health Care Client Identifier Date Accuracy Indicator. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Date_Accuracy_Indicator']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag 'code' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'CS' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CS')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / DATE OF BIRTH ACCURACY INDICATOR" - The 'value' tag 'xsi:type' attribute shall contain the value 'CS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'CS' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CS')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '103.20109']" priority="3989" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.20109']" priority="3988" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '103.20109']" priority="3987" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '103.20109']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.20109'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '103.20109']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '103.20109']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.20109'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;AGE&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'code' tag 'displayName' attribute shall contain the value 'Age'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "AGE"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.20109']/cda:value" priority="3986" mode="M20">
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'PQ' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'PQ')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'value' tag 'xsi:type' attribute shall contain the value 'PQ'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'PQ' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'PQ')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '103.16279']" priority="3985" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16279']" priority="3984" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '103.16279']" priority="3983" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '103.16279']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.16279'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '103.16279']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '103.16279']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.16279'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;AGE ACCURACY INDICATOR&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'code' tag 'displayName' attribute shall contain the value 'Age Accuracy Indicator'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "AGE ACCURACY INDICATOR"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16279']/cda:value" priority="3982" mode="M20">
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'BL' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'BL')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'value' tag 'xsi:type' attribute shall contain the value 'BL'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'BL' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'BL')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '103.16249']" priority="3981" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16249']" priority="3980" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '103.16249']" priority="3979" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '103.16249']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.16249'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '103.16249']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '103.16249']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.16249'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;BIRTH PLURALITY&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'code' tag 'displayName' attribute shall contain the value 'Birth Plurality'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "BIRTH PLURALITY"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16249']/cda:value" priority="3978" mode="M20">
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'INT' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'INT')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'value' tag 'xsi:type' attribute shall contain the value 'INT'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'INT' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'INT')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '103.10245']" priority="3977" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.10245']" priority="3976" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '103.10245']" priority="3975" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '103.10245']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.10245'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '103.10245']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '103.10245']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.10245'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;MOTHER'S ORIGINAL FAMILY NAME&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'code' tag 'displayName' attribute shall contain the value 'Mother's Original Family Name'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "MOTHER'S ORIGINAL FAMILY NAME"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.10245']/cda:value" priority="3974" mode="M20">
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'PN' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'PN')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Mother s Original Family Name" - The 'value' tag 'xsi:type' attribute shall contain the value 'PN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'PN' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'PN')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2[ext:entitlement/ext:participant/@typeCode = 'BEN']" priority="3973" mode="M20">
    <xsl:choose>
      <xsl:when test="@typeCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'coverage2' tag 'typeCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@typeCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'COVBY'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'coverage2' tag 'typeCode' attribute shall contain the value 'COVBY'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'COVBY'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@typeCode) or normalize-space(@typeCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'coverage2' tag 'typeCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@typeCode) or normalize-space(@typeCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:entitlement) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'entitlement' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:entitlement) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode = 'BEN']" priority="3972" mode="M20">
    <xsl:choose>
      <xsl:when test="ext:participantRole" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:participantRole</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:participantRole) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:participantRole) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode = 'BEN']/ext:participantRole" priority="3971" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'PAT'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag 'classCode' attribute shall contain the value 'PAT'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'PAT'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'participantRole' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '103.10243']" priority="3970" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.10243']" priority="3969" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@moodCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag 'moodCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@moodCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag 'moodCode' attribute shall contain the value 'EVN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@moodCode) or normalize-space(@moodCode) = '' or @moodCode = 'EVN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@moodCode) or normalize-space(@moodCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'observation' tag 'moodCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@moodCode) or normalize-space(@moodCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '103.10243']" priority="3968" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '103.10243']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.10243'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '103.10243']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '103.10243']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='103.10243'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;SOURCE OF DEATH NOTIFICATION&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'code' tag 'displayName' attribute shall contain the value 'Source of Death Notification'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "SOURCE OF DEATH NOTIFICATION"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.10243']/cda:value" priority="3967" mode="M20">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'code' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'code' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'AS_5017-2006_Health_Care_Client_Source_of_Death_Notification']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'code' attribute shall be as per AS 5017-2006: Health Care Client Source of Death Notification. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'AS_5017-2006_Health_Care_Client_Source_of_Death_Notification']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'displayName' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'AS_5017-2006_Health_Care_Client_Source_of_Death_Notification']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'code' and 'displayName' attributes shall match as per AS 5017-2006: Health Care Client Source of Death Notification. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'AS_5017-2006_Health_Care_Client_Source_of_Death_Notification']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@xsi:type) or normalize-space(@xsi:type) = '' or                  normalize-space(@xsi:type) = 'CD' or                 (substring-before(normalize-space(@xsi:type), ':') != '' and                 substring-after(normalize-space(@xsi:type), ':') = 'CD') or                  normalize-space(@xsi:type) = 'CE' or                 (substring-before(normalize-space(@xsi:type), ':') != '' and                 substring-after(normalize-space(@xsi:type), ':') = 'CE')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'xsi:type' attribute shall contain the value 'CD' or 'CE'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@xsi:type) or normalize-space(@xsi:type) = '' or                  normalize-space(@xsi:type) = 'CD' or                 (substring-before(normalize-space(@xsi:type), ':') != '' and                 substring-after(normalize-space(@xsi:type), ':') = 'CD') or                  normalize-space(@xsi:type) = 'CE' or                 (substring-before(normalize-space(@xsi:type), ':') != '' and                 substring-after(normalize-space(@xsi:type), ':') = 'CE')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry[cda:observation/cda:code/@code = '102.16252']" priority="3966" mode="M20">
    <xsl:if test="count(cda:observation) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'observation' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:observation) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '102.16252']" priority="3965" mode="M20">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'observation' tag 'classCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'observation' tag 'classCode' attribute shall contain the value 'OBS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'OBS'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'observation' tag 'classCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'code' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="cda:code[@code = '102.16252']" priority="3964" mode="M20">
    <xsl:choose>
      <xsl:when test="                 count(/cda:ClinicalDocument//cda:code[@code = '102.16252']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='102.16252'])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The '/ClinicalDocument/component/structuredBody/component/section[code/@code = '102.16080']/entry/observation/code[@code = '102.16252']' path - 1 or more tags are missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 count(/cda:ClinicalDocument//cda:code[@code = '102.16252']) =                 count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code='102.16080']/cda:entry/cda:observation/cda:code[@code='102.16252'])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or translate(@codeSystem, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;1.2.36.1.2001.1001.101&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or translate(@codeSystem, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "1.2.36.1.2001.1001.101"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'code' tag 'displayName' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;DATE OF DEATH ACCURACY INDICATOR&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'code' tag 'displayName' attribute shall contain the value 'Date of Death Accuracy Indicator'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "DATE OF DEATH ACCURACY INDICATOR"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '102.16252']/cda:value" priority="3963" mode="M20">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag 'code' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag 'code' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Date_Accuracy_Indicator']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag 'code' attribute shall be as per 10.11 AS 5017-2006 Health Care Client Identifier Date Accuracy Indicator. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Date_Accuracy_Indicator']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag 'xsi:type' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'CS' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CS')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / DATE OF DEATH ACCURACY INDICATOR" - The 'value' tag 'xsi:type' attribute shall contain the value 'CS'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and normalize-space(@xsi:type) != '' and                  normalize-space(@xsi:type) != 'CS' and                 not(substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CS')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M20" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M20" />
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16233']/cda:value" priority="4000" mode="M21">
    <xsl:choose>
      <xsl:when test="                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'TRUE' or                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'FALSE'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth is Calculated From Age" - The 'value' tag 'value' attribute shall contain the value 'true' or 'false'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'TRUE' or                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'FALSE'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16249']/cda:value" priority="3999" mode="M21">
    <xsl:choose>
      <xsl:when test="not(@value) or number(@value) &gt; 0" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'value' tag 'value' attribute shall be an integer greater than equal to 1. Refer to "section 2.57 Birth Plurality of NEHTA_0794_2011_Participation_Data_Specification_v3.2" and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or number(@value) &gt; 0</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@value and normalize-space(@value) != '' and number(@value) != floor(@value)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Plurality" - The 'value' tag 'value' attribute shall contain an integer value. Refer to "section 2.57 Birth Plurality of NEHTA_0794_2011_Participation_Data_Specification_v3.2" and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) != '' and number(@value) != floor(@value)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.20109']/cda:value" priority="3998" mode="M21">
    <xsl:choose>
      <xsl:when test="not(@value) or number(@value) &gt;= 0" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'value' tag 'value' attribute shall be an integer greater than equal to 0. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or number(@value) &gt;= 0</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                     @value and                     normalize-space(@value) != '' and                     number(@value) != floor(@value)                     ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT &gt; PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'value' tag 'value' attribute shall contain an integer value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                     @value and                     normalize-space(@value) != '' and                     number(@value) != floor(@value)                     </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@unit) or (@unit = 'd') or (@unit = 'wk') or (@unit = 'mo') or (@unit = 'a')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT &gt; PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age" - The 'unit' tag 'unit' attribute shall be 'd' or 'wk' or 'mo' or 'a'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@unit) or (@unit = 'd') or (@unit = 'wk') or (@unit = 'mo') or (@unit = 'a')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.16279']/cda:value" priority="3997" mode="M21">
    <xsl:choose>
      <xsl:when test="                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'TRUE' or                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'FALSE'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / AGE DETAIL / Age Accuracy Indicator" - The 'value' tag 'value' attribute shall contain the value 'true' or 'false'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'TRUE' or                     translate(@value, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'FALSE'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[ext:participantRole/@classCode = 'PAT']" priority="3996" mode="M21">
    <xsl:choose>
      <xsl:when test="@typeCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'ext:participant' tag 'typeCode' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@typeCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                     not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'BEN'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'ext:participant' tag 'typeCode' attribute shall contain the value 'BEN'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                     not(@typeCode) or normalize-space(@typeCode) = '' or @typeCode = 'BEN'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@typeCode) or normalize-space(@typeCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'ext:participant' tag 'typeCode' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@typeCode) or normalize-space(@typeCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/cda:entry/cda:observation[cda:code/@code = '103.10243']/cda:value" priority="3995" mode="M21">
    <xsl:choose>
      <xsl:when test="                     not(@xsi:type) or normalize-space(@xsi:type) = '' or                     normalize-space(@xsi:type) = 'CD' or                     (substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CD') or                     normalize-space(@xsi:type) = 'CE' or                     (substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CE')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Source of Death Notification" - The 'value' tag 'xsi:type' attribute shall contain the value 'CD' or 'CE'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                     not(@xsi:type) or normalize-space(@xsi:type) = '' or                     normalize-space(@xsi:type) = 'CD' or                     (substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CD') or                     normalize-space(@xsi:type) = 'CE' or                     (substring-before(normalize-space(@xsi:type), ':') != '' and                     substring-after(normalize-space(@xsi:type), ':') = 'CE')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@code = '102.16080']/ext:coverage2/ext:entitlement/ext:participant[@typeCode = 'BEN']/ext:participantRole/ext:id" priority="3994" mode="M21">
    <xsl:choose>
      <xsl:when test="                     not(@root)                     or normalize-space(@root) = ''                     or not(/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id/@root)                     or normalize-space(/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id/@root) = ''                     or (@root) = normalize-space(/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id/@root)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ENTITLEMENT" - The 'ext:id' tag 'root' attribute shall hold the same value as ClinicalDocument/recordTarget/patientRole/id/@root. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                     not(@root)                     or normalize-space(@root) = ''                     or not(/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id/@root)                     or normalize-space(/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id/@root) = ''                     or (@root) = normalize-space(/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id/@root)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M21" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M21" />
  <xsl:template match="*[@codeSystem='2.16.840.1.113883.13.62'][not(self::ext:jobCode)]" priority="4000" mode="M22">
    <xsl:choose>
      <xsl:when test="number(@code) = floor(@code)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - ANZSCO code check for "*[@codeSystem='2.16.840.1.113883.13.62']/@code" attribute - The 'code' attribute ANZSCO code value shall be a number. Check all such 'code' attributes to find the incorrect attribute(s). Refer to the 1220.0_ANZSCO_First_Edition_Revision_1 and section 'Reference List [ABS2009]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">number(@code) = floor(@code)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="string-length(@code) = 6" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - ANZSCO code check for "*[@codeSystem='2.16.840.1.113883.13.62']/@code" attribute - The 'code' attribute ANZSCO code value shall have 6 digits. Check all such 'code' attributes to find the incorrect attribute(s). Refer to the 1220.0_ANZSCO_First_Edition_Revision_1 and section 'Reference List [ABS2009]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">string-length(@code) = 6</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M22" />
  </xsl:template>
  <xsl:template match="ext:asEmployment/ext:jobCode" priority="3999" mode="M22">
    <xsl:choose>
      <xsl:when test="number(@code) = floor(@code)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'code' attribute ANZSCO code value shall be a number. Check all such 'code' attributes to find the incorrect attribute(s). Refer to the 1220.0_ANZSCO_First_Edition_2006 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">number(@code) = floor(@code)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="string-length(@code) = 6" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'code' attribute ANZSCO code value shall have 6 digits. Check all such 'code' attributes to find the incorrect attribute(s). Refer to the 1220.0_ANZSCO_First_Edition_2006 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">string-length(@code) = 6</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'code' attribute is missing. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'code' attribute shall contain a value. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@code) or                 normalize-space(@code) = '' or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1']/code[                 @code = current()/@code]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'code' attribute shall be as per '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1'. Check all 'ext:asEmployment/ext:jobCode' tags to find the incorrect attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@code) or                 normalize-space(@code) = '' or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1']/code[                 @code = current()/@code]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'codeSystem' attribute is missing. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'codeSystem' attribute shall contain a value. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1']/code[                 @codeSystem = current()/@codeSystem]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'codeSystem' attribute shall be as per '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1'. Check all 'ext:asEmployment/ext:jobCode' tags to find the incorrect attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1']/code[                 @codeSystem = current()/@codeSystem]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@codeSystemName and normalize-space(@codeSystemName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'codeSystemName' attribute shall contain a value. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemName and normalize-space(@codeSystemName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemVersion and normalize-space(@codeSystemVersion) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'codeSystemVersion' attribute shall contain a value. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemVersion and normalize-space(@codeSystemVersion) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'displayName' attribute shall contain a value. Check all 'ext:asEmployment/ext:jobCode' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @displayName and                 normalize-space(@displayName) != '' and                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1']                 /code[(@code = current()/@code) and (translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') != translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))]">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'jobCode' tag 'code' and 'displayName' attributes shall match as per '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1'. Check all 'ext:asEmployment/ext:jobCode' tags to find the incorrect attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @displayName and                 normalize-space(@displayName) != '' and                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = '1220.0 - ANZSCO - Australian and New Zealand Standard Classification of Occupations, First Edition, Revision 1']                 /code[(@code = current()/@code) and (translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') != translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))]</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M22" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M22" />
  <xsl:template match="/" priority="4000" mode="M23">
    <xsl:choose>
      <xsl:when test="cda:ClinicalDocument" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument" - The 'ClinicalDocument' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:ClinicalDocument</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:ClinicalDocument) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument" - The 'ClinicalDocument' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:ClinicalDocument) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument" priority="3999" mode="M23">
    <xsl:choose>
      <xsl:when test="cda:typeId" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:typeId</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:typeId) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:typeId) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/id" - The 'id' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/id" - The 'id' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:effectiveTime" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/effectiveTime" - The 'effectiveTime' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:effectiveTime</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:effectiveTime) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/effectiveTime" - The 'effectiveTime' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:effectiveTime) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:confidentialityCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/confidentialityCode" - The 'confidentialityCode' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:confidentialityCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:confidentialityCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/confidentialityCode" - The 'confidentialityCode' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:confidentialityCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:languageCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/languageCode" - The 'languageCode' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:languageCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:completionCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:completionCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:completionCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:completionCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:setId) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/setId" - The 'setId' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:setId) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:versionNumber) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/versionNumber" - The 'versionNumber' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:versionNumber) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(cda:title) or normalize-space(cda:title) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/cda:title" - The 'title' tag shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:title) or normalize-space(cda:title) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:title" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/cda:title" - The 'title' tag is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:title</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:title) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/cda:title" - The 'title' tag shall appear only once. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:title) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(cda:title) or normalize-space(cda:title) = '' or                 cda:title = 'Goals of Care Document'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/cda:title" - The 'title' tag shall contain the value 'Goals of Care Document'. Refer to section 028720 - 'Goals of Care document title' of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(cda:title) or normalize-space(cda:title) = '' or                 cda:title = 'Goals of Care Document'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:typeId" priority="3998" mode="M23">
    <xsl:choose>
      <xsl:when test="@root" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag 'root' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@root</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@root) or normalize-space(@root) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag 'root' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@root) or normalize-space(@root) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or normalize-space(@root) = '' or @root = '2.16.840.1.113883.1.3'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag 'root' attribute shall contain the value '2.16.840.1.113883.1.3'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or normalize-space(@root) = '' or @root = '2.16.840.1.113883.1.3'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@extension" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag 'extension' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@extension</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@extension) or normalize-space(@extension) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag 'extension' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@extension) or normalize-space(@extension) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@extension) or normalize-space(@extension) = '' or @extension = 'POCD_HD000040'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/typeId" - The 'typeId' tag 'extension' attribute shall contain the value 'POCD_HD000040'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@extension) or normalize-space(@extension) = '' or @extension = 'POCD_HD000040'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:id" priority="3997" mode="M23">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/id" - The 'id' tag 'nullFlavor' attribute shall not be present. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:code" priority="3996" mode="M23">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'code' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@code) or normalize-space(@code) = '' or @code = '100.16975'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'code' attribute shall contain the value '100.16975'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@code) or normalize-space(@code) = '' or @code = '100.16975'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'codeSystem' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@displayName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'displayName' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@displayName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = &quot;ADVANCE CARE INFORMATION&quot;" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'displayName' attribute shall contain the value 'Advance Care Information'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@displayName) or normalize-space(@displayName) = '' or translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = "ADVANCE CARE INFORMATION"</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/code" - The 'code' tag 'nullFlavor' attribute shall not be present. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:confidentialityCode" priority="3995" mode="M23">
    <xsl:choose>
      <xsl:when test="@nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/confidentialityCode" - The 'confidentialityCode' tag 'nullFlavor' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor) or normalize-space(@nullFlavor) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/confidentialityCode" - The 'confidentialityCode' tag 'nullFlavor' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor) or normalize-space(@nullFlavor) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@nullFlavor) or normalize-space(@nullFlavor) = '' or @nullFlavor = 'NA'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/confidentialityCode" - The 'confidentialityCode' tag 'nullFlavor' attribute shall contain the value 'NA'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@nullFlavor) or normalize-space(@nullFlavor) = '' or @nullFlavor = 'NA'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:languageCode" priority="3994" mode="M23">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/languageCode" - The 'languageCode' tag 'code' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/languageCode" - The 'languageCode' tag 'code' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/ext:completionCode" priority="3993" mode="M23">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'code' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'code' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'NCTIS_Document_Status_Values']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'code' attribute shall be as per 10.13 NCTIS: Admin Codes - Document Status. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'NCTIS_Document_Status_Values']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'codeSystem' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'codeSystem' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101.104.20104'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'codeSystem' attribute shall contain the value '1.2.36.1.2001.1001.101.104.20104'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '1.2.36.1.2001.1001.101.104.20104'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'displayName' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'NCTIS_Document_Status_Values']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/ext:completionCode" - The 'completionCode' tag 'code' and 'displayName' attributes shall match as per 10.13 NCTIS: Admin Codes - Document Status. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'NCTIS_Document_Status_Values']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:versionNumber" priority="3992" mode="M23">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/versionNumber" - The 'versionNumber' tag 'value' attribute is missing. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/versionNumber" - The 'versionNumber' tag 'value' attribute shall contain a value. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:title" priority="3991" mode="M23">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument/cda:title" - The 'title' tag 'nullFlavor' attribute shall not be present. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M23" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M23" />
  <xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M24">
    <xsl:choose>
      <xsl:when test="count(cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']) &gt; 0" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument / templateId" - The 'templateId' tag 'root' attribute shall contain the value "1.2.36.1.2001.1001.100.1002.226". If the 'root' value is '1.2.36.1.2001.1001.100.1002.226' then the 'extension' attribute shall contain the value '1.0'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">count(cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']) &gt; 0</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="count(cda:templateId[@root = '1.2.36.1.2001.1001.100.149' and @extension = '1.0']) &gt; 0" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument / templateId" - The 'templateId' tag 'root' attribute shall contain the value "1.2.36.1.2001.1001.100.149" . If the 'root' value is '1.2.36.1.2001.1001.100.149' then the 'extension' attribute shall contain the value '1.0'. Refer to the CDA_Rendering_Specification and section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">count(cda:templateId[@root = '1.2.36.1.2001.1001.100.149' and @extension = '1.0']) &gt; 0</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="count(cda:templateId[@root = '1.2.36.1.2001.1001.100.1003.100001' and @extension = '1.0']) &gt; 0" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 ClinicalDocument - "ClinicalDocument / templateId" - The 'templateId' tag 'root' attribute shall contain the value "1.2.36.1.2001.1001.100.1003.100001". If the 'root' value is '1.2.36.1.2001.1001.100.1003.100001' then the 'extension' attribute shall contain the value '1.0'. Refer to 028733 - 'Goals of Care Conformance Template' of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">count(cda:templateId[@root = '1.2.36.1.2001.1001.100.1003.100001' and @extension = '1.0']) &gt; 0</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M24" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:languageCode" priority="3999" mode="M24">
    <xsl:choose>
      <xsl:when test="@code = 'en-AU' or @code = 'en'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1 Clinical Document - "ClinicalDocument / languageCode" - The 'languageCode' tag 'code' attribute shall be coded as per 'RFC3066' format 'LanguageCode-COUNTRYCODE' and shall have the language code as 'en' or 'en-AU'. Refer to section 5.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code = 'en-AU' or @code = 'en'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M24" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M24" />
  <xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M25">
    <xsl:choose>
      <xsl:when test="cda:custodian" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian" - The 'custodian' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:custodian</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:custodian) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian" - The 'custodian' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:custodian) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M25" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:custodian" priority="3999" mode="M25">
    <xsl:choose>
      <xsl:when test="cda:assignedCustodian" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian" - The 'assignedCustodian' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:assignedCustodian</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:assignedCustodian) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian" - The 'assignedCustodian' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedCustodian) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M25" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian" priority="3998" mode="M25">
    <xsl:choose>
      <xsl:when test="cda:representedCustodianOrganization" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization" - The 'representedCustodianOrganization' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:representedCustodianOrganization</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:representedCustodianOrganization) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization" - The 'representedCustodianOrganization' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:representedCustodianOrganization) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M25" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization" priority="3997" mode="M25">
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/id" - The 'id' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/Entity Identifier" - The 'asEntityIdentifier' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:telecom) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/Electronic Communication Detail" - The 'telecom' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:telecom) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:name) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/name" - The 'name' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:name) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:name" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/name" - The 'name' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:name</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="cda:name and normalize-space(cda:name) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/name" - The 'name' tag shall contain a value. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:name and normalize-space(cda:name) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:addr) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/Address" - The 'addr' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:addr) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M25" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/ext:asEntityIdentifier" priority="3996" mode="M25">
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/Entity Identifier" - The 'id' tag is missing. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/Entity Identifier" - The 'id' tag shall appear only once. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M25" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/ext:asEntityIdentifier/ext:id" priority="3995" mode="M25">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian/assignedCustodian/representedCustodianOrganization/Entity Identifier" - The 'id' tag 'nullFlavor' attribute shall not be present. Refer to section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M25" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M25" />
  <xsl:template match="/cda:ClinicalDocument/cda:custodian/cda:assignedCustodian/cda:representedCustodianOrganization/ext:asEntityIdentifier/ext:id" priority="4000" mode="M26">
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0.80036')) and not( (starts-with(@root, '1.2.36.1.2001.1003.0.800362')) or (starts-with(@root, '1.2.36.1.2001.1003.0.800363')) )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian / assignedCustodian / representedCustodianOrganization / Entity Identifier" - The 'id' tag 'root' attribute shall begin with either '1.2.36.1.2001.1003.0.800362' or '1.2.36.1.2001.1003.0.800363' if it begins with '1.2.36.1.2001.1003.0.80036'. Refer to section "023734 - Clinical document must include custodian organisation's name and entity identifier" of ClinicalDocuments_CommonConformanceProfile_v1.6 and section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0.80036')) and not( (starts-with(@root, '1.2.36.1.2001.1003.0.800362')) or (starts-with(@root, '1.2.36.1.2001.1003.0.800363')) )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1007.1.80036')) and not(starts-with(@root, '1.2.36.1.2001.1007.1.800364'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian / assignedCustodian / representedCustodianOrganization / Entity Identifier" - The 'id' tag 'root' attribute shall begin with '1.2.36.1.2001.1007.1.800364' if it begins with '1.2.36.1.2001.1007.1.80036'. Refer to section "023734 - Clinical document must include custodian organisation's name and entity identifier" of ClinicalDocuments_CommonConformanceProfile_v1.6 and section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1007.1.80036')) and not(starts-with(@root, '1.2.36.1.2001.1007.1.800364'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1007.10.80036')) and not(starts-with(@root, '1.2.36.1.2001.1007.10.800364'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian / assignedCustodian / representedCustodianOrganization / Entity Identifier" - The 'id' tag 'root' attribute shall begin with '1.2.36.1.2001.1007.10.800364' if it begins with '1.2.36.1.2001.1007.10.80036'. Refer to section "023734 - Clinical document must include custodian organisation's name and entity identifier" of ClinicalDocuments_CommonConformanceProfile_v1.6 and section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1007.10.80036')) and not(starts-with(@root, '1.2.36.1.2001.1007.10.800364'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1007.20.80036')) and not(starts-with(@root, '1.2.36.1.2001.1007.20.800364'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.2 Custodian - "custodian / assignedCustodian / representedCustodianOrganization / Entity Identifier" - The 'id' tag 'root' attribute shall begin with '1.2.36.1.2001.1007.20.800364' if it begins with '1.2.36.1.2001.1007.20.80036'. Refer to section "023734 - Clinical document must include custodian organisation's name and entity identifier" of ClinicalDocuments_CommonConformanceProfile_v1.6 and section 5.1.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1007.20.80036')) and not(starts-with(@root, '1.2.36.1.2001.1007.20.800364'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M26" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M26" />
  <xsl:template match="cda:value[@xsi:type = 'BL' or substring-after(normalize-space(@xsi:type), ':') = 'BL']" priority="4000" mode="M27">
    <xsl:choose>
      <xsl:when test="@nullFlavor or @value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'nullFlavor' or 'value' attribute. Check all 'cda:value' tags with 'xsi:type=BL' attribute to find the missing 'nullFlavor' or 'value' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor or @value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=BL' attribute to find the 'nullFlavor' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=BL' attribute to find the 'value' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 normalize-space(@value) != '' and                 @value != 'true' and                 @value != 'false'                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain the value 'true' or 'false'. Check all 'cda:value' tags with 'xsi:type=BL' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 normalize-space(@value) != '' and                 @value != 'true' and                 @value != 'false'                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'CD' or substring-after(normalize-space(@xsi:type), ':') = 'CD' or                                  @xsi:type = 'CE' or substring-after(normalize-space(@xsi:type), ':') = 'CE']" priority="3999" mode="M27">
    <xsl:choose>
      <xsl:when test="                 cda:originalText or (@code and @codeSystem) or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'originalText' tag or the 'code and codeSystem' or the 'nullFlavor' attributes. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the missing tag or attribute(s). Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 cda:originalText or (@code and @codeSystem) or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@codeSystem and normalize-space(@codeSystem) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@codeSystem" attribute - The 'value' tag 'codeSystem' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'codeSystem' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystem and normalize-space(@codeSystem) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@codeSystem" attribute - The 'value' tag 'codeSystem' attribute shall contain an UUID or OID. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@codeSystem" attribute - The 'value' tag 'codeSystem' attribute shall be a valid UUID. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@codeSystem" attribute - The 'value' tag 'codeSystem' attribute shall be a valid OID. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'nullFlavor' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and                 normalize-space(@nullFlavor) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Coded_DataType_NullFlavor']/code[(@code = current()/@nullFlavor)])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" attribute - The 'code' tag 'nullFlavor' attribute shall be as per FAQ Representing Coding in CDA Documents CDA CD DataType nullFlavors. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'nullFlavor' attributes of incorrect value. Refer to the HL7 data types specification and section 2.1.1 of the FAQ Representing Coding in CDA Documents, and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and                 normalize-space(@nullFlavor) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Coded_DataType_NullFlavor']/code[(@code = current()/@nullFlavor)])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:originalText) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:originalText" - The 'originalText' tag shall appear only once. Check all 'cda:value' tag with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the duplicated 'originalText' child tag. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:originalText) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:originalText and normalize-space(cda:originalText) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:originalText" - The 'originalText' tag shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText' child tag that has the missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:originalText and normalize-space(cda:originalText) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@code" attribute - The 'value' tag 'code' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'code' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code != normalize-space(@code)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@code" attribute - The 'value' tag 'code' attribute shall not start or end with space. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'code' attribute with incorrect value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code != normalize-space(@code)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@codeSystem) and @code">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@code" attribute - The 'value' tag 'code' attribute shall not be present if the corresponding 'codeSystem' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the incorrectly contained 'code' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@codeSystem) and @code</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemName and normalize-space(@codeSystemName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@codeSystemName" attribute - The 'value' tag 'codeSystemName' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'codeSystemName' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemName and normalize-space(@codeSystemName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemVersion and normalize-space(@codeSystemVersion) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@codeSystemVersion" attribute - The 'value' tag 'codeSystemVersion' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'codeSystemVersion' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemVersion and normalize-space(@codeSystemVersion) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@displayName" attribute - The 'value' tag 'displayName' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'displayName' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@code) and @displayName">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@displayName" attribute - The 'value' tag 'displayName' attribute shall not be present if the corresponding 'code' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the incorrectly contained 'displayName' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@code) and @displayName</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'CD' or substring-after(normalize-space(@xsi:type), ':') = 'CD' or                                  @xsi:type = 'CE' or substring-after(normalize-space(@xsi:type), ':') = 'CE']/cda:translation" priority="3998" mode="M27">
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with missing 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'codeSystem' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall contain an UUID or OID. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall be a valid UUID. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall be a valid OID. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 not(parent::*/@codeSystem) or                 normalize-space(parent::*/@codeSystem) = '' or                 @codeSystem != parent::*/@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall contain a value different from the codeSystem it translates from. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 not(parent::*/@codeSystem) or                 normalize-space(parent::*/@codeSystem) = '' or                 @codeSystem != parent::*/@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@code or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation" attributes - The 'translation' tag shall have at least the 'code' or the 'nullFlavor' attributes. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with the missing attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@nullFlavor" attribute - The 'translation' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'nullFlavor' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) != '' and @nullFlavor != 'OTH'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@nullFlavor" attribute - The 'translation' tag 'nullFlavor' attribute shall contain the value 'OTH'. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'nullFlavor' attribute of incorrect value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) != '' and @nullFlavor != 'OTH'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(cda:originalText)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation" - The 'originalText' tag shall not be present within 'translation' tag. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag containing 'originalText' tag. Refer to the HL7 data types specification and section 2.1.5 of the Implementation Guidance - Representing Coding in CDA Documents - Version 1.0 - 10 October 2011, and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:originalText)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation" - The 'translation' tag shall not be present within 'translation' tag. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with nested 'translation' tag. Refer to the HL7 data types specification and section 2.1.5 of the Implementation Guidance - Representing Coding in CDA Documents - Version 1.0 - 10 October 2011, and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@code and normalize-space(@code) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@code" attribute - The 'translation' tag 'code' attribute shall contain a value. Check all 'cda:value' with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'code' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code != normalize-space(@code)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@code" attribute - The 'translation' tag 'code' attribute shall not start or end with space. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'code' attribute of incorrect value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code != normalize-space(@code)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@codeSystem) and @code">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@code" attribute - The 'translation' tag 'code' attribute shall not be present if the corresponding 'codeSystem' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with incorrectly contained 'code' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@codeSystem) and @code</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemName and normalize-space(@codeSystemName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystemName" attribute - The 'translation' tag 'codeSystemName' attribute shall contain a value. Check all 'cda:value' with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'codeSystemName' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemName and normalize-space(@codeSystemName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemVersion and normalize-space(@codeSystemVersion) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@codeSystemVersion" attribute - The 'translation' tag 'codeSystemVersion' attribute shall contain a value. Check all 'cda:value' with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'codeSystemVersion' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemVersion and normalize-space(@codeSystemVersion) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@displayName" attribute - The 'translation' tag 'displayName' attribute shall contain a value. Check all 'cda:value' with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag 'displayName' attribute of missing value. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@code) and @displayName">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:translation/@displayName" attribute - The 'translation' tag 'displayName' attribute shall not be present if the corresponding 'code' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'translation' child tag with incorrectly contained 'displayName' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@code) and @displayName</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'CD' or substring-after(normalize-space(@xsi:type), ':') = 'CD' or                                  @xsi:type = 'CE' or substring-after(normalize-space(@xsi:type), ':') = 'CE']/cda:originalText" priority="3997" mode="M27">
    <xsl:if test="count(cda:reference) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:value/cda:originalText' tag - The 'reference' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText' child tag with the duplicated 'reference' tag. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:reference) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:reference and                 normalize-space(concat(text()[1], text()[2])) != '' and                 normalize-space(concat(text()[1], text()[2])) !=                 normalize-space(concat(ancestor::cda:component/cda:section/cda:text/text()[1],                                        ancestor::cda:component/cda:section/cda:text/text()[2]))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:value/cda:originalText' tag - The 'originalText' tag shall contain the value match to its corresponding narrative block text. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText' child tag with the corresponding narrative text mismatch. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:reference and                 normalize-space(concat(text()[1], text()[2])) != '' and                 normalize-space(concat(text()[1], text()[2])) !=                 normalize-space(concat(ancestor::cda:component/cda:section/cda:text/text()[1],                                        ancestor::cda:component/cda:section/cda:text/text()[2]))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'CD' or substring-after(normalize-space(@xsi:type), ':') = 'CD' or                                  @xsi:type = 'CE' or substring-after(normalize-space(@xsi:type), ':') = 'CE']/cda:originalText/cda:reference" priority="3996" mode="M27">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:value/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText/reference' child tag with the missing 'value' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:value/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText/reference' child tag with the empty 'value' attribute. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or                 normalize-space(@value) = '' or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:value/cda:originalText/cda:reference' tag - The narrative 'text/content/@ID' attribute corresponding to the 'reference' tag 'value' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText/reference' child tag with the missing corresponding narrative. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or                 normalize-space(@value) = '' or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or                 normalize-space(@value) = '' or                 not(ancestor::cda:component/cda:section/cda:text) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content/@ID) or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID = @value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">&gt;Error: Goals of Care - Global Clinical Document check for 'cda:value/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute shall contain the value match to its corresponding narrative block content 'ID' attribute. Check all 'cda:value' tags with 'xsi:type=CD' or 'xsi:type=CE' attribute to find the 'originalText/reference' child tag with the corresponding narrative content ID mismatch. Refer to the HL7 data types specification and section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or                 normalize-space(@value) = '' or                 not(ancestor::cda:component/cda:section/cda:text) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content/@ID) or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID = @value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'CS' or substring-after(normalize-space(@xsi:type), ':') = 'CS']" priority="3995" mode="M27">
    <xsl:choose>
      <xsl:when test="@code or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'code' attribute or 'nullFlavor' attribute is missing. Check all 'cda:value' tags with 'xsi:type=CS' attribute to find the missing 'code' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'code' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=CS' attribute to find the 'code' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'INT' or substring-after(normalize-space(@xsi:type), ':') = 'INT']" priority="3994" mode="M27">
    <xsl:choose>
      <xsl:when test="@nullFlavor or @value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'nullFlavor' or the 'value' attribute. Check all 'cda:value' tags with 'xsi:type=INT' attribute to find the missing 'nullFlavor' or 'value' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor or @value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=INT' attribute to find the 'nullFlavor' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=INT' attribute to find the 'value' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 normalize-space(@value) != '' and                 number(@value) != floor(@value)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain an integer value. Check all 'cda:value' tags with 'xsi:type=INT' attribute to find the 'value' attribute of incorrect datatype. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 normalize-space(@value) != '' and                 number(@value) != floor(@value)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'PN' or substring-after(normalize-space(@xsi:type), ':') = 'PN']" priority="3993" mode="M27">
    <xsl:choose>
      <xsl:when test="@nullFlavor or cda:family or cda:given" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'family' and/or 'given' name tag or the 'nullFlavor' attribute. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the missing 'nullFlavor' attribute or 'family and/or given' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor or cda:family or cda:given</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'nullFlavor' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:delimiter and normalize-space(cda:delimiter ) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:delimiter" tag - The 'delimiter' tag shall contain a value. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'delimiter' child tag that has the missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:delimiter and normalize-space(cda:delimiter ) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:family) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:family" - The 'family' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the duplicate 'family' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:family) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(cda:family) or normalize-space(cda:family) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:family" - The 'family' tag shall contain a value. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'family' child tag that has the missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:family) or normalize-space(cda:family) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="cda:given and normalize-space(cda:given) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:given" - The 'given' tag shall contain a value. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'given' child tag that has the missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:given and normalize-space(cda:given) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:prefix and normalize-space(cda:prefix ) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:prefix" tag - The 'prefix' tag shall contain a value. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'prefix' child tag that has the missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:prefix and normalize-space(cda:prefix ) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:suffix and normalize-space(cda:suffix) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:suffix" tag - The 'suffix' tag shall contain a value. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'suffix' child tag that has the missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:suffix and normalize-space(cda:suffix) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:validTime and not(cda:validTime/child::*)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/cda:validTime" - The child tag(s) of 'validTime' tag is missing. Check all 'cda:value' tags with 'xsi:type=PN' attribute to find the 'validTime' child tag have child tag missing. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:validTime and not(cda:validTime/child::*)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'PQ' or substring-after(normalize-space(@xsi:type), ':') = 'PQ']" priority="3992" mode="M27">
    <xsl:choose>
      <xsl:when test="@nullFlavor or @value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'nullFlavor' or the 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PQ' attribute to find the missing 'nullFlavor' or 'value' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor or @value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PQ' attribute to find the 'nullFlavor' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PQ' attribute to find the 'value' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@unit and normalize-space(@unit) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'unit' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PQ' attribute to find the 'unit' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@unit and normalize-space(@unit) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@unit and not(@value)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute is missing for the existence of 'unit' attribute. Check all 'cda:value' tags with 'xsi:type=PQ' attribute to find the 'unit' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@unit and not(@value)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and not(@unit)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'unit' attribute is missing for the existence of 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PQ' attribute to find the 'value' attribute of missing value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and not(@unit)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'IVL_PQ' or substring-after(normalize-space(@xsi:type), ':') = 'IVL_PQ']" priority="3991" mode="M27">
    <xsl:choose>
      <xsl:when test="cda:low or cda:high or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'nullFlavor' attribute or 'low' or 'high' child tag. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute to find the missing attribute(s) or child tag(s). Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:low or cda:high or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor)=''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor)=''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:low) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute to find the duplicate 'low' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:low) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:high) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'high' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute to find the duplicate 'high' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:high) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:center">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'center' tag shall not be present. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute to find the missing attribute(s) or child tag(s). Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:center</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:width">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'width' tag shall not be present. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute to find the missing attribute(s) or child tag(s). Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:width</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'IVL_PQ' or substring-after(normalize-space(@xsi:type), ':') = 'IVL_PQ']/cda:low |                         cda:value[@xsi:type = 'IVL_PQ' or substring-after(normalize-space(@xsi:type), ':') = 'IVL_PQ']/cda:high" priority="3990" mode="M27">
    <xsl:choose>
      <xsl:when test="@nullFlavor or @value or @unit" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag's child tag shall have at least the 'nullFlavor' or 'value' or 'unit' attribute. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute to find the missing attribute(s). Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@nullFlavor or @value or @unit</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor)=''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag's child tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor)=''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value)=''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag's child tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value)=''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@unit and normalize-space(@unit)=''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag's child tag 'unit' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@unit and normalize-space(@unit)=''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@inclusive and normalize-space(@inclusive)=''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag's child tag 'inclusive' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=IVL_PQ' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@inclusive and normalize-space(@inclusive)=''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type = 'TS'      or substring-after(normalize-space(@xsi:type), ':') = 'TS']                           |                        cda:value[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:low               |                        cda:value[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:high              |                        cda:value[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:center            |                        cda:value[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:low    |                        cda:value[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:high   |                        cda:value[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:center" priority="3989" mode="M27">
    <xsl:if test="                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@xsi:type" - The 'value' tag 'xsi:type' attribute shall contain a value. Check all 'value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' to find the child tag having 'xsi:type' attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'TS')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@xsi:type" - The 'value' tag 'xsi:type' attribute shall contain the value 'TS'. Check all 'value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' to find the child tag having 'xsi:type' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'TS')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 @value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'value' or 'nullFlavor' attribute. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the missing 'nullFlavor' or 'value' attribute. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value/@nullFlavor" - The 'value' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'nullFlavor' attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value                      and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for value datatype - The 'value' tag 'value' attribute shall contain a timezone value. "Any time that is more specific than a day SHALL include a timezone". Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of missing timezone value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value                      and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect fraction of second - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect fraction of second - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect TimeZone - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect TimeZone - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 number(substring(@value,1,2)) &gt;= 19                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Year - The value for year must be more recent than 1900. The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 number(substring(@value,1,2)) &gt;= 19                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Month - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Month - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Hour - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Minute - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Second - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' or 'xsi:type=TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type='IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS'] |                        cda:value[@xsi:type='PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase" priority="3988" mode="M27">
    <xsl:choose>
      <xsl:when test="                 @value or cda:center or cda:low or cda:high or cda:width or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'value' or 'nullFlavor' attribute or 'low' or 'high' or 'center' or 'width' child tag. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' attribute to find the missing 'nullFlavor' or 'value' attribute or 'low' or 'high' or 'center' or 'width' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @value or cda:center or cda:low or cda:high or cda:width or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value/phase' tag 'xsi:type' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the child 'phase' tag with 'xsi:type' attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'IVL_TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value/phase' tag 'xsi:type' attribute shall contain the value 'IVL_TS'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the child 'phase' tag with 'xsi:type' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'value' and substring-after(name(), ':') != 'value' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'IVL_TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" tag - The 'value' or 'value/phase' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the missing attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value                and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" tag - The 'value' or 'value/phase' tag 'value' attribute shall contain a timezone value. "Any time that is more specific than a day SHALL include a timezone". Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of missing timezone value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value                and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect fraction of second - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect fraction of second - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect TimeZone - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect TimeZone - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 number(substring(@value,1,2)) &gt;= 19                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Year - The value for year must be more recent than 1900. The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 number(substring(@value,1,2)) &gt;= 19                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Month - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Month - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Hour - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Minute - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Second - The 'value' or 'value/phase' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:low) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the duplicate 'low' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:low) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:high) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'high' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the duplicate 'high' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:high) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:center) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'center' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the duplicate 'center' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:center) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:width) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'width' tag shall appear only once. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the duplicate 'width' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:width) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:center and (cda:low or cda:high)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'value' tag shall have 'center' or 'low and/or high' tag but not both. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the incorrect use of 'center' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:center and (cda:low or cda:high)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'+')           and                 contains(cda:high/@value, '+')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'+'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'+'),'.')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag 'value' attribute shall be a value less than than the 'high' tag 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'+')           and                 contains(cda:high/@value, '+')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'+'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'+'),'.')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'-')           and                 contains(cda:high/@value, '-')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'-'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'-'),'.')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'-')           and                 contains(cda:high/@value, '-')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'-'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'-'),'.')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '+')          and                 contains(cda:high/@value,'+')          and                 (number(substring-before(cda:low/@value,'+')) &gt; number(substring-before(cda:high/@value,'+')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '+')          and                 contains(cda:high/@value,'+')          and                 (number(substring-before(cda:low/@value,'+')) &gt; number(substring-before(cda:high/@value,'+')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '-')          and                 contains(cda:high/@value,'-')          and                 (number(substring-before(cda:low/@value,'-')) &gt; number(substring-before(cda:high/@value,'-')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '-')          and                 contains(cda:high/@value,'-')          and                 (number(substring-before(cda:low/@value,'-')) &gt; number(substring-before(cda:high/@value,'-')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 not(contains(cda:low/@value, '+'))     and                 not(contains(cda:high/@value,'+'))     and                 not(contains(cda:low/@value, '-'))     and                 not(contains(cda:high/@value,'-'))     and                 (number(cda:low/@value) &gt; number(cda:high/@value))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute and 'phase' child tag, or 'cda:value' tags with 'xsi:type=IVL_TS' attribute, to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 not(contains(cda:low/@value, '+'))     and                 not(contains(cda:high/@value,'+'))     and                 not(contains(cda:low/@value, '-'))     and                 not(contains(cda:high/@value,'-'))     and                 (number(cda:low/@value) &gt; number(cda:high/@value))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type='PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']" priority="3987" mode="M27">
    <xsl:choose>
      <xsl:when test="                 @value or @nullFlavor or cda:frequency or cda:period or cda:phase" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:value" - The 'value' tag shall have at least the 'value' or 'nullFlavor' attribute or 'frequency' or 'period' or 'phase' child tag. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the missing 'value' or 'nullFlavor' attribute, or frequency' or 'period' or 'phase' child tag. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @value or @nullFlavor or cda:frequency or cda:period or cda:phase</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect fraction of second - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect fraction of second - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect TimeZone - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect TimeZone - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect DateTime - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 number(substring(@value,1,2)) &gt;= 19                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Year - The value for year must be more recent than 1900. The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 number(substring(@value,1,2)) &gt;= 19                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Month - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Month - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Date - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Hour - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Minute - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - Incorrect Second - The 'value' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' attribute to find the 'value' attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="cda:value[@xsi:type='IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:width                      |                        cda:value[@xsi:type='PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:width           |                        cda:value[@xsi:type='PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:period                    |                        cda:value[@xsi:type='PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:frequency/cda:numerator   |                        cda:value[@xsi:type='PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:frequency/cda:denominator" priority="3986" mode="M27">
    <xsl:if test="                 @xsi:type and                 normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'xsi:type' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' attribute to find child tags having attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and                 normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'PQ' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'PQ')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'xsi:type' attribute shall contain the value 'PQ'. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' attribute to find child tags having attribute of incorrect value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'PQ' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'PQ')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'value' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' attribute to find the 'width' or 'period' or 'numerator' or 'denominator' child tags that having 'value' attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@unit and normalize-space(@unit) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'value/width' tag 'unit' attribute shall contain a value. Check all 'cda:value' tags with 'xsi:type=PIVL_TS' or 'xsi:type=IVL_TS' attribute to find the 'width' or 'period' or numerator' or 'denominator' child tags that having 'value' attribute of empty value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@unit and normalize-space(@unit) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@unit) or (normalize-space(@unit) = '') or (@unit = 'd') or (@unit = 'wk') or (@unit = 'mo') or (@unit = 'a')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "value" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'unit' attribute shall be 'd' or 'wk' or 'mo' or 'a'. Check all 'value' tags to find the 'width' or 'period' or 'numerator' or 'denominator' child tags that have incorrect attribute value. Refer to section 'Reference List [NEHT2010c]' of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@unit) or (normalize-space(@unit) = '') or (@unit = 'd') or (@unit = 'wk') or (@unit = 'mo') or (@unit = 'a')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M27" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M27" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]" priority="4000" mode="M28">
    <xsl:if test="count(ext:asQualifications) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'asQualifications' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:asQualifications) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Entity Identifier" - The 'asEntityIdentifier' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asQualifications" priority="3999" mode="M28">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'asQualifications' tag 'classCode' attribute is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'asQualifications' tag 'classCode' attribute shall contain a value. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'QUAL'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'asQualifications' tag 'classCode' attribute shall contain the value 'QUAL'. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or normalize-space(@classCode) = '' or @classCode = 'QUAL'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'code' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'code' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asQualifications/ext:code" priority="3998" mode="M28">
    <xsl:choose>
      <xsl:when test="cda:originalText" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'originalText' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:originalText</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:originalText) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'originalText' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:originalText) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]" priority="3997" mode="M28">
    <xsl:choose>
      <xsl:when test="cda:telecom" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ELECTRONIC COMMUNICATION DETAIL" - The 'telecom' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:telecom</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / Role" - The 'code' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / Role" - The 'code' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:telecom" priority="3996" mode="M28">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ELECTRONIC COMMUNICATION DETAIL" - The 'telecom' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asEntityIdentifier" priority="3995" mode="M28">
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Entity Identifier" - The 'id' tag is missing. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Entity Identifier" - The 'id' tag shall appear only once. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asEntityIdentifier/ext:id" priority="3994" mode="M28">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Entity Identifier" - The 'id' tag 'nullFlavor' attribute shall not be present. Refer to section 028630 - 'Document Author Entity Identifier value' of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M28" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M28" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:addr" priority="4000" mode="M29">
    <xsl:if test="                 @use and normalize-space(@use) != '' and not(@use = 'WP')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "DOCUMENT AUTHOR / Participant / Address / Australia or International Address / International Address / Country" - The 'addr' tag 'use' attribute shall be set to Business see AS 5017-2006: HealthCare Client Identifier Address Purpose. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and normalize-space(@use) != '' and not(@use = 'WP')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M29" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:assignedPerson/ext:asEmployment]/cda:telecom" priority="3999" mode="M29">
    <xsl:choose>
      <xsl:when test="not(@use) or normalize-space(@use) = '' or  @use='WP' " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "Document Author / Participant / Electronic Communication Detail" - The 'telecom' tag 'use' attribute shall be set to Workplace see HL7 v3: TelecommunicationAddressUse. Refer to section 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@use) or normalize-space(@use) = '' or  @use='WP' </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M29" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asEntityIdentifier" priority="3998" mode="M29">
    <xsl:if test="ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.90')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.91')]                 or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.92')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.93')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.94')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.95')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.96')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.97')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.98')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.99')]">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a PERSON - Healthcare Provider - "Document Author / Participant / Entity Identifier" - The 'asEntityIdentifier' tag with 'Care Agency Employee Identifier' shall not exist. Refer to section 6.1.2.2 and 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.90')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.91')]                 or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.92')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.93')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.94')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.95')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.96')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.97')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.98')]                  or ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.99')]</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M29" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M29" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[not(cda:assignedPerson/ext:asEmployment)]" priority="4000" mode="M30">
    <xsl:choose>
      <xsl:when test="cda:code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / Role" - The 'code' tag is missing. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / Role" - The 'code' tag shall appear only once. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:telecom" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ELECTRONIC COMMUNICATION DETAIL" - The 'telecom' tag is missing. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:telecom</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M30" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[not(cda:assignedPerson/ext:asEmployment)]/cda:code" priority="3999" mode="M30">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / Role" - The 'code' tag 'code' attribute is missing. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M30" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[not(ext:asEmployment)]" priority="3998" mode="M30">
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / Participant / Entity Identifier" - The 'asEntityIdentifier' tag is missing. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:asQualifications)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / Qualifications" - The 'asQualifications' tag shall not be present. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:asQualifications)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M30" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[not(cda:assignedPerson/ext:asEmployment)]/cda:telecom" priority="3997" mode="M30">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / PARTICIPANT / ELECTRONIC COMMUNICATION DETAIL" - The 'telecom' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M30" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M30" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[not(ext:asEmployment)]" priority="4000" mode="M31">
    <xsl:choose>
      <xsl:when test="not(ext:asEntityIdentifier)                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.90')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.91')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.92')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.93')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.94')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.95')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.96')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.97')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.98')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.99')]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "Document Author / Participant / Entity Identifier" - The 'asEntityIdentifier' tag for 'IHI' or 'Care Agency Employee Identifier' is missing. "The value of one Entity Identifier SHALL be an Australian IHI or a Care Agency Employee Identifier" although there could be multiple Entity Identifiers. Refer to 027601 - Support for upload by care agency employees of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.2.1 and 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:asEntityIdentifier)                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.90')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.91')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.92')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.93')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.94')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.95')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.96')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.97')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.98')]                  or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.99')]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M31" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[not(ext:asEmployment)]/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1007.4.9')][not(starts-with(@root, '1.2.36.1.2001.1007.4.9.'))]" priority="3999" mode="M31">
    <xsl:choose>
      <xsl:when test="translate(substring(@root, 23, 15), '0123456789', 'aaaaaaaaaa') = 'aaaaaaaaaaaaaaa'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "Document Author / Participant / Entity Identifier" - The 'id' tag 'root' attribute value for 'Care Agency Employee Identifier' after '1.2.36.1.2001.1007.4.' shall be a sixteen digit number. Refer to section 6.1.2.1 and 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">translate(substring(@root, 23, 15), '0123456789', 'aaaaaaaaaa') = 'aaaaaaaaaaaaaaa'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(string-length(@root) &gt; 37) and (substring(@root, 38, 1) != '.')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "Document Author / Participant / Entity Identifier" - The 'id' tag 'root' attribute value for 'Care Agency Employee Identifier' after '1.2.36.1.2001.1007.4.' shall either be a sixteen digit number and if the OID is further having a leaf in the sub-tree then it must be followed by a '.'. Refer to section 6.1.2.1 and 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(string-length(@root) &gt; 37) and (substring(@root, 38, 1) != '.')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M31" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[not(cda:assignedPerson/ext:asEmployment)]/cda:code" priority="3998" mode="M31">
    <xsl:if test="@code and normalize-space(@code) != '' and                 @codeSystem and normalize-space(@codeSystem) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'Document_Author_Role']/code[                 (@code = current()/@code) and                  (@codeSystem = current()/@codeSystem)                                 ])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / Role" - The 'code' tag 'code' and 'codeSystem' attributes shall match as per 10.14 HL7 RoleCode and RoleClass codes. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @codeSystem and normalize-space(@codeSystem) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'Document_Author_Role']/code[                 (@code = current()/@code) and                  (@codeSystem = current()/@codeSystem)                                 ])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M31" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M31" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:code/@code='AGNT']/cda:assignedPerson |              /cda:ClinicalDocument/cda:author/cda:assignedAuthor[cda:code/@code='SELF']/cda:assignedPerson " priority="4000" mode="M32">
    <xsl:if test="ext:asEmployment">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 DOCUMENT AUTHOR as a PERSON - Not a Healthcare Provider - "DOCUMENT AUTHOR / Role" - EMPLOYMENT DETAIL is prohibited if 'code' tag contains 'AGNT' or 'SELF'. Refer to section 6.1.2.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">ext:asEmployment</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M32" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M32" />
  <xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M33">
    <xsl:choose>
      <xsl:when test="cda:author" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag is missing. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:author</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:author) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag shall appear only once. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:author) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M33" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author" priority="3999" mode="M33">
    <xsl:if test="                 @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'AUT'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag 'typeCode' attribute shall contain the value 'AUT'. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @typeCode and normalize-space(@typeCode) != '' and @typeCode != 'AUT'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@typeCode and normalize-space(@typeCode) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR" - The 'author' tag 'typeCode' attribute shall contain a value. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@typeCode and normalize-space(@typeCode) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:assignedAuthor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'assignedAuthor' tag is missing. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:assignedAuthor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:assignedAuthor) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'assignedAuthor' tag shall appear only once. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedAuthor) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:time) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participation Period" - The 'time' tag shall appear only once. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:time) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:time" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / Participation Period" - The 'time' tag is missing. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:time</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M33" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor" priority="3998" mode="M33">
    <xsl:if test="count(cda:assignedPerson) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT" - The 'assignedPerson' tag shall appear only once. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedPerson) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:assignedPerson" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT" - The 'assignedPerson' tag is missing. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:assignedPerson</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'id' tag is missing. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / id" - The 'id' tag shall appear only once. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M33" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson" priority="3997" mode="M33">
    <xsl:choose>
      <xsl:when test="cda:name" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / PERSON NAME" - The 'name' tag is missing. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:name</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:personalRelationship)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / Relationship to Subject of Care" - The 'personalRelationship' tag shall not be present. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:personalRelationship)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:administrativeGenderCode)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA" - The 'administrativeGenderCode' tag shall not be present. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:administrativeGenderCode)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:birthTime)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.1 or 6.1.2.2 DOCUMENT AUTHOR - "DOCUMENT AUTHOR / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA" - The 'birthTime' tag shall not be present. Refer to section 6.1.2.1 or 6.1.2.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:birthTime)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M33" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M33" />
  <xsl:template match="ext:entitlement[(ext:code/@codeSystem = '1.2.36.1.2001.1001.101.104.16047') and ((ext:code/@code = '5') or (ext:code/@code = '6') or (ext:code/@code = '7'))]/ext:id" priority="4000" mode="M34">
    <xsl:choose>
      <xsl:when test="@root" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'root' attribute is missing. Check all related 'ext:id' tags to find the missing 'root' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@root</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @root and                 normalize-space(@root) = ''                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'root' attribute shall contain a value. Check all related 'ext:id' tags to find the empty 'root' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @root and                 normalize-space(@root) = ''                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 normalize-space(@root) = '' or                  @root = '2.16.840.1.113883.3.879.270091' or @root = '2.16.840.1.113883.3.879.339127'                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'root' attribute shall contain the value '2.16.840.1.113883.3.879.270091' or '2.16.840.1.113883.3.879.339127'. Check all related 'ext:id' tags to find the incorrect 'root' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 normalize-space(@root) = '' or                  @root = '2.16.840.1.113883.3.879.270091' or @root = '2.16.840.1.113883.3.879.339127'                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @assigningAuthorityName and                 normalize-space(@assigningAuthorityName) = ''                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'assigningAuthorityName' attribute shall contain a value. Check all related 'ext:id' tags to find the empty 'assigningAuthorityName' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @assigningAuthorityName and                 normalize-space(@assigningAuthorityName) = ''                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@assigningAuthorityName)                  or normalize-space(@assigningAuthorityName) = ''                 or (contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'DVA'))                 or (contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'VETERAN'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'assigningAuthorityName' attribute shall contain "DVA" or "Veteran" as a part of its value. Check all related 'ext:id' tags to find the incorrect 'assigningAuthorityName' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@assigningAuthorityName)                  or normalize-space(@assigningAuthorityName) = ''                 or (contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'DVA'))                 or (contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'VETERAN'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@extension                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute is missing. Check all 'ext:id' tags to find the missing 'extension' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@extension                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@extension and normalize-space(@extension) = ''                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall contain a value. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and normalize-space(@extension) = ''                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and                 normalize-space(@extension) != '' and                 (string-length(@extension) != 8 and string-length(@extension) != 9)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid 8 character or 9 character DVA file number. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and                 normalize-space(@extension) != '' and                 (string-length(@extension) != 8 and string-length(@extension) != 9)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and                 normalize-space(@extension) != '' and                 not(starts-with(@extension, 'N')                  or starts-with(@extension, 'V')                  or starts-with(@extension, 'Q')                  or starts-with(@extension, 'W')                  or starts-with(@extension, 'S')                  or starts-with(@extension, 'T'))                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid DVA file number with its first character being the State Code and shall be either N (for NSW), V (for Victoria), Q (for Queensland), W (for Western Australia), S (for South Australia) or T (for Tasmania). Veterans in the ACT are given the NSW state code N and veterans in the Northern Territory are given the South Australian state code S. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and                 normalize-space(@extension) != '' and                 not(starts-with(@extension, 'N')                  or starts-with(@extension, 'V')                  or starts-with(@extension, 'Q')                  or starts-with(@extension, 'W')                  or starts-with(@extension, 'S')                  or starts-with(@extension, 'T'))                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension) and                 normalize-space(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension) != '' and                  not(translate(substring(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension,  2,  1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz', '0000000000000000000000000000000000000000000000000000') = '0' and                    translate(substring(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension,  3,  2), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', '00000000000000000000000000000000000000000000000000000000000000') = '00' and                   translate(substring(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension, 5, 4), '0123456789', '0000000000') = '0000')                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid DVA file number for 'id' tag 'root' attribute value of '2.16.840.1.113883.3.879.270091'. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension) and                 normalize-space(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension) != '' and                  not(translate(substring(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension,  2,  1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz', '0000000000000000000000000000000000000000000000000000') = '0' and                    translate(substring(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension,  3,  2), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', '00000000000000000000000000000000000000000000000000000000000000') = '00' and                   translate(substring(self::*[@root = '2.16.840.1.113883.3.879.270091']/@extension, 5, 4), '0123456789', '0000000000') = '0000')                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension) and                 not(translate(substring(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension,  2,  1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ', '00000000000000000000000000000000000000000000000000000') = '0' and                    translate(substring(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension,  3,  2), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', '00000000000000000000000000000000000000000000000000000000000000') = '00' and                   translate(substring(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension, 5, 4), '0123456789', '0000000000') = '0000')                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid DVA file number for 'id' tag 'root' attribute value of '2.16.840.1.113883.3.879.339127'. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 339127" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension) and                 not(translate(substring(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension,  2,  1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ', '00000000000000000000000000000000000000000000000000000') = '0' and                    translate(substring(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension,  3,  2), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', '00000000000000000000000000000000000000000000000000000000000000') = '00' and                   translate(substring(self::*[@root = '2.16.840.1.113883.3.879.339127']/@extension, 5, 4), '0123456789', '0000000000') = '0000')                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and                 normalize-space(@extension) != '' and                 (string-length(@extension) = 9 and   not(translate(substring(@extension,  9,  1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ', '00000000000000000000000000000000000000000000000000000') = '0'))                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid DVA file number and its 9th character shall be either an alphabet or a space. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and                 normalize-space(@extension) != '' and                 (string-length(@extension) = 9 and   not(translate(substring(@extension,  9,  1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ', '00000000000000000000000000000000000000000000000000000') = '0'))                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and                 normalize-space(@extension) != '' and                  substring(@extension,  2,  1) = '0'                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid DVA file number and its 2nd character shall not be 0. Check all related 'ext:id' tags to find the incorrect 'extension' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and                 normalize-space(@extension) != '' and                  substring(@extension,  2,  1) = '0'                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and                 normalize-space(@extension) != '' and                 (string-length(@extension) = 9 and  (substring(@extension,  9,  1) = '0'))                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Entitlement Number - check for "id" tag - The 'id' tag 'extension' attribute shall be a valid DVA file number and its 9th character shall not be 0. Check all related 'ext:id' tags to find the incorrect 'root' attribute. Refer to "METeOR identifier 339127" and "METeOR identifier 270091" and "section 8 DVA Card" of the Standards_Australia_Handbook_234_2012_Healthcare_Identifier_HL7_Implementation_Guide.pdf and "section 8.2 id" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and                 normalize-space(@extension) != '' and                 (string-length(@extension) = 9 and  (substring(@extension,  9,  1) = '0'))                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M34" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M34" />
  <xsl:template match="ext:asEntityIdentifier/ext:id" priority="4000" mode="M35">
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0.800360')) and (@assigningAuthorityName) and (@assigningAuthorityName!='IHI')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'assigningAuthorityName' attribute shall contain a value 'IHI' if its 'root' attribute starts with '1.2.36.1.2001.1003.0.800360'. Check all 'ext:asEntityIdentifier/ext:id' tag to find the missing or incorrect attribute value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0.800360')) and (@assigningAuthorityName) and (@assigningAuthorityName!='IHI')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0.800361')) and (@assigningAuthorityName) and (@assigningAuthorityName!='HPI-I')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'assigningAuthorityName' attribute shall contain a value 'HPI-I' if its 'root' attribute starts with '1.2.36.1.2001.1003.0.800361'. Check all 'ext:asEntityIdentifier/ext:id' tag to find the missing or incorrect attribute value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0.800361')) and (@assigningAuthorityName) and (@assigningAuthorityName!='HPI-I')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0.800362')) and (@assigningAuthorityName) and (@assigningAuthorityName!='HPI-O')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'assigningAuthorityName' attribute shall contain a value 'HPI-O' if its 'root' attribute starts with '1.2.36.1.2001.1003.0.800362'. Check all 'ext:asEntityIdentifier/ext:id' tag to find the missing or incorrect attribute value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0.800362')) and (@assigningAuthorityName) and (@assigningAuthorityName!='HPI-O')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1007.1.800364')) and (@assigningAuthorityName) and (@assigningAuthorityName!='PAI-O')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'assigningAuthorityName' attribute shall contain a value 'PAI-O' if its 'root' attribute starts with '1.2.36.1.2001.1007.1.800364'. Check all 'ext:asEntityIdentifier/ext:id' tag to find the missing or incorrect attribute value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1007.1.800364')) and (@assigningAuthorityName) and (@assigningAuthorityName!='PAI-O')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1007.10.800364')) and (@assigningAuthorityName) and (@assigningAuthorityName!='PAI-R')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'assigningAuthorityName' attribute shall contain a value 'PAI-R' if its 'root' attribute starts with '1.2.36.1.2001.1007.10.800364'. Check all 'ext:asEntityIdentifier/ext:id' tag to find the missing or incorrect attribute value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1007.10.800364')) and (@assigningAuthorityName) and (@assigningAuthorityName!='PAI-R')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1007.20.800364')) and (@assigningAuthorityName) and (@assigningAuthorityName!='PAI-D')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'assigningAuthorityName' attribute shall contain a value 'PAI-D' if its 'root' attribute starts with '1.2.36.1.2001.1007.20.800364'. Check all 'ext:asEntityIdentifier/ext:id' tag to find the missing or incorrect attribute value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1007.20.800364')) and (@assigningAuthorityName) and (@assigningAuthorityName!='PAI-D')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M35" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M35" />
  <xsl:template match="cda:code | ext:code | cda:methodCode | ext:methodCode | ext:jobClassCode | ext:formCode | ext:completionCode | cda:confidentialityCode | cda:administrativeGenderCode" priority="4000" mode="M36">
    <xsl:choose>
      <xsl:when test="                 cda:originalText or (@code and @codeSystem) or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@code" attribute - The 'code' tag shall have at least the 'originalText' tag or the 'code and codeSystem' or the 'nullFlavor' attributes. Check all 'cda:code' tags to find the missing tag or attribute(s). Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 cda:originalText or (@code and @codeSystem) or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@codeSystem and normalize-space(@codeSystem) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@codeSystem" attribute - The 'code' tag 'codeSystem' attribute shall contain a value. Check all 'cda:code' tags to find the 'codeSystem' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystem and normalize-space(@codeSystem) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@codeSystem" attribute - The 'code' tag 'codeSystem' attribute shall contain an UUID or OID. Check all 'cda:code' tags to find the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@codeSystem" attribute - The 'code' tag 'codeSystem' attribute shall be a valid UUID. Check all 'cda:code' tags to find the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@codeSystem" attribute - The 'code' tag 'codeSystem' attribute shall be a valid OID. Check all 'cda:code' tags to find the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@nullFlavor" attribute - The 'code' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:code' tags 'nullFlavor' attributes to find the 'nullFlavor' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and                 normalize-space(@nullFlavor) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Coded_DataType_NullFlavor']/code[(@code = current()/@nullFlavor)])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@nullFlavor" attribute - The 'code' tag 'nullFlavor' attribute shall be as per FAQ Representing Coding in CDA Documents CDA CD DataType nullFlavors. Check all 'cda:code' tags to find the 'nullFlavor' attributes of incorrect value. Refer to the HL7 data types specification and section 2.1.1 of the FAQ Representing Coding in CDA Documents, and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and                 normalize-space(@nullFlavor) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Coded_DataType_NullFlavor']/code[(@code = current()/@nullFlavor)])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:originalText) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:originalText" - The 'originalText' tag shall appear only once. Check all 'cda:code' tags to find the duplicated 'originalText' child tag. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:originalText) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:originalText and normalize-space(cda:originalText) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:originalText" - The 'originalText' tag shall contain a value. Check all 'cda:code' tags to find the 'originalText' child tag that has the missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:originalText and normalize-space(cda:originalText) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@code" attribute - The 'code' tag 'code' attribute shall contain a value. Check all 'cda:code' tags to find the 'code' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code != normalize-space(@code)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@code" attribute - The 'code' tag 'code' attribute shall not start or end with space. Check all 'cda:code' tags to find the 'code' attribute with incorrect value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code != normalize-space(@code)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@codeSystem) and @code">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@code" attribute - The 'code' tag 'code' attribute shall not be present if the corresponding 'codeSystem' attribute is missing. Check all 'cda:code' tags to find the incorrectly contained 'code' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@codeSystem) and @code</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemName and normalize-space(@codeSystemName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@codeSystemName" attribute - The 'code' tag 'codeSystemName' attribute shall contain a value. Check all 'cda:code' tags to find the 'codeSystemName' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemName and normalize-space(@codeSystemName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemVersion and normalize-space(@codeSystemVersion) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@codeSystemVersion" attribute - The 'code' tag 'codeSystemVersion' attribute shall contain a value. Check all 'cda:code' tags to find the 'codeSystemVersion' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemVersion and normalize-space(@codeSystemVersion) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@displayName" attribute - The 'code' tag 'displayName' attribute shall contain a value. Check all 'cda:code' tags to find the 'displayName' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@code) and @displayName">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/@displayName" attribute - The 'code' tag 'displayName' attribute shall not be present if the corresponding 'code' attribute is missing. Check all 'cda:code' tags to find the incorrectly contained 'displayName' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@code) and @displayName</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:code/cda:translation |                        ext:code/cda:translation |                        cda:methodCode/cda:translation |                        ext:methodCode/cda:translation |                        ext:jobClassCode/cda:translation" priority="3999" mode="M36">
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute is missing. Check all 'cda:code' tags to find the 'translation' child tag with missing 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall contain a value. Check all 'cda:code' tags to find the 'translation' child tag 'codeSystem' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall contain an UUID or OID. Check all 'cda:code' tags to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 (contains(@codeSystem, '-') and not(contains(@codeSystem, '.'))) or                 (not(contains(@codeSystem, '-')) and contains(@codeSystem, '.'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall be a valid UUID. Check all 'cda:code' tags to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem, '-') and not(                 string-length(@codeSystem) = 36 and                 substring(@codeSystem,  9, 1) = '-' and substring(@codeSystem, 14, 1) = '-' and                 substring(@codeSystem, 19, 1) = '-' and substring(@codeSystem, 24, 1) = '-' and                 translate(substring(@codeSystem,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@codeSystem, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@codeSystem, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall be a valid OID. Check all 'cda:code' tags to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @codeSystem and                 normalize-space(@codeSystem) != '' and                 contains(@codeSystem,'.') and not(                 substring(@codeSystem, 1, 1) != '0' and                 substring(@codeSystem, 1, 1) != '.' and                 substring(@codeSystem, string-length(@codeSystem), 1) != '.' and                 number(translate(@codeSystem, '0123456789.', '00000000000')) = 0)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 not(parent::*/@codeSystem) or                 normalize-space(parent::*/@codeSystem) = '' or                 @codeSystem != parent::*/@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystem" attribute - The 'translation' tag 'codeSystem' attribute shall contain a value different from the codeSystem it translates from. Check all 'cda:code' tags to find the 'translation' child tag with the incorrect 'codeSystem' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or                 normalize-space(@codeSystem) = '' or                 not(parent::*/@codeSystem) or                 normalize-space(parent::*/@codeSystem) = '' or                 @codeSystem != parent::*/@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@code or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation" attributes - The 'translation' tag shall have at least the 'code' or the 'nullFlavor' attributes. Check all 'cda:code' tags to find the 'translation' child tag with the missing attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@nullFlavor" attribute - The 'translation' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:code' tags to find the 'translation' child tag 'nullFlavor' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) != '' and @nullFlavor != 'OTH'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@nullFlavor" attribute - The 'translation' tag 'nullFlavor' attribute shall contain the value 'OTH'. Check all 'cda:code' tags to find the 'translation' child tag 'nullFlavor' attribute of incorrect value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) != '' and @nullFlavor != 'OTH'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(cda:originalText)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation" - The 'originalText' tag shall not be present within 'translation' tag. Check all 'cda:code' tags to find the 'translation' child tag containing 'originalText' tag. Refer to the HL7 data types specification and section 2.1.5 of the Implementation Guidance - Representing Coding in CDA Documents - Version 1.0 - 10 October 2011, and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:originalText)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation" - The 'translation' tag shall not be present within 'translation' tag. Check all 'cda:code' tags to find the 'translation' child tag with nested 'translation' tag. Refer to the HL7 data types specification and section 2.1.5 of the Implementation Guidance - Representing Coding in CDA Documents - Version 1.0 - 10 October 2011, and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@code and normalize-space(@code) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@code" attribute - The 'translation' tag 'code' attribute shall contain a value. Check all 'cda:code' tags to find the 'translation' child tag 'code' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code != normalize-space(@code)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@code" attribute - The 'translation' tag 'code' attribute shall not start or end with space. Check all 'cda:code' tags to find the 'translation' child tag 'code' attribute of incorrect value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code != normalize-space(@code)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@codeSystem) and @code">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@code" attribute - The 'translation' tag 'code' attribute shall not be present if the corresponding 'codeSystem' attribute is missing. Check all 'cda:code' tags to find the 'translation' child tag with incorrectly contained 'code' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@codeSystem) and @code</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemName and normalize-space(@codeSystemName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystemName" attribute - The 'translation' tag 'codeSystemName' attribute shall contain a value. Check all 'cda:code' tags to find the 'translation' child tag 'codeSystemName' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemName and normalize-space(@codeSystemName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@codeSystemVersion and normalize-space(@codeSystemVersion) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@codeSystemVersion" attribute - The 'translation' tag 'codeSystemVersion' attribute shall contain a value. Check all 'cda:code' tags to find the 'translation' child tag 'codeSystemVersion' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@codeSystemVersion and normalize-space(@codeSystemVersion) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@displayName" attribute - The 'translation' tag 'displayName' attribute shall contain a value. Check all 'cda:code' tags to find the 'translation' child tag 'displayName' attribute of missing value. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="not(@code) and @displayName">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "cda:code/cda:translation/@displayName" attribute - The 'translation' tag 'displayName' attribute shall not be present if the corresponding 'code' attribute is missing. Check all 'cda:code' tags to find the 'translation' child tag with incorrectly contained 'displayName' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">not(@code) and @displayName</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:code/cda:originalText |                        ext:code/cda:originalText |                        cda:methodCode/cda:originalText |                        ext:methodCode/cda:originalText |                        ext:jobClassCode/cda:originalText" priority="3998" mode="M36">
    <xsl:if test="count(cda:reference) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:code/cda:originalText' tag - The 'reference' tag shall appear only once. Check all 'cda:code/cda:originalText' tags to find the duplicated 'reference' tag. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:reference) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:code/cda:originalText/cda:reference |                        ext:code/cda:originalText/cda:reference |                        cda:methodCode/cda:originalText/cda:reference |                        ext:methodCode/cda:originalText/cda:reference |                        ext:jobClassCode/cda:originalText/cda:reference" priority="3997" mode="M36">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:code/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute is missing. Check all 'cda:code/cda:originalText/cda:reference' tags to find the missing 'value' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:code/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute shall contain a value. Check all 'cda:code/cda:originalText/cda:reference' tags to find the empty 'value' attribute. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or                 normalize-space(@value) = '' or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:code/cda:originalText/cda:reference' tag - The narrative 'text/content/@ID' attribute corresponding to the 'reference' tag 'value' attribute is missing. Check all 'cda:code/cda:originalText/cda:reference' tags to find the missing corresponding narrative. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or                 normalize-space(@value) = '' or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or                 normalize-space(@value) = '' or                 (starts-with(@value, '#'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:code/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute shall be an internal reference. Check all 'cda:code/cda:originalText/cda:reference' tags to find the missing corresponding narrative. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or                 normalize-space(@value) = '' or                 (starts-with(@value, '#'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or                 normalize-space(@value) = '' or                 not(ancestor::cda:component/cda:section/cda:text) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content/@ID) or                 not(starts-with(@value, '#')) or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID = (substring-after(@value, '#'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">&gt;Error: Goals of Care - Global Clinical Document check for 'cda:code/cda:originalText/cda:reference' tag - The 'reference' tag 'value' attribute shall contain the value match to its corresponding narrative block content 'ID' attribute. Check all 'cda:code/cda:originalText/cda:reference' tags to find the corresponding narrative content ID mismatch. Refer to the HL7 data types specification and section 8.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or                 normalize-space(@value) = '' or                 not(ancestor::cda:component/cda:section/cda:text) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content) or                 not(ancestor::cda:component/cda:section/cda:text//cda:content/@ID) or                 not(starts-with(@value, '#')) or                 ancestor::cda:component/cda:section/cda:text//cda:content/@ID = (substring-after(@value, '#'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:component" priority="3996" mode="M36">
    <xsl:if test="cda:nonXMLBody">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - The 'nonXMLBody' tag shall not exist. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:nonXMLBody</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:id | ext:id | cda:setId" priority="3995" mode="M36">
    <xsl:choose>
      <xsl:when test="@root or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag shall have at least 'root' or 'nullFlavor' attributes. Check all 'cda:id' tags to find the missing 'root' or 'nullFlavor' attributes. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@root or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@root and normalize-space(@root) =  ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall contain a value. Check all 'cda:id' tags 'root' attribute to find the missing value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@root and normalize-space(@root) =  ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 normalize-space(@root) = '' or                 (contains(@root, '-') and not(contains(@root, '.'))) or                 (not(contains(@root, '-')) and contains(@root, '.'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall contain an UUID or OID. Check all 'cda:id' tags to find the incorrect 'root' attribute. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 normalize-space(@root) = '' or                 (contains(@root, '-') and not(contains(@root, '.'))) or                 (not(contains(@root, '-')) and contains(@root, '.'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @root and                 normalize-space(@root) != '' and                 contains(@root, '-') and not(                 string-length(@root) = 36 and                 substring(@root,  9, 1) = '-' and substring(@root, 14, 1) = '-' and                 substring(@root, 19, 1) = '-' and substring(@root, 24, 1) = '-' and                 translate(substring(@root,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@root, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@root, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@root, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@root, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall be a valid UUID. Check all 'cda:id' tags to find the incorrect 'root' attribute. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @root and                 normalize-space(@root) != '' and                 contains(@root, '-') and not(                 string-length(@root) = 36 and                 substring(@root,  9, 1) = '-' and substring(@root, 14, 1) = '-' and                 substring(@root, 19, 1) = '-' and substring(@root, 24, 1) = '-' and                 translate(substring(@root,  1,  8), '0123456789ABCDEFabcdef', '0000000000000000000000') = '00000000' and                 translate(substring(@root, 10,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@root, 15,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@root, 20,  4), '0123456789ABCDEFabcdef', '0000000000000000000000') = '0000' and                 translate(substring(@root, 25, 12), '0123456789ABCDEFabcdef', '0000000000000000000000') = '000000000000')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @root and                 normalize-space(@root) != '' and                 contains(@root, '-') and                  (                 contains(@root, 'a') or                 contains(@root, 'b') or                 contains(@root, 'c') or                 contains(@root, 'd') or                 contains(@root, 'e') or                 contains(@root, 'f')                  ) and                 (                 contains(@root, 'A') or                 contains(@root, 'B') or                 contains(@root, 'C') or                 contains(@root, 'D') or                 contains(@root, 'E') or                 contains(@root, 'F')                  )                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall be a valid UUID. Check all 'cda:id' tags to find the incorrect 'root' attribute. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @root and                 normalize-space(@root) != '' and                 contains(@root, '-') and                  (                 contains(@root, 'a') or                 contains(@root, 'b') or                 contains(@root, 'c') or                 contains(@root, 'd') or                 contains(@root, 'e') or                 contains(@root, 'f')                  ) and                 (                 contains(@root, 'A') or                 contains(@root, 'B') or                 contains(@root, 'C') or                 contains(@root, 'D') or                 contains(@root, 'E') or                 contains(@root, 'F')                  )                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @root and                 normalize-space(@root) != '' and                 contains(@root,'.') and                 substring(@root, 1, 1) != '.' and substring(@root, string-length(@root), 1) != '.' and                 number(translate(@root, '0123456789.', '00000000000')) = 0  and                 (contains(@root,'.00') or contains(@root,'.01') or contains(@root,'.02') or contains(@root,'.03') or contains(@root,'.04') or contains(@root,'.05') or contains(@root,'.06') or contains(@root,'.07') or contains(@root,'.08') or contains(@root,'.09'))                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall be a valid OID. Check all 'cda:id' tags to find the incorrect 'root' attribute. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @root and                 normalize-space(@root) != '' and                 contains(@root,'.') and                 substring(@root, 1, 1) != '.' and substring(@root, string-length(@root), 1) != '.' and                 number(translate(@root, '0123456789.', '00000000000')) = 0  and                 (contains(@root,'.00') or contains(@root,'.01') or contains(@root,'.02') or contains(@root,'.03') or contains(@root,'.04') or contains(@root,'.05') or contains(@root,'.06') or contains(@root,'.07') or contains(@root,'.08') or contains(@root,'.09'))                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @root and                 normalize-space(@root) != '' and                 contains(@root,'.') and not(                 substring(@root, 1, 1) = '0' or substring(@root, 1, 1) = '1' or substring(@root, 1, 1) = '2')                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall be a valid OID. Check all 'cda:id' tags to find the incorrect 'root' attribute. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @root and                 normalize-space(@root) != '' and                 contains(@root,'.') and not(                 substring(@root, 1, 1) = '0' or substring(@root, 1, 1) = '1' or substring(@root, 1, 1) = '2')                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @root and                 normalize-space(@root) != '' and                 contains(@root,'.') and (substring(@root, 1, 1) = '0' or substring(@root, 1, 1) = '1') and                 not(                 substring(@root, 2, 1) = '.' and                 substring(@root, string-length(@root), 1) != '.' and                 number(translate(@root, '0123456789.', '00000000000')) = 0 and                 number(translate(substring(@root, 3, 2), '0123456789', '0000000000')) = 0 and                 number(substring(@root, 3, 2)) &lt; 40 and                 (substring(@root, 4, 1) = '.'  or substring(@root, 5, 1) = '.'))                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute shall be a valid OID. Check all 'cda:id' tags to find the incorrect 'root' attribute. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @root and                 normalize-space(@root) != '' and                 contains(@root,'.') and (substring(@root, 1, 1) = '0' or substring(@root, 1, 1) = '1') and                 not(                 substring(@root, 2, 1) = '.' and                 substring(@root, string-length(@root), 1) != '.' and                 number(translate(@root, '0123456789.', '00000000000')) = 0 and                 number(translate(substring(@root, 3, 2), '0123456789', '0000000000')) = 0 and                 number(substring(@root, 3, 2)) &lt; 40 and                 (substring(@root, 4, 1) = '.'  or substring(@root, 5, 1) = '.'))                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 substring(@root, string-length(@root), 1) = '.' or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1003.0.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.1.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.10.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.20.80036')                 ) or (                     not(contains(substring-after(@root, '80036'), '.')) and                     string-length('80036') + string-length(substring-after(@root, '80036')) = 16                 ) or (                     contains(substring-after(@root, '80036'), '.') and                     string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall contain an OID for Health Identifier, which should be ended with a national 16 digits unique identification number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 substring(@root, string-length(@root), 1) = '.' or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1003.0.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.1.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.10.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.20.80036')                 ) or (                     not(contains(substring-after(@root, '80036'), '.')) and                     string-length('80036') + string-length(substring-after(@root, '80036')) = 16                 ) or (                     contains(substring-after(@root, '80036'), '.') and                     string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 substring(@root, string-length(@root), 1) = '.' or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1007.11.80036')) or                 (                     contains(substring-after(@root, '80036'), '.') and                     string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall contain an OID for repository, which should be ended with a national 16 digits unique identification number, followed by a '.' and 1 or more digits or additional nodes. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 substring(@root, string-length(@root), 1) = '.' or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1007.11.80036')) or                 (                     contains(substring-after(@root, '80036'), '.') and                     string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1003.0.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.1.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.10.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.20.80036')                 ) or (                     not(contains(substring-after(@root, '80036'), '.')) and                     not(string-length('80036') + string-length(substring-after(@root, '80036')) = 16)                 ) or (                     contains(substring-after(@root, '80036'), '.') and (                     not(string-length(substring-after(substring-after(@root, '80036'), '.')) &gt; 0) or                     not(string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16))                 ) or (                 (                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall have a valid Luhn check digit in the OID for Health Identifier. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1003.0.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.1.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.10.80036') or                     starts-with(@root, '1.2.36.1.2001.1007.20.80036')                 ) or (                     not(contains(substring-after(@root, '80036'), '.')) and                     not(string-length('80036') + string-length(substring-after(@root, '80036')) = 16)                 ) or (                     contains(substring-after(@root, '80036'), '.') and (                     not(string-length(substring-after(substring-after(@root, '80036'), '.')) &gt; 0) or                     not(string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16))                 ) or (                 (                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1007.11.80036')) or                 not(contains(substring-after(@root, '80036'), '.')                 ) or (                     contains(substring-after(@root, '80036'), '.') and (                     not(string-length(substring-after(substring-after(@root, '80036'), '.')) &gt; 0) or                     not(string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16))                 ) or (                 (                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall have a valid Luhn check digit in the OID for Health Identifier. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 number(translate(@root, '0123456789.', '00000000000')) != 0 or                 not(starts-with(@root, '1.2.36.1.2001.1007.11.80036')) or                 not(contains(substring-after(@root, '80036'), '.')                 ) or (                     contains(substring-after(@root, '80036'), '.') and (                     not(string-length(substring-after(substring-after(@root, '80036'), '.')) &gt; 0) or                     not(string-length('80036') + string-length(substring-before(substring-after(@root, '80036'), '.')) = 16))                 ) or (                 (                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@root and                 substring(@root, string-length(@root), 1) != '.' and                 (                     (                         @root = '1.2.36.1.2001.1003.0' or (                         starts-with(@root, '1.2.36.1.2001.1003.0') and                         substring(@root, string-length('1.2.36.1.2001.1003.0') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.1' or (                         starts-with(@root, '1.2.36.1.2001.1007.1') and                         substring(@root, string-length('1.2.36.1.2001.1007.1') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.10' or (                         starts-with(@root, '1.2.36.1.2001.1007.10') and                         substring(@root, string-length('1.2.36.1.2001.1007.10') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.20' or (                         starts-with(@root, '1.2.36.1.2001.1007.20') and                         substring(@root, string-length('1.2.36.1.2001.1007.20') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.11' or (                         starts-with(@root, '1.2.36.1.2001.1007.11') and                         substring(@root, string-length('1.2.36.1.2001.1007.11') + 1, 1) = '.')                     )                 ) and                 @extension">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'extension' attribute shall not be present for HI or Repository identifiers. Check all 'cda:id' tags 'extension' attribute to find the prohibited extension attribute. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@root and                 substring(@root, string-length(@root), 1) != '.' and                 (                     (                         @root = '1.2.36.1.2001.1003.0' or (                         starts-with(@root, '1.2.36.1.2001.1003.0') and                         substring(@root, string-length('1.2.36.1.2001.1003.0') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.1' or (                         starts-with(@root, '1.2.36.1.2001.1007.1') and                         substring(@root, string-length('1.2.36.1.2001.1007.1') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.10' or (                         starts-with(@root, '1.2.36.1.2001.1007.10') and                         substring(@root, string-length('1.2.36.1.2001.1007.10') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.20' or (                         starts-with(@root, '1.2.36.1.2001.1007.20') and                         substring(@root, string-length('1.2.36.1.2001.1007.20') + 1, 1) = '.')                     ) or (                         @root = '1.2.36.1.2001.1007.11' or (                         starts-with(@root, '1.2.36.1.2001.1007.11') and                         substring(@root, string-length('1.2.36.1.2001.1007.11') + 1, 1) = '.')                     )                 ) and                 @extension</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:id' tags 'nullFlavor' attribute to find the missing value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and not(@root or @nullFlavor)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' OR 'nullFlavor' attribute is missing for the existence of 'extension' attribute. Check all 'cda:id' tags to find the 'extension' without 'root' OR 'nullFlavor' attributes. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and not(@root or @nullFlavor)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@extension and normalize-space(@extension) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'extension' attribute shall contain a value. Check all 'cda:id' tags 'extension' attribute to find the missing value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@extension and normalize-space(@extension) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@assigningAuthorityName and not(@root)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute is missing for the existence of 'assigningAuthorityName' attribute. Check all 'cda:id' tags to find the 'assigningAuthorityName' without 'root' attributes. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@assigningAuthorityName and not(@root)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@assigningAuthorityName and normalize-space(@assigningAuthorityName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'assigningAuthorityName' attribute shall contain a value. Check all 'cda:id' tags 'assigningAuthorityName' attribute to find the missing value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@assigningAuthorityName and normalize-space(@assigningAuthorityName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayable and not(@root)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'root' attribute is missing for the existence of 'displayable' attribute. Check all 'cda:id' tags to find the 'displayable' without 'root' attributes. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayable and not(@root)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayable and normalize-space(@displayable) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'displayable' attribute shall contain a value. Check all 'cda:id' tags 'displayable' attribute to find the missing value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayable and normalize-space(@displayable) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@displayable and                 normalize-space(@displayable) != '' and                 not(@displayable = 'true' or @displayable = 'false')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "id" tag - The 'id' tag 'displayable' attribute shall contain the value 'true' or 'false'. Check all 'cda:id' tags 'displayable' attribute to find the incorrect value. Refer to section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayable and                 normalize-space(@displayable) != '' and                 not(@displayable = 'true' or @displayable = 'false')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(starts-with(@root, '1.2.36.1.5001.1.0.7.1')) or                 (                     not( contains(substring-after(@root, '1.2.36.1.5001.1.0.7.1'), '.'))                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall be '1.2.36.1.5001.1.0.7.1' OID for Medicare Card Number, with 'extension' attribute shall be a numeric 10 digits unique Medicare Card Number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(starts-with(@root, '1.2.36.1.5001.1.0.7.1')) or                 (                     not( contains(substring-after(@root, '1.2.36.1.5001.1.0.7.1'), '.'))                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root='1.2.36.1.5001.1.0.7.1') or                 (                     number(@extension) = floor(@extension) and                     string-length(@extension) = 10                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a numeric 10 digits unique Medicare Card Number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root='1.2.36.1.5001.1.0.7.1') or                 (                     number(@extension) = floor(@extension) and                     string-length(@extension) = 10                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root='1.2.36.1.5001.1.0.7.1') or                 (                     not(number(@extension) = floor(@extension)) or                     not(string-length(@extension) = 10)                 ) or                 (                 (@extension = '0000000000') or                 (@extension = '9999999999') or                 (@extension = '8888888888')                 ) or                 (                    ((1 *  number(substring(@extension, 1, 1))) +                     (3 *  number(substring(@extension, 2, 1))) +                     (7 *  number(substring(@extension, 3, 1))) +                     (9 *  number(substring(@extension, 4, 1))) +                     (1 *  number(substring(@extension, 5, 1))) +                     (3 *  number(substring(@extension, 6, 1))) +                     (7 *  number(substring(@extension, 7, 1))) +                     (9 *  number(substring(@extension, 8, 1)))                     ) mod 10 =                     (     number(substring(@extension, 9, 1)))                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall have a valid check digit in the Medicare Card Number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root='1.2.36.1.5001.1.0.7.1') or                 (                     not(number(@extension) = floor(@extension)) or                     not(string-length(@extension) = 10)                 ) or                 (                 (@extension = '0000000000') or                 (@extension = '9999999999') or                 (@extension = '8888888888')                 ) or                 (                    ((1 *  number(substring(@extension, 1, 1))) +                     (3 *  number(substring(@extension, 2, 1))) +                     (7 *  number(substring(@extension, 3, 1))) +                     (9 *  number(substring(@extension, 4, 1))) +                     (1 *  number(substring(@extension, 5, 1))) +                     (3 *  number(substring(@extension, 6, 1))) +                     (7 *  number(substring(@extension, 7, 1))) +                     (9 *  number(substring(@extension, 8, 1)))                     ) mod 10 =                     (     number(substring(@extension, 9, 1)))                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.1.5001.1.0.7') or                 (                     number(@extension) = floor(@extension) and                     string-length(@extension) = 11                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a numeric 11 digits unique Individual Medicare Card Number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.1.5001.1.0.7') or                 (                     number(@extension) = floor(@extension) and                     string-length(@extension) = 11                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.1.5001.1.0.7') or                 (                     not(number(@extension)) or                     not(string-length(@extension) = 11)                 ) or                 (                 (@extension = '00000000000') or                 (@extension = '00000000009') or                 (@extension = '99999999999') or                 (@extension = '88888888888')                 ) or                 (                    ((1 *  number(substring(@extension, 1, 1))) +                     (3 *  number(substring(@extension, 2, 1))) +                     (7 *  number(substring(@extension, 3, 1))) +                     (9 *  number(substring(@extension, 4, 1))) +                     (1 *  number(substring(@extension, 5, 1))) +                     (3 *  number(substring(@extension, 6, 1))) +                     (7 *  number(substring(@extension, 7, 1))) +                     (9 *  number(substring(@extension, 8, 1)))                     ) mod 10 =                     (     number(substring(@extension, 9, 1)))                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall have a valid check digit in the Individual Medicare Card Number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.1.5001.1.0.7') or                 (                     not(number(@extension)) or                     not(string-length(@extension) = 11)                 ) or                 (                 (@extension = '00000000000') or                 (@extension = '00000000009') or                 (@extension = '99999999999') or                 (@extension = '88888888888')                 ) or                 (                    ((1 *  number(substring(@extension, 1, 1))) +                     (3 *  number(substring(@extension, 2, 1))) +                     (7 *  number(substring(@extension, 3, 1))) +                     (9 *  number(substring(@extension, 4, 1))) +                     (1 *  number(substring(@extension, 5, 1))) +                     (3 *  number(substring(@extension, 6, 1))) +                     (7 *  number(substring(@extension, 7, 1))) +                     (9 *  number(substring(@extension, 8, 1)))                     ) mod 10 =                     (     number(substring(@extension, 9, 1)))                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(starts-with(@root, '1.2.36.174030967.0.2')) or                 substring(substring-after(@root, '1.2.36.174030967.0.2'), 1, 1) = ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall be an OID for prefix of Medicare Provider Number '1.2.36.174030967.0.2'. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(starts-with(@root, '1.2.36.174030967.0.2')) or                 substring(substring-after(@root, '1.2.36.174030967.0.2'), 1, 1) = ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.174030967.0.2') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                     string-length(@extension) = 8 and                     number(substring(@extension, 1, 6)) = floor(substring(@extension, 1, 6)) and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Practice_Location']/code[@displayName = substring(current()/@extension, 7, 1)] and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Check_Digit']/code[@displayName = substring(current()/@extension, 8, 1)]                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a Medicare Provider Number, which is a numeric 6 digits, right justified, zero filled Number, plus a PLV character, and a check digit character, issued by Medicare. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.174030967.0.2') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                     string-length(@extension) = 8 and                     number(substring(@extension, 1, 6)) = floor(substring(@extension, 1, 6)) and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Practice_Location']/code[@displayName = substring(current()/@extension, 7, 1)] and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Check_Digit']/code[@displayName = substring(current()/@extension, 8, 1)]                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root='1.2.36.174030967.0.2') or                 not(                     string-length(@extension) = 8 and                     number(substring(@extension, 1, 6)) = floor(substring(@extension, 1, 6)) and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Practice_Location']/code[@displayName = substring(current()/@extension, 7, 1)] and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Check_Digit']/code[@displayName = substring(current()/@extension, 8, 1)]                 ) or                 (                    ((number(substring(@extension, 1, 1)) * 3) +                     (number(substring(@extension, 2, 1)) * 5) +                     (number(substring(@extension, 3, 1)) * 8) +                     (number(substring(@extension, 4, 1)) * 4) +                     (number(substring(@extension, 5, 1)) * 2) +                     (number(substring(@extension, 6, 1)) * 1) +                     (number(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Practice_Location']/code[@displayName = substring(current()/@extension, 7, 1)]/@code) * 6)                     ) mod 11 =                     (number(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Check_Digit']/code[@displayName = substring(current()/@extension, 8, 1)]/@code))                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall have a valid check digit in the Medicare Provider Number. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root='1.2.36.174030967.0.2') or                 not(                     string-length(@extension) = 8 and                     number(substring(@extension, 1, 6)) = floor(substring(@extension, 1, 6)) and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Practice_Location']/code[@displayName = substring(current()/@extension, 7, 1)] and                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Check_Digit']/code[@displayName = substring(current()/@extension, 8, 1)]                 ) or                 (                    ((number(substring(@extension, 1, 1)) * 3) +                     (number(substring(@extension, 2, 1)) * 5) +                     (number(substring(@extension, 3, 1)) * 8) +                     (number(substring(@extension, 4, 1)) * 4) +                     (number(substring(@extension, 5, 1)) * 2) +                     (number(substring(@extension, 6, 1)) * 1) +                     (number(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Practice_Location']/code[@displayName = substring(current()/@extension, 7, 1)]/@code) * 6)                     ) mod 11 =                     (number(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Medicare_Provider_Number_Check_Digit']/code[@displayName = substring(current()/@extension, 8, 1)]/@code))                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(starts-with(@root, '1.2.36.174030967.0.3')) or                 substring(substring-after(@root, '1.2.36.174030967.0.3'), 1, 1) = ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'root' attribute shall be an OID for prefix of Medicare Prescriber Number '1.2.36.174030967.0.3'. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(starts-with(@root, '1.2.36.174030967.0.3')) or                 substring(substring-after(@root, '1.2.36.174030967.0.3'), 1, 1) = ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                     string-length(normalize-space(@extension)) = 8                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a Medicare Prescriber Number, a numeric and alpha 8 characters issued by Medicare. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                     string-length(normalize-space(@extension)) = 8                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 number(translate(substring(@extension, 1, 6),'0123456789', '00000000000')) = 0                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a Medicare Prescriber Number that starts with 6 numeric numbers. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 number(translate(substring(@extension, 1, 6),'0123456789', '00000000000')) = 0                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 number(translate(substring(@extension, 7, 1),'0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', '000000000000000000000000000000000000000000000000000000000000000')) = 0                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a Medicare Prescriber Number, the 7th character of @extension shall be either alpha or numeric. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 number(translate(substring(@extension, 7, 1),'0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', '000000000000000000000000000000000000000000000000000000000000000')) = 0                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 number(translate(substring(@extension, 8, 1),'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', '00000000000000000000000000000000000000000000000000000')) = 0                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a Medicare Prescriber Number, the 8th character of @extension shall be alpha. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '1.2.36.174030967.0.3') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 number(translate(substring(@extension, 8, 1),'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', '00000000000000000000000000000000000000000000000000000')) = 0                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@root) or                 not(@root = '2.16.840.1.113883.3.879.270098') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 string-length(@extension) = 10 and                 number(substring(@extension, 1, 9)) = floor(substring(@extension, 1, 9)) and                 normalize-space(translate(substring(@extension, 10, 1), 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')) = 'a'                 )" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'id' tag - The 'id' tag 'extension' attribute shall be a Centrelink customer reference number, shall be 10 character length, the first nine characters shall be numeric and the tenth character shall be alphaetical. Check all 'cda:id' or 'ext:id' tags to find the incorrect value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents, and section 8.2 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@root) or                 not(@root = '2.16.840.1.113883.3.879.270098') or                 not(@extension) or                 normalize-space(@extension) = '' or                 (                 string-length(@extension) = 10 and                 number(substring(@extension, 1, 9)) = floor(substring(@extension, 1, 9)) and                 normalize-space(translate(substring(@extension, 10, 1), 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa')) = 'a'                 )</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 (                 (@root = '1.2.36.1.5001.1.0.7') or                 (@root = '1.2.36.1.5001.1.0.7.1') or                 (@root = '1.2.36.1.5001.1.0.7.2') or                 (@root = '1.2.36.1.5001.1.0.7.3')                 ) and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'MEDICARE'))                                       ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:id' or 'ext:id' or 'cda:setId' tag - The 'cda:id' or 'ext:id' or 'cda:setId' tag 'assigningAuthorityName' attribute shall contain 'Medicare' as a part of its value if the 'root' attribute is '1.2.36.1.5001.1.0.7' or '1.2.36.1.5001.1.0.7.1' or '1.2.36.1.5001.1.0.7.2' or '1.2.36.1.5001.1.0.7.3'. Check all 'cda:id' or 'ext:id' or 'cda:setId' tag to find the incorrect attribute value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents and HL7 OID Registry and section 8.2 id of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (                 (@root = '1.2.36.1.5001.1.0.7') or                 (@root = '1.2.36.1.5001.1.0.7.1') or                 (@root = '1.2.36.1.5001.1.0.7.2') or                 (@root = '1.2.36.1.5001.1.0.7.3')                 ) and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'MEDICARE'))                                       </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (@root = '2.16.840.1.113883.3.879.270091') and                  (@assigningAuthorityName) and                 (not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'DVA')) and not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'), 'VETERAN')))                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:id' or 'ext:id' or 'cda:setId' tag - The 'cda:id' or 'ext:id' or 'cda:setId' tag 'assigningAuthorityName' attribute shall contain 'DVA' or 'Veteran' as a part of its value if the 'root' attribute is '2.16.840.1.113883.3.879.270091'. Check all 'cda:id' or 'ext:id' or 'cda:setId' tag to find the incorrect attribute value. Refer to section 8.2 of Standards Australia handbook 234 – 2012 and section 8.2 id of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (@root = '2.16.840.1.113883.3.879.270091') and                  (@assigningAuthorityName) and                 (not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'DVA')) and not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'), 'VETERAN')))                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (@root = '2.16.840.1.113883.3.879.270098') and                  (@assigningAuthorityName) and                 not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'CENTRELINK'))                  ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:id' or 'ext:id' or 'cda:setId' tag - The 'cda:id' or 'ext:id' or 'cda:setId' tag 'assigningAuthorityName' attribute shall contain 'Centrelink' as a part of its value if the 'root' attribute is '2.16.840.1.113883.3.879.270098'. Check all 'cda:id' or 'ext:id' or 'cda:setId' tag to find the incorrect attribute value. Refer to section 8.2 of Standards Australia handbook 234 – 2012 and section 8.2 id of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (@root = '2.16.840.1.113883.3.879.270098') and                  (@assigningAuthorityName) and                 not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'CENTRELINK'))                  </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (@root = '1.2.36.174030967.0.3') and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'PRESCRIBER'))                                       ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:id' or 'ext:id' or 'cda:setId' tag - The 'cda:id' or 'ext:id' or 'cda:setId' tag 'assigningAuthorityName' attribute shall contain 'prescriber' as a part of its value if the 'root' attribute is '1.2.36.174030967.0.3'. Check all 'cda:id' or 'ext:id' or 'cda:setId' tag to find the incorrect attribute value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents and HL7 OID Registry and section 8.2 id of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (@root = '1.2.36.174030967.0.3') and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'PRESCRIBER'))                                       </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (@root = '1.2.36.174030967.1.3.2.1') and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'PHARMACY'))                                       ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:id' or 'ext:id' or 'cda:setId' tag - The 'cda:id' or 'ext:id' or 'cda:setId' tag 'assigningAuthorityName' attribute shall contain 'pharmacy' as a part of its value if the 'root' attribute is '1.2.36.174030967.1.3.2.1'. Check all 'cda:id' or 'ext:id' or 'cda:setId' tag to find the incorrect attribute value. Refer to HL7 OID Registry and section 8.2 id of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (@root = '1.2.36.174030967.1.3.2.1') and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'PHARMACY'))                                       </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (@root = '1.2.36.174030967.0.2') and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'PROVIDER'))                                       ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:id' or 'ext:id' or 'cda:setId' tag - The 'cda:id' or 'ext:id' or 'cda:setId' tag 'assigningAuthorityName' attribute shall contain 'provider' as a part of its value if the 'root' attribute is '1.2.36.174030967.0.2'. Check all 'cda:id' or 'ext:id' or 'cda:setId' tag to find the incorrect attribute value. Refer to FAQ Vendor advice regarding OIDs in HL7 CDA documents and HL7 OID Registry and section 8.2 id of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (@root = '1.2.36.174030967.0.2') and                  (@assigningAuthorityName) and                  not(contains(translate(@assigningAuthorityName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'PROVIDER'))                                       </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:time                                                                  |                        cda:birthTime                                                             |                        ext:birthTime                                                             |                        cda:deceasedTime                                                          |                        ext:deceasedTime                                                          |                         cda:effectiveTime[@xsi:type = 'TS'      or substring-after(normalize-space(@xsi:type), ':') = 'TS']                                         |                        cda:effectiveTime[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:low                             |                        cda:effectiveTime[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:high                            |                        cda:effectiveTime[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:center                          |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:low                  |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:high                 |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:center               |                         cda:effectiveTime[parent::cda:act]/cda:low                                |                        cda:effectiveTime[parent::cda:act]/cda:high                               |                        cda:effectiveTime[parent::cda:act]/cda:center                             |                        cda:effectiveTime[parent::cda:encompassingEncounter]/cda:low              |                        cda:effectiveTime[parent::cda:encompassingEncounter]/cda:high             |                        cda:effectiveTime[parent::cda:encompassingEncounter]/cda:center           |                        cda:effectiveTime[parent::cda:encounter]/cda:low                          |                        cda:effectiveTime[parent::cda:encounter]/cda:high                         |                        cda:effectiveTime[parent::cda:encounter]/cda:center                       |                        ext:effectiveTime[parent::ext:entitlement]/cda:low                        |                        ext:effectiveTime[parent::ext:entitlement]/cda:high                       |                        ext:effectiveTime[parent::ext:entitlement]/cda:center                     |                        cda:effectiveTime[parent::cda:observation]/cda:low                        |                        cda:effectiveTime[parent::cda:observation]/cda:high                       |                        cda:effectiveTime[parent::cda:observation]/cda:center                     |                        cda:effectiveTime[parent::cda:procedure]/cda:low                          |                        cda:effectiveTime[parent::cda:procedure]/cda:high                         |                        cda:effectiveTime[parent::cda:procedure]/cda:center                       |                         cda:effectiveTime[not(@xsi:type) and parent::cda:substanceAdministration] |                        cda:effectiveTime[not(@xsi:type) and parent::cda:supply]                  |                        cda:effectiveTime[not(@xsi:type) and parent::cda:ClinicalDocument]        |                         cda:time[@xsi:type = 'TS'      or substring-after(normalize-space(@xsi:type), ':') = 'TS']                                                  |                        cda:time[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:low                                      |                        cda:time[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:high                                     |                        cda:time[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:center                                   |                        cda:time[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:low                           |                        cda:time[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:high                          |                        cda:time[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:center                        |                         cda:time[parent::cda:encounterParticipant]/cda:low                        |                        cda:time[parent::cda:encounterParticipant]/cda:high                       |                        cda:time[parent::cda:encounterParticipant]/cda:center                     |                        cda:time[parent::cda:participant]/cda:low                                 |                        cda:time[parent::cda:participant]/cda:high                                |                        cda:time[parent::cda:participant]/cda:center                              |                        cda:time[parent::cda:performer]/cda:low                                   |                        cda:time[parent::cda:performer]/cda:high                                  |                        cda:time[parent::cda:performer]/cda:center                                |                         cda:time[not(@xsi:type) and parent::cda:author]                           |                        cda:time[not(@xsi:type) and parent::cda:legalAuthenticator]               |                        cda:copyTime" priority="3994" mode="M36">
    <xsl:if test="                 name() != 'time' and substring-after(name(), ':') != 'time' and                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag 'xsi:type' attribute shall contain a value. Check all 'time' tags to find the attribute of empty value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'time' and substring-after(name(), ':') != 'time' and                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 name() != 'time' and substring-after(name(), ':') != 'time' and                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'TS')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag 'xsi:type' attribute shall contain the value 'TS'. Check all 'time' tags to find the attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'time' and substring-after(name(), ':') != 'time' and                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'TS')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 @value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag shall have at least the 'value' or 'nullFlavor' attribute. Check all 'time' tags to find the missing 'nullFlavor' or 'value' attribute. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag 'nullFlavor' attribute shall contain a value. Check all 'time' tags to find the 'nullFlavor' attribute of missing value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag 'value' attribute shall contain a value. Check all 'time' tags to find the 'value' attribute of missing value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value                      and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag 'value' attribute shall contain a timezone value. "Any time that is more specific than a day SHALL include a timezone". Check all 'time' tags to find the 'value' attribute of missing timezone value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value                      and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect fraction of second - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect fraction of second - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect TimeZone - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect TimeZone - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Month - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Date - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Month - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Date - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Date - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Hour - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Minute - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Second - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:effectiveTime[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']                                     |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase                          |                         cda:effectiveTime[not(@xsi:type) and parent::cda:act]                     |                        cda:effectiveTime[not(@xsi:type) and parent::cda:encompassingEncounter]   |                        cda:effectiveTime[not(@xsi:type) and parent::cda:encounter]               |                        ext:effectiveTime[not(@xsi:type) and parent::ext:entitlement]             |                        cda:effectiveTime[not(@xsi:type) and parent::cda:observation]             |                        cda:effectiveTime[not(@xsi:type) and parent::cda:procedure]               |                         cda:time[not(@xsi:type) and parent::cda:encounterParticipant]             |                        cda:time[not(@xsi:type) and parent::cda:participant]                      |                        cda:time[not(@xsi:type) and parent::cda:performer]" priority="3993" mode="M36">
    <xsl:choose>
      <xsl:when test="                 @value or cda:center or cda:low or cda:high or cda:width or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag shall have at least the 'value' or 'nullFlavor' attribute or 'low' or 'high' or 'center' or 'width' child tag. Check all 'effectiveTime' tags to find the missing 'nullFlavor' or 'value' attribute or 'low' or 'high' or 'center' or 'width' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @value or cda:center or cda:low or cda:high or cda:width or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag 'xsi:type' attribute shall contain a value. Check all 'effectiveTime' tags to find the attribute of empty value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'IVL_TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag 'xsi:type' attribute shall contain the value 'IVL_TS'. Check all 'effectiveTime' tags to find the attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 name() != 'effectiveTime' and substring-after(name(), ':') != 'effectiveTime' and                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'IVL_TS' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag 'value' attribute shall contain a value. Check all 'effectiveTime' tags to find the missing attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value                and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag 'value' attribute shall contain a timezone value. "Any time that is more specific than a day SHALL include a timezone". Check all 'effectiveTime' tags to find the 'value' attribute of missing timezone value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value                and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect DateTime - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect fraction of second - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect fraction of second - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect DateTime - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect DateTime - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect TimeZone - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect TimeZone - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect DateTime - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Month - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Date - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Month - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Date - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Date - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Hour - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Minute - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - Incorrect Second - The 'effectiveTime' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'effectiveTime' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:low) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'low' tag shall appear only once. Check all 'effectiveTime' tags to find the duplicate 'low' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:low) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:high) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'high' tag shall appear only once. Check all 'effectiveTime' tags to find the duplicate 'high' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:high) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:center) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'center' tag shall appear only once. Check all 'effectiveTime' tags to find the duplicate 'center' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:center) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:width) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'width' tag shall appear only once. Check all 'effectiveTime' tags to find the duplicate 'width' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:width) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:center and (cda:low or cda:high)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag shall have 'center' or 'low and/or high' tag but not both. Check all 'effectiveTime' tags to find the incorrect use of 'center' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:center and (cda:low or cda:high)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'+')           and                 contains(cda:high/@value, '+')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'+'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'+'),'.')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'low' tag 'value' attribute shall be a value less than than the 'high' tag 'value' attribute. Check all 'effectiveTime' tags to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'+')           and                 contains(cda:high/@value, '+')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'+'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'+'),'.')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'-')           and                 contains(cda:high/@value, '-')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'-'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'-'),'.')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'effectiveTime' tags to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value,'.')           and                 contains(cda:high/@value, '.')         and                 contains(cda:low/@value,'-')           and                 contains(cda:high/@value, '-')         and                 (number(substring-before(cda:low/@value,'.')) +                 number(substring-after(substring-before(cda:low/@value,'-'),'.')) &gt;                 number(substring-before(cda:high/@value,'.')) +                 number(substring-after(substring-before(cda:high/@value,'-'),'.')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '+')          and                 contains(cda:high/@value,'+')          and                 (number(substring-before(cda:low/@value,'+')) &gt; number(substring-before(cda:high/@value,'+')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'effectiveTime' tags to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '+')          and                 contains(cda:high/@value,'+')          and                 (number(substring-before(cda:low/@value,'+')) &gt; number(substring-before(cda:high/@value,'+')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '-')          and                 contains(cda:high/@value,'-')          and                 (number(substring-before(cda:low/@value,'-')) &gt; number(substring-before(cda:high/@value,'-')))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'effectiveTime' tags to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 contains(cda:low/@value, '-')          and                 contains(cda:high/@value,'-')          and                 (number(substring-before(cda:low/@value,'-')) &gt; number(substring-before(cda:high/@value,'-')))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 not(contains(cda:low/@value, '+'))     and                 not(contains(cda:high/@value,'+'))     and                 not(contains(cda:low/@value, '-'))     and                 not(contains(cda:high/@value,'-'))     and                 (number(cda:low/@value) &gt; number(cda:high/@value))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'low' tag 'value' attribute shall contain a value less than than the 'high' tag 'value' attribute. Check all 'effectiveTime' tags to find the 'low' and 'high' child tags having incorrect attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:low  and cda:low/@value            and                 cda:high and cda:high/@value           and                 normalize-space(cda:low/@value)  != '' and                 normalize-space(cda:high/@value) != '' and                 not(contains(cda:low/@value, '+'))     and                 not(contains(cda:high/@value,'+'))     and                 not(contains(cda:low/@value, '-'))     and                 not(contains(cda:high/@value,'-'))     and                 (number(cda:low/@value) &gt; number(cda:high/@value))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']" priority="3992" mode="M36">
    <xsl:choose>
      <xsl:when test="                 @value or @nullFlavor or cda:frequency or cda:period or cda:phase" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - The 'time' tag shall have at least the 'value' or 'nullFlavor' attribute or 'frequency' or 'period' or 'phase' child tag. Check all 'time' tags, or frequency' or 'period' or 'phase' child tag. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @value or @nullFlavor or cda:frequency or cda:period or cda:phase</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag 'value' attribute shall contain a value. Check all 'effectiveTime' tags to find the missing attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value                and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'effectiveTime' tag 'value' attribute shall contain a timezone value. "Any time that is more specific than a day SHALL include a timezone". Check all 'effectiveTime' tags to find the 'value' attribute of missing timezone value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value                and                 string-length(@value) &gt; 8   and                 not(contains(@value,'+'))   and not(contains(@value,'-'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(@value,'.'))) != string(number(@value))) and                 (string-length(substring-before(@value,'.')) = 14))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect fraction of second - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'+'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'+')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect fraction of second - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 not(contains(@value,'.'))    or                 ((string(number(substring-before(substring-after(@value,'.'),'-'))) != string(number(@value))) and                 (string-length(substring-before(substring-after(@value,'.'),'-')) = 4))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'+'))    or                 ((string(number(substring-before(@value,'+'))) != string(number(@value))) and                 (string-length(substring-before(@value,'+')) &gt; 11) and                 (string-length(substring-before(@value,'+')) &lt; 15) and                 (string-length(substring-before(@value,'+')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 not(contains(@value,'-'))    or                 ((string(number(substring-before(@value,'-'))) != string(number(@value))) and                 (string-length(substring-before(@value,'-')) &gt; 11) and                 (string-length(substring-before(@value,'-')) &lt; 15) and                 (string-length(substring-before(@value,'-')) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect TimeZone - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'+'))    or                 ((string(number(substring-after(@value,'+'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'+')) = 2) or (string-length(substring-after(@value,'+')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect TimeZone - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 not(contains(@value,'-'))    or                 ((string(number(substring-after(@value,'-'))) != string(number(@value))) and                 ((string-length(substring-after(@value,'-')) = 2) or (string-length(substring-after(@value,'-')) = 4)))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect DateTime - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 contains(@value,'.')         or                 contains(@value,'+')         or                 contains(@value,'-')         or                 ((string(number(@value)) != string(number('a'))) and                 (string-length(@value) &gt;= 4) and                 (string-length(@value) mod 2 = 0))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Month - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(@value) &lt; 5 or                 ((number(substring(@value,5,2)) &gt;= 1) and                 (number(substring(@value,5,2)) &lt; 13))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Date - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 32))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Month - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 2     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 31))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Date - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) != 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 30))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Date - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                           or                 normalize-space(@value) = ''          or                 string-length(@value) &lt; 7          or                 number(substring(@value,5,2)) = 1     or                 number(substring(@value,5,2)) = 3     or                 number(substring(@value,5,2)) = 4     or                 number(substring(@value,5,2)) = 5     or                 number(substring(@value,5,2)) = 6     or                 number(substring(@value,5,2)) = 7     or                 number(substring(@value,5,2)) = 8     or                 number(substring(@value,5,2)) = 9     or                 number(substring(@value,5,2)) = 10    or                 number(substring(@value,5,2)) = 11    or                 number(substring(@value,5,2)) = 12    or                 number(substring(@value,5,2)) &gt; 12    or                 (number(substring(@value,1,4)) mod 4) = 0 or                 ((number(substring(@value,7,2)) &gt;= 1) and                 (number(substring(@value,7,2)) &lt; 29))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Hour - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 9 or                 ((number(substring(@value,9,2)) &gt;= 0) and                 (number(substring(@value,9,2)) &lt; 24))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Minute - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 11 or                 ((number(substring(@value,11,2)) &gt;= 0) and                 (number(substring(@value,11,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "time" tag - Incorrect Second - The 'time' tag 'value' attribute shall be a number formatted as 'YYYYMMDDHHMMSS.UUUU[+|-ZZzz]'. Check all 'time' tags to find the 'value' attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value)                  or                 normalize-space(@value) = '' or                 string-length(substring-before(translate(@value, '-', '+'),'+')) &lt; 13 or                 ((number(substring(@value,13,2)) &gt;= 0) and                 (number(substring(@value,13,2)) &lt; 60))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:effectiveTime[@xsi:type = 'IVL_TS'  or substring-after(normalize-space(@xsi:type), ':') = 'IVL_TS']/cda:width                          |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:phase/cda:width               |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:period                        |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:frequency/cda:numerator       |                        cda:effectiveTime[@xsi:type = 'PIVL_TS' or substring-after(normalize-space(@xsi:type), ':') = 'PIVL_TS']/cda:frequency/cda:denominator     |                         cda:effectiveTime[parent::cda:act]/cda:width                             |                        cda:effectiveTime[parent::cda:encompassingEncounter]/cda:width           |                        cda:effectiveTime[parent::cda:encounter]/cda:width                       |                        ext:effectiveTime[parent::ext:entitlement]/cda:width                     |                        cda:effectiveTime[parent::cda:observation]/cda:width                     |                        cda:effectiveTime[parent::cda:procedure]/cda:width                       |                         cda:time[parent::cda:encounterParticipant]/cda:width                     |                        cda:time[parent::cda:participant]/cda:width                              |                        cda:time[parent::cda:performer]/cda:width" priority="3991" mode="M36">
    <xsl:if test="                 @xsi:type and                 normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'xsi:type' attribute shall contain a value. Check all 'effectiveTime' tags to find child tags having attribute of empty value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and                 normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'PQ' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'PQ')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'xsi:type' attribute shall contain the value 'PQ'. Check all 'effectiveTime' tags to find child tags having attribute of incorrect value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @xsi:type and                 normalize-space(@xsi:type) != '' and                 normalize-space(@xsi:type) != 'PQ' and                 not(substring-after(normalize-space(@xsi:type), ':') = 'PQ')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and normalize-space(@value) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'value' attribute shall contain a value. Check all 'effectiveTime' tags to find the 'width' or 'period' or 'numerator' or 'denominator' child tags that have empty attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and normalize-space(@value) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@unit and normalize-space(@unit) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'unit' attribute shall contain a value. Check all 'effectiveTime' tags to find the 'width' or 'period' or 'numerator' or 'denominator' child tags that have empty attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@unit and normalize-space(@unit) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@unit) or (normalize-space(@unit) = '') or (@unit = 'd') or (@unit = 'wk') or (@unit = 'mo') or (@unit = 'a')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "effectiveTime" tag - The 'width' or 'period' or 'numerator' or 'denominator' tag 'unit' attribute shall be 'd' or 'wk' or 'mo' or 'a'. Check all 'effectiveTime' tags to find the 'width' or 'period' or 'numerator' or 'denominator' child tags that have incorrect attribute value. Refer to section 8.3 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@unit) or (normalize-space(@unit) = '') or (@unit = 'd') or (@unit = 'wk') or (@unit = 'mo') or (@unit = 'a')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEntityIdentifier" priority="3990" mode="M36">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier" tag - The 'ext:asEntityIdentifier' tag 'classCode' attribute is missing. Check all 'ext:asEntityIdentifier' tags to find the missing 'classCode' attribute. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier" tag - The 'ext:asEntityIdentifier' tag 'classCode' attribute shall contain a value. Check all 'ext:asEntityIdentifier' tags to find the missing 'classCode' attribute. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or                 normalize-space(@classCode) = '' or                 @classCode='IDENT'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier" tag - The 'ext:asEntityIdentifier' tag 'classCode' attribute shall be 'IDENT'. Check all 'ext:asEntityIdentifier' tags to find the incorrect 'classCode' attribute. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or                 normalize-space(@classCode) = '' or                 @classCode='IDENT'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag is missing. Check all "ext:asEntityIdentifier' tags to find the missing 'id' tag. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'ext:asEntityIdentifier/ext:id' tag - The 'id' tag shall appear only once. Check all 'ext:asEntityIdentifier' tags to find the duplicate 'id' tag. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 ext:id and                 ext:id/@root and                 normalize-space(ext:id/@root) != '' and                 not(contains(ext:id/@root,'.'))                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:id" tag - The 'id' tag 'root' attribute shall be a valid OID. Check all 'ext:asEntityIdentifier/ext:id' tags to find the incorrect 'root' attribute. Refer to section 8.4 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 ext:id and                 ext:id/@root and                 normalize-space(ext:id/@root) != '' and                 not(contains(ext:id/@root,'.'))                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'ext:asEntityIdentifier/ext:code' tag - The 'ext:code' tag shall appear only once. Check all 'ext:asEntityIdentifier' tag to find the duplicate 'code' tag. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:assigningGeographicArea) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'ext:asEntityIdentifier/ext:assigningGeographicArea' tag - The 'assigningGeographicArea' tag shall appear only once. Check all 'ext:assigningGeographicArea' tags to find the duplicate 'assigningGeographicArea' tag. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:assigningGeographicArea) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')]) and (ext:code/@codeSystem = '2.16.840.1.113883.12.203')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'asEntityIdentifier' tag shall have a National Identifier or a Local Identifier but not both. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')]) and (ext:code/@codeSystem = '2.16.840.1.113883.12.203')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]) and (ext:code/@codeSystem = '2.16.840.1.113883.12.203')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'asEntityIdentifier' tag shall have a National Identifier or a Local Identifier but not both. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]) and (ext:code/@codeSystem = '2.16.840.1.113883.12.203')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:code/@codeSystem = '2.16.840.1.113883.12.203') and (ext:id/@assigningAuthorityName) and normalize-space(ext:id/@assigningAuthorityName) != '' and (((ext:id/@assigningAuthorityName) = 'IHI') or ((ext:id/@assigningAuthorityName) = 'HPI-I')                  or ((ext:id/@assigningAuthorityName) = 'HPI-O') or ((ext:id/@assigningAuthorityName) = 'PAI-D') or ((ext:id/@assigningAuthorityName) = 'PAI-O') or ((ext:id/@assigningAuthorityName) = 'PAI-R'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider or a Healthcare Provider Individual" - The 'ext:id/@assigningAuthorityName' attribute where 'asEntityIdentifier' tag is having a Local Identifier shall not have National Identifier values. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of Clinical_Documents_Common_Conformance_Profile_v1.6" and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:code/@codeSystem = '2.16.840.1.113883.12.203') and (ext:id/@assigningAuthorityName) and normalize-space(ext:id/@assigningAuthorityName) != '' and (((ext:id/@assigningAuthorityName) = 'IHI') or ((ext:id/@assigningAuthorityName) = 'HPI-I')                  or ((ext:id/@assigningAuthorityName) = 'HPI-O') or ((ext:id/@assigningAuthorityName) = 'PAI-D') or ((ext:id/@assigningAuthorityName) = 'PAI-O') or ((ext:id/@assigningAuthorityName) = 'PAI-R'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEntityIdentifier/ext:assigningGeographicArea" priority="3989" mode="M36">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:assigningGeographicArea" tag - The 'assigningGeographicArea' tag 'classCode' attribute is missing. Check all 'ext:asEntityIdentifier/ext:assigningGeographicArea' tags to find the missing 'classCode' attribute. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:assigningGeographicArea" tag - The 'assigningGeographicArea' tag 'classCode' attribute shall contain a value. Check all 'ext:asEntityIdentifier/ext:assigningGeographicArea' tags to find the missing 'classCode' attribute. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode) or                 normalize-space(@classCode) = '' or                 @classCode='PLC'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:assigningGeographicArea" tag - The 'assigningGeographicArea' tag 'classCode' attribute shall be 'PLC'. Check all 'ext:asEntityIdentifier/ext:assigningGeographicArea' tags to find the incorrect 'classCode' attribute. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode) or                 normalize-space(@classCode) = '' or                 @classCode='PLC'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="ext:name and normalize-space(ext:name) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:assigningGeographicArea" tag - The 'name' tag shall contain a value. Check all 'ext:name' tag to find the missing value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">ext:name and normalize-space(ext:name) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 ext:name and                 normalize-space(ext:name) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'AS_5017-2006_Health_Care_Client_Identifier_Geographic_Area']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/ext:name, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "ext:asEntityIdentifier/ext:assigningGeographicArea" tag - The 'name' tag shall be as per AS 5017-2006: Health Care Client Identifier Geographic Area. It shall be the range and extent that the identifier applies to the object with which it is associated that is populated directly from the geographic area. This shall NOT be used for machine readability purposes. Check all 'ext:name' tag to find the incorrect value. Refer to section 8.4 Entity Identifier of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 ext:name and                 normalize-space(ext:name) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'AS_5017-2006_Health_Care_Client_Identifier_Geographic_Area']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/ext:name, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:name[not(                       ancestor::cda:manufacturedMaterial or                       ancestor::cda:product or                       ancestor::cda:receivedOrganization or                       ancestor::cda:representedOrganization or                       ancestor::cda:representedCustodianOrganization or                       ancestor::cda:scopingOrganization or                       ancestor::cda:serviceProviderOrganization or                       ancestor::cda:targetSiteCode or                       ancestor::ext:employerOrganization)]" priority="3988" mode="M36">
    <xsl:if test="count(cda:family) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'family' tag shall appear only once. Check all 'cda:name' tags to find the duplicate 'family' child tag. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:family) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:family and not(cda:family[@nullFlavor]) and normalize-space(cda:family) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'family' tag shall contain a value or 'nullFlavor' attribute. Check all 'cda:name/cda:family' tags to find the missing value. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:family and not(cda:family[@nullFlavor]) and normalize-space(cda:family) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:family and normalize-space(cda:family) != '' and cda:family[@nullFlavor]">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'family' tag shall contain a value or 'nullFlavor' attribute but not both. Check all 'cda:name/cda:family' tags to find the missing value. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:family and normalize-space(cda:family) != '' and cda:family[@nullFlavor]</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:family and normalize-space(cda:family) = '' and cda:family[@nullFlavor] and cda:family[normalize-space(@nullFlavor) = '']">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'family' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:name/cda:family' tags to find the missing value. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:family and normalize-space(cda:family) = '' and cda:family[@nullFlavor] and cda:family[normalize-space(@nullFlavor) = '']</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:prefix and normalize-space(cda:prefix ) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'prefix' tag shall contain a value. Check all 'cda:name/cda:prefix' tags to find the missing value. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:prefix and normalize-space(cda:prefix ) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:given and normalize-space(cda:given) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'given' tag shall contain a value. Check all 'cda:name/cda:given' tags to find the missing value. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:given and normalize-space(cda:given) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:suffix and normalize-space(cda:suffix) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'suffix' tag shall contain a value. Check all 'cda:name/cda:suffix' tags to find the missing value. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:suffix and normalize-space(cda:suffix) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@use and                 normalize-space(@use) != '' and                 not(contains(@use, ' ')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                     (@code = (current()/@use)) or                     (@alternativeCode = (current()/@use)) or                     (@hl7Code  = (current()/@use))                 ])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'name' tag 'use' attribute shall be coded as per AS 5017-2006: Health Care Client Name Usage. Check all 'cda:name' tags to find the incorrect 'use' attribute. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@use and                 normalize-space(@use) != '' and                 not(contains(@use, ' ')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                     (@code = (current()/@use)) or                     (@alternativeCode = (current()/@use)) or                     (@hl7Code  = (current()/@use))                 ])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(@use, ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-before(current()/@use,' ')) or                         (@alternativeCode = substring-before(current()/@use,' ')) or                         (@hl7Code = substring-before(current()/@use,' '))                     ]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-after(current()/@use,' ')) or                         (@alternativeCode = substring-after(current()/@use,' ')) or                         (@hl7Code = substring-after(current()/@use,' '))                     ])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'name' tag 'use' attribute shall be coded as per AS 5017-2006: Health Care Client Name Usage. Check all 'cda:name' tags to find the incorrect 'use' attribute. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(@use, ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-before(current()/@use,' ')) or                         (@alternativeCode = substring-before(current()/@use,' ')) or                         (@hl7Code = substring-before(current()/@use,' '))                     ]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-after(current()/@use,' ')) or                         (@alternativeCode = substring-after(current()/@use,' ')) or                         (@hl7Code = substring-after(current()/@use,' '))                     ])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(@use, ' ') and                 not(contains(substring-after(substring-after(@use, ' '), ' '), ' ')) and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-before(current()/@use,' ')) or                         (@alternativeCode = substring-before(current()/@use,' ')) or                         (@hl7Code = substring-before(current()/@use,' '))                     ]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-before(substring-after(current()/@use,' '),' ')) or                         (@alternativeCode = substring-before(substring-after(current()/@use,' '),' ')) or                         (@hl7Code = substring-before(substring-after(current()/@use,' '),' '))                     ]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-after(substring-after(current()/@use,' '),' ')) or                         (@alternativeCode = substring-after(substring-after(current()/@use,' '),' ')) or                         (@hl7Code = substring-after(substring-after(current()/@use,' '),' '))                     ])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'name' tag 'use' attribute shall be coded as per AS 5017-2006: Health Care Client Name Usage. Check all 'cda:name' tags to find the incorrect 'use' attribute. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(@use, ' ') and                 not(contains(substring-after(substring-after(@use, ' '), ' '), ' ')) and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-before(current()/@use,' ')) or                         (@alternativeCode = substring-before(current()/@use,' ')) or                         (@hl7Code = substring-before(current()/@use,' '))                     ]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-before(substring-after(current()/@use,' '),' ')) or                         (@alternativeCode = substring-before(substring-after(current()/@use,' '),' ')) or                         (@hl7Code = substring-before(substring-after(current()/@use,' '),' '))                     ]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Name_Usage']/code[                         (@code = substring-after(substring-after(current()/@use,' '),' ')) or                         (@alternativeCode = substring-after(substring-after(current()/@use,' '),' ')) or                         (@hl7Code = substring-after(substring-after(current()/@use,' '),' '))                     ])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:addr[not(ancestor::cda:birthplace)] | ext:addr" priority="3987" mode="M36">
    <xsl:choose>
      <xsl:when test="                 normalize-space(concat(text()[1], text()[2], text()[3], text()[4], text()[5],                                        text()[6], text()[7], text()[8], text()[9], text()[10],                                        text()[11], text()[12], text()[13], text()[14])) = ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - The 'addr' tag shall not contain an immediate text value. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect tag. Refer to section 8.6 Address of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 normalize-space(concat(text()[1], text()[2], text()[3], text()[4], text()[5],                                        text()[6], text()[7], text()[8], text()[9], text()[10],                                        text()[11], text()[12], text()[13], text()[14])) = ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 @nullFlavor             or                 cda:streetAddressLine   or                 cda:unitType            or                 cda:unitID              or                 cda:additionalLocator   or                 cda:houseNumber         or                 cda:streetName          or                 cda:streetNameType      or                 cda:direction           or                 cda:deliveryAddressLine or                 cda:city                or                 cda:state               or                 cda:postalCode          or                 cda:country" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "addr" tag - The 'addr' tag shall have 'nullFlavor' attribute or 'streetAddressLine' or 'unitType' or 'unitID' or 'additionalLocator' or 'houseNumber' or 'streetName' or 'streetNameType' or 'direction' or 'deliveryAddressLine' or 'city' or 'state' or 'postalCode' or 'country' child tags. Check all 'cda:addr' and/or 'ext:addr' tag to find the missing tag or attribute. Refer to section 8.6 Address of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 @nullFlavor             or                 cda:streetAddressLine   or                 cda:unitType            or                 cda:unitID              or                 cda:additionalLocator   or                 cda:houseNumber         or                 cda:streetName          or                 cda:streetNameType      or                 cda:direction           or                 cda:deliveryAddressLine or                 cda:city                or                 cda:state               or                 cda:postalCode          or                 cda:country</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="cda:streetAddressLine and normalize-space(cda:streetAddressLine) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Unstructured Australian Address Line" or "Address / Australian or International Address / International Address / International Address Line" - The 'streetAddressLine' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'streetAddressLine' tag. Refer to section 8.6 Address of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:streetAddressLine and normalize-space(cda:streetAddressLine) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:unitType) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Unit Type" - The 'unitType' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'unitType' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:unitType) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:unitType and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Unit_Type']/code[@code = current()/cda:unitType])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Unit Type" - The 'unitType' tag shall contain values coded as per 'AS 4846-2006' - Healthcare Provider Identification: Australian Unit Type. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'unitType' tag value. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:unitType and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Unit_Type']/code[@code = current()/cda:unitType])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:unitID) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Unit Number" - The 'unitID' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'unitID' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:unitID) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:unitID and normalize-space(cda:unitID) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Unit Number" - The 'unitID' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'unitID' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:unitID and normalize-space(cda:unitID) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:additionalLocator) &gt; 5">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Address Site Name" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Level Type" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Level Number" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Lot Number" and/or "Address / Australian or International Address / Australian Address / Australian Delivery Point Identifier". The 'additionalLocator' tag shall appear only 5 times. Check all 'cda:addr' and/or 'ext:addr' tags to find the extra 'additionalLocator' tag(s). Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:additionalLocator) &gt; 5</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:additionalLocator and normalize-space(cda:additionalLocator) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Address Site Name" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Level Type" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Level Number" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Lot Number" and/or "Address / Australian or International Address / Australian Address / Australian Delivery Point Identifier". The 'additionalLocator' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'additionalLocator' tag(s). Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:additionalLocator and normalize-space(cda:additionalLocator) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:houseNumber) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Number" - The 'houseNumber' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'houseNumber' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:houseNumber) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:houseNumber and normalize-space(cda:houseNumber) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Number" - The 'houseNumber' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'houseNumber' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:houseNumber and normalize-space(cda:houseNumber) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:streetName) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Name" - The 'streetName' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'streetName' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:streetName) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:streetName and normalize-space(cda:streetName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Name" - The 'streetName' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'streetName' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:streetName and normalize-space(cda:streetName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:streetNameType) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Type" - The 'streetNameType' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'streetNameType' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:streetNameType) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:streetNameType and normalize-space(cda:streetNameType) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Type" - The 'streetNameType' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'streetNameType' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:streetNameType and normalize-space(cda:streetNameType) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:direction) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Suffix" - The 'direction' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'direction' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:direction) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:direction and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Street_Suffix_Code']/code[@code = current()/cda:direction])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Street Suffix" - The 'direction' tag shall contain values coded as per 'AS 4846-2006' - Healthcare Client Identification: Australian Street Suffix. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'direction' tag value. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:direction and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Street_Suffix_Code']/code[@code = current()/cda:direction])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:deliveryAddressLine) &gt; 2">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Type" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Number" - The 'deliveryAddressLine' tag shall appear only twice. Check all 'cda:addr' and/or 'ext:addr' tags to find the excessive 'deliveryAddressLine' tag(s). Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:deliveryAddressLine) &gt; 2</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:deliveryAddressLine and normalize-space(cda:deliveryAddressLine[1]) = '' or                 count(cda:deliveryAddressLine) &gt; 1 and normalize-space(cda:deliveryAddressLine[2]) = ''                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Type" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Number" - The 'deliveryAddressLine' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'deliveryAddressLine' tag(s). Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:deliveryAddressLine and normalize-space(cda:deliveryAddressLine[1]) = '' or                 count(cda:deliveryAddressLine) &gt; 1 and normalize-space(cda:deliveryAddressLine[2]) = ''                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:deliveryAddressLine and                 normalize-space(cda:deliveryAddressLine) != '' and                 count(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Postal_Delivery_Type_Code']/code[@code = current()/cda:deliveryAddressLine]) != 1                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Type" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Number" - The 'deliveryAddressLine' tag shall contain values coded as per 'AS 5017-2006' - Healthcare Client Identification: Australian Postal Delivery Type Code. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'deliveryAddressLine' tag(s) value. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:deliveryAddressLine and                 normalize-space(cda:deliveryAddressLine) != '' and                 count(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Postal_Delivery_Type_Code']/code[@code = current()/cda:deliveryAddressLine]) != 1                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:deliveryAddressLine and                 normalize-space(cda:deliveryAddressLine) != '' and                 count(cda:deliveryAddressLine) = 1 and                 count(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Postal_Delivery_Type_Code']/code[@code = current()/cda:deliveryAddressLine]) = 1 and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Postal_Delivery_Number']/code[@code = current()/cda:deliveryAddressLine])                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Type" and/or "Address / Australian or International Address / Australian Address / Structured Australian Address Line / Australian Postal Delivery Number" - The 'deliveryAddressLine(Australian_Postal_Delivery_Number)' tag is missing for the given 'deliveryAddressLine(Australian_Postal_Delivery_Type_Code)'. The 'deliveryAddressLine' tag(s) shall contain values coded as per 'AS 5017-2006' - Healthcare Client Identification: Australian Postal Delivery Type Code. Check all 'cda:addr' and/or 'ext:addr' tags to find the non-conforming 'deliveryAddressLine' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:deliveryAddressLine and                 normalize-space(cda:deliveryAddressLine) != '' and                 count(cda:deliveryAddressLine) = 1 and                 count(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Postal_Delivery_Type_Code']/code[@code = current()/cda:deliveryAddressLine]) = 1 and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_Postal_Delivery_Number']/code[@code = current()/cda:deliveryAddressLine])                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:city) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address/ Australian or International Address / Australian Address / Australian Suburb/Town/Locality" - The 'city' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'city' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:city) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:city and normalize-space(cda:city) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address/ Australian or International Address / Australian Address / Australian Suburb/Town/Locality" - The 'city' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'city' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:city and normalize-space(cda:city) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:state) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Australian State/Territory" - The 'state' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'state' tag. Refer to section 8.6 and 10.10 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:state) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:state and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_State_Territory_Identifier_-_Postal']/code[@code = current()/cda:state])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / Australian Address / Australian State/Territory" - The 'state' tag shall be as per 'AS 5017-2006' - Australian State/Territory Identifier - Postal. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'state' tag value. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:state and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_State_Territory_Identifier_-_Postal']/code[@code = current()/cda:state])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:state and                 normalize-space(cda:state) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / International Address / International State/Province" - The 'state' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'state' tag(s). Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:state and                 normalize-space(cda:state) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:postalCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address/ Australian or International Address / Australian Address / Australian Postcode" - The 'postalCode' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'postalCode' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:postalCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:postalCode and normalize-space(cda:postalCode) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address/ Australian or International Address / Australian Address / Australian Postcode" - The 'postalCode' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'postalCode' tag. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:postalCode and normalize-space(cda:postalCode) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:country) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / International Address / Country" - The 'country' tag shall appear only once. Check all 'cda:addr' and/or 'ext:addr' tags to find the duplicate 'country' tag. Refer to section 8.6 Address of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:country) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:country and normalize-space(cda:country) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / International Address / Country" - The 'country' tag shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'country' tag. Refer to section 8.6 Address of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:country and normalize-space(cda:country) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="cda:country and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Australian or International Address / International Address / Country" - The 'country' tag shall contain values coded as per Australia Bureau of Statistics, Standard Australian Classification of Countries (SACC) Cat. No. 1269. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'country' tag value. Refer to section 8.6 Address of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:country and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']                 /code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                 translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" and "Address / No Fixed Address Indicator" - The 'addr' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:addr' and/or 'ext:addr' tags to find the empty 'nullFlavor' attribute value. Refer to section 8.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(@use, '  ')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" - The 'addr' tag 'use' attribute shall be coded as per 'AS 5017-2006' - Health Care Client Identifier Address Purpose. Single space delimited. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'use' attribute value. Refer to section 8.6 and 10.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(@use, '  ')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 not(contains(@use, ' ')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = current()/@use) or                 (@alternativeCode = current()/@use) or                 (@hl7Code         = current()/@use)])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" - The 'addr' tag 'use' attribute shall be coded as per 'AS 5017-2006' - Health Care Client Identifier Address Purpose. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'use' attribute value. Refer to section 8.6 and 10.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 not(contains(@use, ' ')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = current()/@use) or                 (@alternativeCode = current()/@use) or                 (@hl7Code         = current()/@use)])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(@use, ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-after(current()/@use,' ')) or                 (@alternativeCode = substring-after(current()/@use,' ')) or                 (@hl7Code         = substring-after(current()/@use,' '))])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" - The 'addr' tag 'use' attribute shall be coded as per 'AS 5017-2006' - Health Care Client Identifier Address Purpose. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'use' attribute value. Refer to section 8.6 and 10.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(@use, ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-after(current()/@use,' ')) or                 (@alternativeCode = substring-after(current()/@use,' ')) or                 (@hl7Code         = substring-after(current()/@use,' '))])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(substring-after(@use, ' '), ' ') and                 not(contains(substring-after(substring-after(@use, ' '), ' '), ' ')) and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(current()/@use, ' '), ' '))])      or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-after(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-after(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-after(substring-after(current()/@use, ' '), ' '))])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" - The 'addr' tag 'use' attribute shall be coded as per 'AS 5017-2006' - Health Care Client Identifier Address Purpose. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'use' attribute value. Refer to section 8.6 and 10.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(substring-after(@use, ' '), ' ') and                 not(contains(substring-after(substring-after(@use, ' '), ' '), ' ')) and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(current()/@use, ' '), ' '))])      or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-after(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-after(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-after(substring-after(current()/@use, ' '), ' '))])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(substring-after(substring-after(@use, ' '), ' '), ' ') and                 not(contains(substring-after(substring-after(substring-after(@use, ' '), ' '), ' '), ' ')) and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(current()/@use, ' '), ' '))])      or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' '))])       or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@alternativeCode = substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@hl7Code         = substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '))])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" - The 'addr' tag 'use' attribute shall be coded as per 'AS 5017-2006' - Health Care Client Identifier Address Purpose. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'use' attribute value. Refer to section 8.6 and 10.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(substring-after(substring-after(@use, ' '), ' '), ' ') and                 not(contains(substring-after(substring-after(substring-after(@use, ' '), ' '), ' '), ' ')) and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(current()/@use, ' '), ' '))])      or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' '))])       or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@alternativeCode = substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@hl7Code         = substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '))])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and                 normalize-space(@use) != '' and                 contains(substring-after(substring-after(substring-after(@use, ' '), ' '), ' '), ' ') and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(current()/@use, ' '), ' '))])      or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' '))])       or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '), ' '))])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'addr' tag - "Address / Address Purpose" - The 'addr' tag 'use' attribute shall be coded as per 'AS 5017-2006' - Health Care Client Identifier Address Purpose. Check all 'cda:addr' and/or 'ext:addr' tags to find the incorrect 'use' attribute value. Refer to section 8.6 and 10.6 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and                 normalize-space(@use) != '' and                 contains(substring-after(substring-after(substring-after(@use, ' '), ' '), ' '), ' ') and (                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(current()/@use,' ')) or                 (@alternativeCode = substring-before(current()/@use,' ')) or                 (@hl7Code         = substring-before(current()/@use,' '))])     or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(current()/@use, ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(current()/@use, ' '), ' '))])      or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(substring-after(current()/@use, ' '), ' '), ' '))])       or                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Identifier_Address_Purpose']/code[                 (@code            = substring-before(substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '), ' ')) or                 (@alternativeCode = substring-before(substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '), ' ')) or                 (@hl7Code         = substring-before(substring-after(substring-after(substring-after(current()/@use, ' '), ' '), ' '), ' '))])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:telecom | ext:telecom" priority="3986" mode="M36">
    <xsl:choose>
      <xsl:when test="@value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Medium or Electronic Communication Address" - The 'telecom' tag shall have 'value' or 'nullFlavor' attribute. Check all 'cda:telecom' and/or 'ext:telecom' tags 'value' or 'nullFlavor' attributes to find the missing value. Refer to section 8.7 Electronic Communication Detail of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) !=''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Medium or Electronic Communication Address" - The 'telecom' tag 'value' attribute shall contain a value. Check all 'cda:telecom' and/or 'ext:telecom' tags 'value' attributes to find the missing value. Refer to 8.7 Electronic Communication Detail of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) !=''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor) or normalize-space(@nullFlavor) !=''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Medium or Electronic Communication Address" - The 'telecom' tag 'nullFlavor' attribute shall contain a value. Check all 'cda:telecom' and/or 'ext:telecom' tags 'nullFlavor' attributes to find the missing value. Refer to 8.7 Electronic Communication Detail of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor) or normalize-space(@nullFlavor) !=''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or contains(@value,':')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Medium or Electronic Communication Address" - The 'telecom' tag 'value' attribute shall contain a ":". Check all 'cda:telecom' and/or 'ext:telecom' tags 'value' attributes to find the incorrect value. Refer to 8.7 Electronic Communication Detail of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or contains(@value,':')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@value) or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':')) or                     (@hl7Code         = substring-before(current()/@value,':'))                 ]                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Medium or Electronic Communication Address" - The 'telecom' tag 'value' attribute shall be as per AS 5017-2006: Health Care Client Electronic Communication Medium. Check all 'cda:telecom' and/or 'ext:telecom' tags 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@value) or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':')) or                     (@hl7Code         = substring-before(current()/@value,':'))                 ]                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="                 @use and normalize-space(@use) != '' and                 not(contains(normalize-space(@use), ' ')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = normalize-space(current()/@use))])                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag 'use' attribute shall be as per HL7 v3: TelecommunicationAddressUse. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and normalize-space(@use) != '' and                 not(contains(normalize-space(@use), ' ')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = normalize-space(current()/@use))])                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 not(contains(substring-after(normalize-space(@use), ' '), ' ')) and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(normalize-space(current()/@use),' '))]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-after(normalize-space(current()/@use),' '))])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag 'use' attribute shall be as per HL7 v3: TelecommunicationAddressUse. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 not(contains(substring-after(normalize-space(@use), ' '), ' ')) and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(normalize-space(current()/@use),' '))]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-after(normalize-space(current()/@use),' '))])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 contains(substring-after(normalize-space(@use), ' '), ' ') and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(normalize-space(current()/@use),' '))]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(substring-after(normalize-space(current()/@use),' '),' '))]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(substring-after(substring-after(concat(normalize-space(current()/@use),' ZZ'),' '),' '),' '))])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag 'use' attribute shall be as per HL7 v3: TelecommunicationAddressUse. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 contains(substring-after(normalize-space(@use), ' '), ' ') and (                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(normalize-space(current()/@use),' '))]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(substring-after(normalize-space(current()/@use),' '),' '))]) or                     not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'TelecommunicationAddressUse']/code[(@code = substring-before(substring-after(substring-after(concat(normalize-space(current()/@use),' ZZ'),' '),' '),' '))])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'M')                 and not (@use)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'MC' when 'value' attribute is 'Mobile'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'M')                 and not (@use)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'P')                 and not(@use)                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'PG' when 'value' attribute is 'Pager'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'P')                 and not(@use)                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 @use and normalize-space(@use) != '' and                 not(contains(normalize-space(@use), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'M') and                 (@use != 'MC')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'MC' when 'value' attribute is 'Mobile'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 @use and normalize-space(@use) != '' and                 not(contains(normalize-space(@use), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'M') and                 (@use != 'MC')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 @use and normalize-space(@use) != '' and                 not(contains(normalize-space(@use), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'P') and                 (@use != 'PG')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'PG' when 'value' attribute is 'Pager'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 @use and normalize-space(@use) != '' and                 not(contains(normalize-space(@use), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'P') and                 (@use != 'PG')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'M') and                 (substring-before(normalize-space(@use), ' ') != 'MC') and                 (substring-after (normalize-space(@use), ' ') != 'MC')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'MC' when 'value' attribute is 'Mobile'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'M') and                 (substring-before(normalize-space(@use), ' ') != 'MC') and                 (substring-after (normalize-space(@use), ' ') != 'MC')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'P') and                 (substring-before(normalize-space(@use), ' ') != 'PG') and                 (substring-after (normalize-space(@use), ' ') != 'PG')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'PG' when 'value' attribute is 'Pager'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 not(contains(substring-after(@use, ' '), ' ')) and                 (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                     (@code            = substring-before(current()/@value,':')) or                     (@alternativeCode = substring-before(current()/@value,':'))                 ]/@alternativeCode = 'P') and                 (substring-before(normalize-space(@use), ' ') != 'PG') and                 (substring-after (normalize-space(@use), ' ') != 'PG')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 contains(substring-after(normalize-space(@use), ' '), ' ') and                 (                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                         (@code            = substring-before(current()/@value,':')) or                         (@alternativeCode = substring-before(current()/@value,':'))                     ]/@alternativeCode = 'M'                 ) and                 (substring-before(normalize-space(@use), ' ') != 'MC') and                 (substring-before(substring-after(normalize-space(@use), ' '), ' ') != 'MC') and                 (substring-before(substring-after(substring-after(concat(normalize-space(@use), ' ZZ'), ' '), ' '), ' ') != 'MC')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'MC' when 'value' attribute is 'Mobile'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 contains(substring-after(normalize-space(@use), ' '), ' ') and                 (                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                         (@code            = substring-before(current()/@value,':')) or                         (@alternativeCode = substring-before(current()/@value,':'))                     ]/@alternativeCode = 'M'                 ) and                 (substring-before(normalize-space(@use), ' ') != 'MC') and                 (substring-before(substring-after(normalize-space(@use), ' '), ' ') != 'MC') and                 (substring-before(substring-after(substring-after(concat(normalize-space(@use), ' ZZ'), ' '), ' '), ' ') != 'MC')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 contains(substring-after(normalize-space(@use), ' '), ' ') and                 (                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                         (@code            = substring-before(current()/@value,':')) or                         (@alternativeCode = substring-before(current()/@value,':'))                     ]/@alternativeCode = 'P'                 ) and                 (substring-before(normalize-space(@use), ' ') != 'PG') and                 (substring-before(substring-after(normalize-space(@use), ' '), ' ') != 'PG') and                 (substring-before(substring-after(substring-after(concat(normalize-space(@use), ' ZZ'), ' '), ' '), ' ') != 'PG')                 ">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:telecom' and/or 'ext:telecom' - "Electronic Communication Usage Code" - The 'telecom' tag shall have 'value' and 'use' attributes with 'use' attribute as 'PG' when 'value' attribute is 'Pager'. Check all 'cda:telecom' and/or 'ext:telecom' tags 'use and 'value' attributes to find the incorrect value. Refer to section 8.7 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @value and                 @use and normalize-space(@use) != '' and                 contains(normalize-space(@use), ' ') and                 contains(substring-after(normalize-space(@use), ' '), ' ') and                 (                     document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Client_Electronic_Communication_Medium']/code[                         (@code            = substring-before(current()/@value,':')) or                         (@alternativeCode = substring-before(current()/@value,':'))                     ]/@alternativeCode = 'P'                 ) and                 (substring-before(normalize-space(@use), ' ') != 'PG') and                 (substring-before(substring-after(normalize-space(@use), ' '), ' ') != 'PG') and                 (substring-before(substring-after(substring-after(concat(normalize-space(@use), ' ZZ'), ' '), ' '), ' ') != 'PG')                 </xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEmployment" priority="3985" mode="M36">
    <xsl:choose>
      <xsl:when test="@classCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'asEmployment' tag 'classCode' attribute is missing. Check all 'ext:asEmployment' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode) or normalize-space(@classCode) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'asEmployment' tag 'classCode' attribute shall contain a value. Check all 'ext:asEmployment' tags to find the missing attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode) or normalize-space(@classCode) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@classCode='EMP'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'asEmployment' tag 'classCode' attribute shall contain the value 'EMP'. Check all 'ext:asEmployment' tags to find the incorrect attribute. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode='EMP'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:employerOrganization" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'ext:employerOrganization' tag is missing. Check all 'ext:asEmployment' tags to find the missing tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:employerOrganization</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:employerOrganization) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'ext:employerOrganization' tag shall appear only once. Check all 'ext:asEmployment' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:employerOrganization) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'ext:code' tag shall appear only once. Check all 'ext:asEmployment' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:jobCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'ext:jobCode' tag shall appear only once. Check all 'ext:asEmployment' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:jobCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:jobClassCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'ext:jobClassCode' tag shall appear only once. Check all 'ext:asEmployment' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:jobClassCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEmployment/ext:employerOrganization" priority="3984" mode="M36">
    <xsl:choose>
      <xsl:when test="cda:asOrganizationPartOf" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'asOrganizationPartOf' tag is missing. Check all 'ext:asEmployment/ext:employerOrganization' tags to find the missing tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:asOrganizationPartOf</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:asOrganizationPartOf) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'asOrganizationPartOf' tag shall appear only once. Check all 'ext:asEmployment/ext:employerOrganization' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:asOrganizationPartOf) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:name) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag shall appear only once. Check all 'ext:asEmployment/ext:employerOrganization' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:name) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEmployment/ext:employerOrganization/cda:name" priority="3983" mode="M36">
    <xsl:choose>
      <xsl:when test="normalize-space(.) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag shall contain a value. Check all 'ext:asEmployment/ext:employerOrganization/cda:name' tags to find the missing value. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">normalize-space(.) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf" priority="3982" mode="M36">
    <xsl:choose>
      <xsl:when test="cda:wholeOrganization" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'wholeOrganization' tag is missing. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf' tags to find the missing tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:wholeOrganization</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:wholeOrganization) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'wholeOrganization' tag shall appear only once. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:wholeOrganization) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization" priority="3981" mode="M36">
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'ext:asEntityIdentifier' tag is missing. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization' tags to find the missing tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'HPI-O asEntityIdentifier' tag is missing. "The value of one Entity Identifier SHALL be an Australian HPI-O." although there could be multiple Entity Identifiers. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization' tags to find the missing tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:name" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag is missing. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization' tags to find the missing tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:name</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:name) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag shall appear only once. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization' tags to find the duplicate tag. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:name) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:name" priority="3980" mode="M36">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag 'nullFlavor' attribute shall not be present. Refer to requirements in NullFlavor Usage Clarification FAQ and section 8.8 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="normalize-space(.) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag shall contain a value. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:name' tags to find the missing value. Refer to section 8.8 Employment of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">normalize-space(.) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@use and normalize-space(@use) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag 'use' attribute shall contain a value. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:name' tags to find the incorrect tag. Refer to section 10.4 AS 4846-2006: Health Care Provider Organisation Name Usage of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@use and normalize-space(@use) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@use and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Provider_Organisation_Name_Usage']/code                 [(@code = (current()/@use))                 or (@alternativeCode = (current()/@use))                 or (@hl7Code = (current()/@use))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 8.8 Employment - The 'name' tag 'use' attribute shall be coded as per AS 4846-2006: Health Care Provider Organisation Name Usage. Check all 'ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:name' tags to find the incorrect tag. Refer to section 10.4 AS 4846-2006: Health Care Provider Organisation Name Usage of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@use and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Health_Care_Provider_Organisation_Name_Usage']/code                 [(@code = (current()/@use))                 or (@alternativeCode = (current()/@use))                 or (@hl7Code = (current()/@use))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:component/cda:section[not(descendant::cda:component/cda:section) and                                                        descendant::cda:observationMedia and                                                        descendant::cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')!='LOGO']]" priority="3979" mode="M36">
    <xsl:choose>
      <xsl:when test="cda:title" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'title' tag is missing for 'narrative' block of 'observationMedia'. Check all 'cda:observationMedia' tags to find the missing 'narrative ' block 'title' tag. Refer to "025054 - Requirements for title element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:title</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:title) or normalize-space(cda:title) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'title' tag for 'narrative' block of 'observationMedia' shall contain a value. Check all 'cda:observationMedia' tags to find the empty 'narrative ' block 'title' tag. Refer to "025054 - Requirements for title element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:title) or normalize-space(cda:title) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:title) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'title' tag shall appear only once for 'narrative' block of 'observationMedia'. Check all 'cda:observationMedia' tags to find the duplicated 'narrative ' block 'title' tag. Refer to "025054 - Requirements for title element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:title) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:text" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'text' tag is missing for 'narrative' block of 'observationMedia'. Check all 'cda:observationMedia' tags to find the missing 'narrative ' block 'text' tag. Refer to "025053 - Sections with no requirement for narrative" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:text</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:text) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'text' tag shall appear only once for 'narrative' block of 'observationMedia'. Check all 'cda:observationMedia' tags to find the duplicated 'narrative ' block 'text' tag. Refer to "025053 - Sections with no requirement for narrative" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:text) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:component/cda:section[not(descendant::cda:component/cda:section) and                                                        descendant::cda:observationMedia and                                                        descendant::cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')!='LOGO']]/                          cda:text//cda:renderMultiMedia" priority="3978" mode="M36">
    <xsl:choose>
      <xsl:when test="@referencedObject" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'renderMultiMedia' tag - The 'renderMultiMedia' tag 'referencedObject' attribute is missing. Check all 'cda:renderMultiMedia' tags to find the missing 'referencedObject' attribute. Refer to "025053 - Sections with no requirement for narrative" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@referencedObject</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@referencedObject) or normalize-space(@referencedObject) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'renderMultiMedia' tag - The 'renderMultiMedia' tag 'referencedObject' attribute shall contain a value. Check all 'cda:renderMultiMedia' tags to find the empty 'referencedObject' attribute. Refer to "025053 - Sections with no requirement for narrative" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@referencedObject) or normalize-space(@referencedObject) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(starts-with(ancestor::cda:section//cda:observationMedia[@ID = current()/@referencedObject]/cda:value/cda:reference/@value, '#'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'renderMultiMedia' tag - The 'reference' tag 'value' attribute shall not contain the value '#' in the begining. Check all 'cda:observationMedia' tags to find the 'cda:value/cda:reference' child tag with the incorrect 'value' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(starts-with(ancestor::cda:section//cda:observationMedia[@ID = current()/@referencedObject]/cda:value/cda:reference/@value, '#'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')!='LOGO']" priority="3977" mode="M36">
    <xsl:choose>
      <xsl:when test="ancestor::cda:component[cda:section]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'narrative' block of 'observationMedia' tag is missing. Check all 'cda:observationMedia' tags to find the missing 'narrative ' block. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ancestor::cda:component[cda:section]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 parent::cda:entry or                 parent::cda:entryRelationship" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The parent tag of 'observationMedia' tag shall have a name of 'entry' or 'entryRelationship'. Check all 'cda:observationMedia' tags to find the incorrect 'observationMedia' tag. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 parent::cda:entry or                 parent::cda:entryRelationship</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@ID" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'observationMedia' tag 'ID' attribute is missing. Check all 'cda:observationMedia' tags to find the missing 'ID' attribute. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@ID</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@ID) or normalize-space(@ID) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'observationMedia' tag 'ID' attribute shall contain a value. Check all 'cda:observationMedia' tags to find the empty 'ID' attribute. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@ID) or normalize-space(@ID) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@ID) or                 not(ancestor::cda:component/cda:section/cda:text) or                 not(ancestor::cda:component/cda:section/cda:text//cda:renderMultiMedia) or                 not(ancestor::cda:component/cda:section/cda:text//cda:renderMultiMedia/@referencedObject) or                 ancestor::cda:component/cda:section/cda:text//cda:renderMultiMedia/@referencedObject = @ID" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">&gt;Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The value of 'ID' attribute and the value of 'referencedObject' attribute inside 'narrative' block of 'observationMedia' shall be matched as per 'Common Conformance Requirements - Conformance Levels - CDA Level 1A'. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@ID) or                 not(ancestor::cda:component/cda:section/cda:text) or                 not(ancestor::cda:component/cda:section/cda:text//cda:renderMultiMedia) or                 not(ancestor::cda:component/cda:section/cda:text//cda:renderMultiMedia/@referencedObject) or                 ancestor::cda:component/cda:section/cda:text//cda:renderMultiMedia/@referencedObject = @ID</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag is missing. Check all 'cda:observationMedia' tags to find the missing 'value ' tag. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:value) or cda:value[@mediaType]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'mediaType' attribute is missing. Check all 'cda:observationMedia/cda:value' tags to find the missing 'mediaType ' attribute. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:value) or cda:value[@mediaType]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag shall appear only once. Check all 'cda:observationMedia' tags to find the duplicated 'value ' tag. Refer to "024482 - Conformance levels" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')='LOGO']" priority="3976" mode="M36">
    <xsl:choose>
      <xsl:when test="normalize-space(@ID) = 'LOGO'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - The 'observationMedia' tag 'id' attribute shall be 'LOGO'. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">normalize-space(@ID) = 'LOGO'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:entry/cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'LOGO']" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - The '/ClinicalDocument/component/structuredBody/component/cda:section/entry/observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'LOGO']' path - 1 or more tags are missing. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:entry/cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 'LOGO']</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag is missing. Check all 'cda:observationMedia' tags with 'ID=LOGO' attribute to find the missing 'value ' tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:value) or cda:value[@mediaType]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'mediaType' attribute is missing. Check all 'cda:observationMedia/with 'ID=LOGO' attribute cda:value' tags to find the missing 'mediaType ' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:value) or cda:value[@mediaType]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:value) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag shall appear only once. Check all 'cda:observationMedia' tags with 'ID=LOGO' attribute to find the duplicated 'value ' tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:value) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:value) and (cda:value/@xsi:type) and normalize-space(cda:value/@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'xsi:type' attribute shall contain a value. Check all 'cda:observationMedia' tags with 'ID=LOGO' attribute to find the 'cda:value' child tag with the empty 'xsi:type' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and (cda:value/@xsi:type) and normalize-space(cda:value/@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:value) and (cda:value/@xsi:type) and                 normalize-space(cda:value/@xsi:type) != '' and                 normalize-space(cda:value/@xsi:type) != 'ED' and                 not(substring-before(normalize-space(cda:value/@xsi:type), ':') != '' and                 substring-after(normalize-space(cda:value/@xsi:type), ':') = 'ED')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'xsi:type' attribute shall contain the value 'ED' Check all 'cda:observationMedia' tags with 'ID=LOGO' attribute to find the 'cda:value' child tag with the incorrect 'xsi:type' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and (cda:value/@xsi:type) and                 normalize-space(cda:value/@xsi:type) != '' and                 normalize-space(cda:value/@xsi:type) != 'ED' and                 not(substring-before(normalize-space(cda:value/@xsi:type), ':') != '' and                 substring-after(normalize-space(cda:value/@xsi:type), ':') = 'ED')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:value) and (cda:value/@integrityCheckAlgorithm) and normalize-space(cda:value/@integrityCheckAlgorithm) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'integrityCheckAlgorithm' attribute shall contain a value'. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value' child tag with the empty 'integrityCheckAlgorithm' attribute. Refer to "M 16 of 3.3.3 Conformance points of CDA Package Version 1.0" and "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and (cda:value/@integrityCheckAlgorithm) and normalize-space(cda:value/@integrityCheckAlgorithm) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:value) and (cda:value/@integrityCheckAlgorithm) and normalize-space(cda:value/@integrityCheckAlgorithm) != '' and (cda:value/@integrityCheckAlgorithm != 'SHA-1')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'integrityCheckAlgorithm' attribute shall contain the value 'SHA-1'. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value' child tag with the incorrect 'integrityCheckAlgorithm' attribute. Refer to "M 16 of 3.3.3 Conformance points of CDA Package Version 1.0" and "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and (cda:value/@integrityCheckAlgorithm) and normalize-space(cda:value/@integrityCheckAlgorithm) != '' and (cda:value/@integrityCheckAlgorithm != 'SHA-1')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:value) and (cda:value/@integrityCheck) and normalize-space(cda:value/@integrityCheck) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'value' tag 'integrityCheck' attribute shall contain a value. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value' child tag with the empty 'integrityCheck' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and (cda:value/@integrityCheck) and normalize-space(cda:value/@integrityCheck) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(cda:value) or (cda:value/cda:reference)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'cda:reference' tag is missing. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value' child tag with the missing 'reference' tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:value) or (cda:value/cda:reference)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(cda:value) and count(cda:value/cda:reference) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'cda:reference' tag shall appear only once. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value' child tag with the duplicate 'reference' tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and count(cda:value/cda:reference) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:value) and (cda:value/@representation) and normalize-space(cda:value/@representation)='B64'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia/value' tag - The 'value' tag 'representation' attribute shall not contain the value 'B64'. Authoring Systems SHALL ensure that all attachments referenced in 'renderMultimedia' narrative block elements or used for a branding logo, are not inlined in their associated observationMedia entries. Check all 'cda:observationMedia/cda:value' tags to find the incorrect 'representation' attribute. Refer to "024631 - Only text SHALL be attached inline" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:value) and (cda:value/@representation) and normalize-space(cda:value/@representation)='B64'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:observationMedia[translate(@ID, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')='LOGO']/cda:value/cda:reference" priority="3975" mode="M36">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'reference' tag 'value' attribute is missing. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value/cda:reference' child tag with the missing 'value' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'reference' tag 'value' attribute shall contain a value. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value/cda:reference' child tag with the empty 'value' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(starts-with(@value, '#'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'observationMedia' tag - The 'reference' tag 'value' attribute shall not contain the value '#' in the beginning. Check all 'cda:observationMedia' with 'ID=LOGO' attribute to find the 'cda:value/cda:reference' child tag with the incorrect 'value' attribute. Refer to "024631 - Only text SHALL be attached inline, 023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(starts-with(@value, '#'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="cda:observationMedia/cda:value |             cda:observation/cda:text |              cda:externalAct/cda:text |              cda:externalObservation/cda:text |              cda:externalProcedure/cda:text |              cda:externalDocument/cda:text" priority="3974" mode="M36">
    <xsl:choose>
      <xsl:when test="not(@mediaType) or                 normalize-space(@mediaType) = '' or                 contains(@mediaType, ';') or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = (current()/@mediaType)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'value' tag or the 'text' tag 'mediaType' attribute shall be as per CDA Limitation MIME Type defined inside "Common_Conformance_Profile_for_Clinical_Documents_v1.6". NOTE: This restriction shall be applied to 'My Health Record' messages only. Ignore this error for 'non-My Health Record' messages. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the incorrect 'mediaType' attribute. Refer to "023741 - MIME types allowed as attachments, 024629 - Supported filename extensions, 024630 - Matching filename extensions, 023742 - MIME types not allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@mediaType) or                 normalize-space(@mediaType) = '' or                 contains(@mediaType, ';') or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = (current()/@mediaType)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@mediaType) or                 normalize-space(@mediaType) = '' or                 not(contains(@mediaType, ';')) or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = substring-before(current()/@mediaType, ';')]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'value' tag or the 'text' tag 'mediaType' attribute shall be as per CDA Limitation MIME Type defined inside "Common_Conformance_Profile_for_Clinical_Documents_v1.6". NOTE: This restriction shall be applied to 'My Health Record' messages only. Ignore this error for 'non-My Health Record' messages. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the incorrect 'mediaType' attribute. Refer to "023741 - MIME types allowed as attachments, 024629 - Supported filename extensions, 024630 - Matching filename extensions, 023742 - MIME types not allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@mediaType) or                 normalize-space(@mediaType) = '' or                 not(contains(@mediaType, ';')) or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = substring-before(current()/@mediaType, ';')]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(@mediaType) and (@integrityCheckAlgorithm) and (normalize-space(@integrityCheckAlgorithm) = '')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'integrityCheckAlgorithm' attribute shall contain a value. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags with the empty 'integrityCheckAlgorithm' attribute value. Refer to "M 16 of 3.3.3 Conformance points of CDA Package Version 1.0" and "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@mediaType) and (@integrityCheckAlgorithm) and (normalize-space(@integrityCheckAlgorithm) = '')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@mediaType) and                 (@integrityCheckAlgorithm) and                 normalize-space(@integrityCheckAlgorithm) != '' and                 (@integrityCheckAlgorithm != 'SHA-1')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'integrityCheckAlgorithm' attribute shall contain the value 'SHA-1'. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags with the incorrect 'integrityCheckAlgorithm' attribute value. Refer to "M 16 of 3.3.3 Conformance points of CDA Package Version 1.0" and "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@mediaType) and                 (@integrityCheckAlgorithm) and                 normalize-space(@integrityCheckAlgorithm) != '' and                 (@integrityCheckAlgorithm != 'SHA-1')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@mediaType) or (@integrityCheck)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'value' tag 'integrityCheck' attribute is missing. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags with the missing 'integrityCheck' attribute. Refer to "M 20 and M22 of 3.3.3 Conformance points of CDA Package Version 1.0" and "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@mediaType) or (@integrityCheck)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="(not(@mediaType) and not(@integrityCheck)) or normalize-space(@integrityCheck) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'integrityCheck' attribute shall contain a value. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags with the empty 'integrityCheck' attribute value. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">(not(@mediaType) and not(@integrityCheck)) or normalize-space(@integrityCheck) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@mediaType) or (cda:reference)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'reference' tag is missing. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the missing 'reference' child tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@mediaType) or (cda:reference)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(@mediaType) and (count(cda:reference) &gt; 1)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'reference' tag shall appear only once. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the duplicated 'reference' child tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@mediaType) and (count(cda:reference) &gt; 1)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@mediaType) and (@representation) and normalize-space(@representation)='B64'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'value' tag 'representation' attribute shall not contain the value 'B64'. Authoring Systems SHALL ensure that all attachments referenced in 'renderMultimedia' narrative block elements or used for a branding logo, are not inlined in their associated observationMedia entries. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the incorrect 'representation' attribute value. Refer to "024631 - Only text SHALL be attached inline" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@mediaType) and (@representation) and normalize-space(@representation)='B64'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(cda:reference/@value) or (normalize-space(cda:reference/@value) = '') or not(@mediaType) or (normalize-space(@mediaType) = '') or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.gif') and (@mediaType = 'image/gif')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.jpeg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.jpg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.pdf') and (@mediaType = 'application/pdf')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.png') and (@mediaType = 'image/png')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.tif') and (@mediaType = 'image/tiff'))or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.tiff') and (@mediaType = 'image/tiff'))                 " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'value' tag or the 'text' tag 'mediaType' attribute value shall be either 'image/gif' or 'image/jpeg' or 'application/pdf' or 'image/png' or 'image/tiff' and 'reference' tag 'value' attribute shall have a filetype extension of 'GIF' or 'JPEG' or 'JPG' or 'PDF' or 'PNG' or 'TIF' or 'TIFF' and also the 'mediaType' attribute and the 'value' attribute shall correspond with each other. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags for incorrect values. Refer to "023741 - MIME types allowed as attachments, 024629 - Supported filename extensions, 024630 - Matching filename extensions, 023742 - MIME types not allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:reference/@value) or (normalize-space(cda:reference/@value) = '') or not(@mediaType) or (normalize-space(@mediaType) = '') or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.gif') and (@mediaType = 'image/gif')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.jpeg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.jpg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.pdf') and (@mediaType = 'application/pdf')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.png') and (@mediaType = 'image/png')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.tif') and (@mediaType = 'image/tiff'))or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.tiff') and (@mediaType = 'image/tiff'))                 </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:reference/@value) or not(starts-with(cda:reference/@value, '#'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'reference' tag 'value' attribute shall not contain a value starting with '#'. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the 'cda:reference' child tag with the incorrect 'value' attribute value. Refer to "024631 - Only text SHALL be attached inline, 023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:reference/@value) or not(starts-with(cda:reference/@value, '#'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(cda:reference/@value) and (normalize-space(cda:reference/@value) = '')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags - The 'reference' tag 'value' attribute shall contain a value. Check all 'cda:observationMedia/cda:value', 'cda:observation/cda:text', 'cda:externalAct/cda:text', 'cda:externalObservation/cda:text', 'cda:externalProcedure/cda:text' and 'cda:externalDocument/cda:text' tags to find the 'cda:reference' child tag with the incorrect 'value' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:reference/@value) and (normalize-space(cda:reference/@value) = '')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M36" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M36" />
  <xsl:template match="cda:name[not(                 ancestor::cda:manufacturedMaterial or                 ancestor::cda:product or                 ancestor::cda:receivedOrganization or                 ancestor::cda:representedOrganization or                 ancestor::cda:representedCustodianOrganization or                 ancestor::cda:scopingOrganization or                 ancestor::cda:serviceProviderOrganization or                 ancestor::cda:targetSiteCode or                 ancestor::ext:employerOrganization or                 ancestor::cda:playingEntity or                 ancestor::cda:qualifier or                 @nullFlavor='MSK')]" priority="4000" mode="M37">
    <xsl:choose>
      <xsl:when test="cda:family" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "name" tag - The 'family' tag is missing. Check all 'cda:name' tags to find the missing 'family' child tag. Refer to section 8.5 Person Name of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:family</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M37" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M37" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]" priority="4000" mode="M38">
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.2.2 Document Author as a Person (Healthcare Provider) - The 'asEntityIdentifier' tag with a HPI-I is missing. Refer to 028630 - 'Document Author Entity Identifier value' of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.2.2 Document Author as a Person (Healthcare Provider) of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M38" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M38" />
  <xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M39">
    <xsl:if test="count(cda:legalAuthenticator) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator" - The 'legalAuthenticator' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:legalAuthenticator) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator" priority="3999" mode="M39">
    <xsl:choose>
      <xsl:when test="cda:time" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/time" - The 'time' tag is missing. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:time</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:time) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/time" - The 'time' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:time) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:signatureCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/signatureCode" - The 'signatureCode' tag is missing. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:signatureCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:signatureCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/signatureCode" - The 'signatureCode' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:signatureCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:assignedEntity) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity" - The 'assignedEntity' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedEntity) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:assignedEntity" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity" - The 'assignedEntity' tag is missing. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:assignedEntity</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:time" priority="3998" mode="M39">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/time" - The 'time' tag 'value' attribute is missing. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/time" - The 'time' tag 'value' attribute shall contain a value. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:signatureCode" priority="3997" mode="M39">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/signatureCode" - The 'signatureCode' tag 'code' attribute is missing. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@code) or normalize-space(@code) = '' or @code = 'S'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/signatureCode" - The 'signatureCode' tag 'code' attribute shall contain the value 'S'. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@code) or normalize-space(@code) = '' or @code = 'S'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/signatureCode" - The 'signatureCode' tag 'code' attribute shall contain a value. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity" priority="3996" mode="M39">
    <xsl:if test="count(cda:code) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/code" - The 'code' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:code) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/id" - The 'id' tag is missing. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/id" - The 'id' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:assignedPerson) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/assignedPerson" - The 'assignedPerson' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:assignedPerson) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:representedOrganization) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/representedOrganization" - The 'representedOrganization' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:representedOrganization) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:assignedPerson" priority="3995" mode="M39">
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/assignedPerson/Entity Identifier" - The 'asEntityIdentifier' tag is missing. Refer to section 023728 - Include the person's name and an entity identifier in the legalAuthenticator element of the Clinical_Documents_Common_Conformance_Profile_v1.6 and section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:name" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/assignedPerson/Person Name" - The 'name' tag is missing. Refer to section 023728 - Include the person's name and an entity identifier in the legalAuthenticator element of the Clinical_Documents_Common_Conformance_Profile_v1.6 and section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:name</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:representedOrganization" priority="3994" mode="M39">
    <xsl:if test="cda:name and normalize-space(cda:name) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/representedOrganization/name" - The 'name' tag shall contain a value. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:name and normalize-space(cda:name) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:assignedPerson/ext:asEntityIdentifier" priority="3993" mode="M39">
    <xsl:if test="count(ext:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/assignedPerson/Entity Identifier" - The 'id' tag shall appear only once. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="ext:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/assignedPerson/Entity Identifier" - The 'id' tag is missing. Refer to section 023728 - Include the person's name and an entity identifier in the legalAuthenticator element of the Clinical_Documents_Common_Conformance_Profile_v1.6 and section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:assignedPerson/ext:asEntityIdentifier/ext:id" priority="3992" mode="M39">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 LegalAuthenticator - "LegalAuthenticator/assignedEntity/assignedPerson/Entity Identifier" - The 'id' tag 'nullFlavor' attribute shall not be present. Refer to section 5.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M39" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M39" />
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:asEntityIdentifier" priority="4000" mode="M40">
    <xsl:choose>
      <xsl:when test="not(ext:id) or (ext:id/@root)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 5.1.1 SUBJECT OF CARE - "ext:asEntityIdentifier/ext:id" tag - The 'ext:id' tag 'root' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and "section 5.1.1 SUBJECT OF CARE" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:id) or (ext:id/@root)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.')]) and not(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 SUBJECT OF CARE - The 'asEntityIdentifier' tag shall not have a National Identifier other than an IHI. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and "section 5.1.1 SUBJECT OF CARE" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.')]) and not(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:id[@root = '1.2.36.1.2001.1003.0']) and not(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 SUBJECT OF CARE - The 'asEntityIdentifier' tag shall not have a National Identifier other than an IHI. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and "section 5.1.1 SUBJECT OF CARE" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[@root = '1.2.36.1.2001.1003.0']) and not(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:id[starts-with(@root, '1.2.36.1.2001.1005.41.') or (@root = '1.2.36.1.2001.1005.41')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 SUBJECT OF CARE - The 'asEntityIdentifier' tag for Subject of Care shall not have the local identifier of the Healthcare Provider Individual or Legal Authenticator. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and "section 5.1.1 SUBJECT OF CARE" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[starts-with(@root, '1.2.36.1.2001.1005.41.') or (@root = '1.2.36.1.2001.1005.41')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M40" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M40" />
  <xsl:template match="ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.29.') or (@root = '1.2.36.1.2001.1005.29')]" priority="4000" mode="M41">
    <xsl:choose>
      <xsl:when test="parent::*/ext:code " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:code' tag is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">parent::*/ext:code </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@root) or (starts-with(@root, '1.2.36.1.2001.1005.29.800362'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.29 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@root) or (starts-with(@root, '1.2.36.1.2001.1005.29.800362'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and not(string-length(@root) &gt;= 38)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.29 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and not(string-length(@root) &gt;= 38)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and (string-length(@root) &gt;= 38) and contains(substring(@root, 23, 16), '.')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.29 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and (string-length(@root) &gt;= 38) and contains(substring(@root, 23, 16), '.')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (substring(@root, string-length(@root), 1) = '.')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.29 followed by the national healthcare identifier of the organisation that maintains the local identifier and SHALL NOT end with a dot (.). Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (substring(@root, string-length(@root), 1) = '.')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and (string-length(@root) &gt; 38) and substring(@root, 39, 1) != '.'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.29 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and (string-length(@root) &gt; 38) and substring(@root, 39, 1) != '.'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (number(translate(@root, '0123456789.', '00000000000')) != 0)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute SHALL be a valid OID. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (number(translate(@root, '0123456789.', '00000000000')) != 0)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and not(             (             number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +             0 +             2 * 0 +             3 +             number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +             number(substring(substring-after(@root, '80036'), 1, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 3, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 5, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 7, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 9, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 11, 1))             ) mod 10 = 0)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'root' attribute having the OID 1.2.36.1.2001.1005.29 followed by the national healthcare identifier of the organisation that maintains the local identifier SHALL have a valid Luhn check digit. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.29.800362')) and not(             (             number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +             0 +             2 * 0 +             3 +             number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +             number(substring(substring-after(@root, '80036'), 1, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 3, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 5, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 7, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 9, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 11, 1))             ) mod 10 = 0)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@extension" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'extension' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@extension</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@assigningAuthorityName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:id' tag 'assigningAuthorityName' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@assigningAuthorityName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M41" />
  </xsl:template>
  <xsl:template match="ext:asEntityIdentifier[ext:id[starts-with(@root, '1.2.36.1.2001.1005.29.') or (@root = '1.2.36.1.2001.1005.29')]]/ext:code" priority="3999" mode="M41">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:code' tag 'code' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:code' tag 'codeSystem' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem='2.16.840.1.113883.12.203'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:code' tag 'codeSystem' attribute shall contain the value '2.16.840.1.113883.12.203'. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem='2.16.840.1.113883.12.203'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystemName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:code' tag 'codeSystemName' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystemName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystemName) or normalize-space(@codeSystemName) = '' or @codeSystemName='Identifier Type (HL7)'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Consumer" - The 'ext:code' tag 'codeSystemName' attribute shall contain the value 'Identifier Type (HL7)'. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystemName) or normalize-space(@codeSystemName) = '' or @codeSystemName='Identifier Type (HL7)'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M41" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M41" />
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]" priority="4000" mode="M42">
    <xsl:if test="count(ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - The 'asEntityIdentifier' tag with a HPI-I shall not exist more than once. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M42" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asEntityIdentifier" priority="3999" mode="M42">
    <xsl:if test="(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360') or starts-with(@root, '1.2.36.1.2001.1005.29.') or (@root = '1.2.36.1.2001.1005.29')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - The 'asEntityIdentifier' tag shall not have an IHI or the local identifier of the consumer. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360') or starts-with(@root, '1.2.36.1.2001.1005.29.') or (@root = '1.2.36.1.2001.1005.29')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M42" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson[ext:asEmployment]/ext:asEntityIdentifier/ext:id" priority="3998" mode="M42">
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0.')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - The 'asEntityIdentifier' tag shall not have a National Identifier other than an HPI-I if it starts with "1.2.36.1.2001.1003.0.".Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0.')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider - The 'asEntityIdentifier' tag shall not have a National Identifier other than an HPI-I if it starts with "1.2.36.1.2001.1003.0". Refer to "023876 - Local identifier details for a person in an Entity Identifier element of Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 6.1.2.2 DOCUMENT AUTHOR as a PERSON - Healthcare Provider" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M42" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M42" />
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:assignedPerson" priority="4000" mode="M43">
    <xsl:if test="count(ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 Legal Authenticator - The 'asEntityIdentifier' tag with a HPI-I shall not exist more than once. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 5.1.1 Legal Authenticator" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M43" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:assignedPerson/ext:asEntityIdentifier" priority="3999" mode="M43">
    <xsl:if test="(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360') or starts-with(@root, '1.2.36.1.2001.1005.29.') or (@root = '1.2.36.1.2001.1005.29')])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 Legal Authenticator - The 'asEntityIdentifier' tag shall not have an IHI or the local identifier of the consumer. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 5.1.1 Legal Authenticator" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360') or starts-with(@root, '1.2.36.1.2001.1005.29.') or (@root = '1.2.36.1.2001.1005.29')])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M43" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:assignedPerson/ext:asEntityIdentifier/ext:id" priority="3998" mode="M43">
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0.')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 Legal Authenticator - The 'asEntityIdentifier' tag shall not have a National Identifier other than an HPI-I. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 5.1.1 Legal Authenticator" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0.')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(starts-with(@root, '1.2.36.1.2001.1003.0')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 5.1.1 Legal Authenticator - The 'asEntityIdentifier' tag shall not have a National Identifier other than an HPI-I. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of the Clinical_Documents_Common_Conformance_Profile_v1.6" and "section 5.1.1 Legal Authenticator" of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(starts-with(@root, '1.2.36.1.2001.1003.0')) and not(starts-with(@root, '1.2.36.1.2001.1003.0.800361'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M43" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M43" />
  <xsl:template match="ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41.') or (@root = '1.2.36.1.2001.1005.41')]" priority="4000" mode="M44">
    <xsl:choose>
      <xsl:when test="parent::*/ext:code " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">parent::*/ext:code </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@root) or (starts-with(@root, '1.2.36.1.2001.1005.41.800362'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.41 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@root) or (starts-with(@root, '1.2.36.1.2001.1005.41.800362'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and not(string-length(@root) &gt;= 38)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.41 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and not(string-length(@root) &gt;= 38)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and (string-length(@root) &gt;= 38) and contains(substring(@root, 23, 16), '.')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.41 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and (string-length(@root) &gt;= 38) and contains(substring(@root, 23, 16), '.')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (substring(@root, string-length(@root), 1) = '.')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.41 followed by the national healthcare identifier of the organisation that maintains the local identifier and SHALL NOT end with a dot (.). Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (substring(@root, string-length(@root), 1) = '.')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and (string-length(@root) &gt; 38) and substring(@root, 39, 1) != '.'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute SHALL be the OID 1.2.36.1.2001.1005.41 followed by the national healthcare identifier of the organisation that maintains the local identifier. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and (string-length(@root) &gt; 38) and substring(@root, 39, 1) != '.'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (number(translate(@root, '0123456789.', '00000000000')) != 0)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute SHALL be a valid OID. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (number(translate(@root, '0123456789.', '00000000000')) != 0)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and not(             (             number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +             0 +             2 * 0 +             3 +             number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +             number(substring(substring-after(@root, '80036'), 1, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 3, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 5, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 7, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 9, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 11, 1))             ) mod 10 = 0)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'root' attribute having the OID 1.2.36.1.2001.1005.41 followed by the national healthcare identifier of the organisation that maintains the local identifier SHALL have a valid Luhn check digit. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@root) and (starts-with(@root, '1.2.36.1.2001.1005.41.800362')) and not(             (             number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +             0 +             2 * 0 +             3 +             number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +             number(substring(substring-after(@root, '80036'), 1, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 3, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 5, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 7, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 9, 1)) +             number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +             number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +             number(substring(substring-after(@root, '80036'), 11, 1))             ) mod 10 = 0)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@extension" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'extension' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@extension</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@assigningAuthorityName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:id' tag 'assigningAuthorityName' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@assigningAuthorityName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M44" />
  </xsl:template>
  <xsl:template match="ext:asEntityIdentifier[ext:id[starts-with(@root, '1.2.36.1.2001.1005.41.') or (@root = '1.2.36.1.2001.1005.41')]]/ext:code" priority="3999" mode="M44">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag 'code' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or (@code='EI')" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag 'code' attribute shall contain the value 'EI'. Refer to "023876 - Local identifier details for a person in an Entity Identifier element of Clinical_Documents_Common_Conformance_Profile_v1.6" and and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or (@code='EI')</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag 'codeSystem' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem='2.16.840.1.113883.12.203'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag 'codeSystem' attribute shall contain the value '2.16.840.1.113883.12.203'. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem='2.16.840.1.113883.12.203'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystemName" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag 'codeSystemName' attribute is missing. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystemName</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystemName) or normalize-space(@codeSystemName) = '' or @codeSystemName='Identifier Type (HL7)'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "Local Identifier for a Healthcare Provider Individual" - The 'ext:code' tag 'codeSystemName' attribute shall contain the value 'Identifier Type (HL7)'. Refer to "023876 - Local identifier details for a person in an Entity Identifier element" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystemName) or normalize-space(@codeSystemName) = '' or @codeSystemName='Identifier Type (HL7)'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M44" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M44" />
  <xsl:template match="*[cda:reference[@value][not(starts-with(@value, '#'))]]" priority="4000" mode="M45">
    <xsl:choose>
      <xsl:when test="@mediaType" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute is missing for having attachment. Check all parent tags of reference tag to find the tag with 'mediaType' attribute missing. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@mediaType</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@xsi:type and normalize-space(@xsi:type) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'xsi:type' attribute shall contain a value. Check all parent tags of reference tag to find the tag with blank 'xsi:type' attribute value. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@xsi:type and normalize-space(@xsi:type) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:reference) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'reference' tag shall appear only once. Check all parent tags of reference tag to find the duplicated 'reference' tag. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:reference) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(@xsi:type) or                 normalize-space(@xsi:type) = '' or                 not(normalize-space(@xsi:type) = 'ED' or                 (substring-before(normalize-space(@xsi:type), ':') != '' and                 substring-after(normalize-space(@xsi:type), ':') = 'ED')) or                 not(cda:reference) or                 @mediaType" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute is missing for having attachment. Check all parent tags of reference tag to find the tag with 'mediaType' attribute missing. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@xsi:type) or                 normalize-space(@xsi:type) = '' or                 not(normalize-space(@xsi:type) = 'ED' or                 (substring-before(normalize-space(@xsi:type), ':') != '' and                 substring-after(normalize-space(@xsi:type), ':') = 'ED')) or                 not(cda:reference) or                 @mediaType</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@mediaType and normalize-space(@mediaType) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute shall contain a value. Check all parent tags of reference tag to find the 'mediaType' attribute of missing value. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@mediaType and normalize-space(@mediaType) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@mediaType and (normalize-space(@mediaType) != '') and (starts-with(@mediaType, 'http:') or starts-with(@mediaType, 'https:') or starts-with(@mediaType, 'ftp:'))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute shall contain a value. Check all parent tags of reference tag to find the incorrect 'mediaType' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@mediaType and (normalize-space(@mediaType) != '') and (starts-with(@mediaType, 'http:') or starts-with(@mediaType, 'https:') or starts-with(@mediaType, 'ftp:'))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:reference and                 cda:reference/@value and                 not(starts-with(cda:reference/@value, '#')) and                 @mediaType and                 normalize-space(@mediaType) != '' and (                 not (contains(@mediaType, ';')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = (current()/@mediaType)])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute shall be as per CDA Limitation MIME Type defined inside "Common Conformance Profile for Clinical Documents". Check all parent tags of reference tag to find the incorrect 'mediaType' attribute. Refer to "023741 - MIME types allowed as attachments, 024629 - Supported filename extensions, 024630 - Matching filename extensions, 023742 - MIME types not allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:reference and                 cda:reference/@value and                 not(starts-with(cda:reference/@value, '#')) and                 @mediaType and                 normalize-space(@mediaType) != '' and (                 not (contains(@mediaType, ';')) and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = (current()/@mediaType)])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 cda:reference and                 cda:reference/@value and                 not(starts-with(cda:reference/@value, '#')) and                 @mediaType and                 normalize-space(@mediaType) != '' and (                 contains(@mediaType, ';') and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = substring-before(current()/@mediaType, ';')])                 )">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute shall be as per CDA Limitation MIME Type defined inside "Common Conformance Profile for Clinical Documents". Check all parent tags of reference tag to find the incorrect 'mediaType' attribute. Refer to "023741 - MIME types allowed as attachments, 024629 - Supported filename extensions, 024630 - Matching filename extensions, 023742 - MIME types not allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 cda:reference and                 cda:reference/@value and                 not(starts-with(cda:reference/@value, '#')) and                 @mediaType and                 normalize-space(@mediaType) != '' and (                 contains(@mediaType, ';') and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'CDA_MIME_Type']/code[@displayName = substring-before(current()/@mediaType, ';')])                 )</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="(normalize-space(cda:reference/@value) = '') or                  not(@mediaType) or                  (normalize-space(@mediaType) = '') or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.gif') and (@mediaType = 'image/gif')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.jpeg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.jpg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.pdf') and (@mediaType = 'application/pdf')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.png') and (@mediaType = 'image/png')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.tif') and (@mediaType = 'image/tiff')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.tiff') and (@mediaType = 'image/tiff'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for *[child::*:reference] tag - The 'mediaType' attribute shall match the MIME TYPE of the reference value attribute attachment. Check all parent tags of reference tag to find the tag with 'mediaType' attribute missing. Refer to "023741 - MIME types allowed as attachments, 024629 - Supported filename extensions, 024630 - Matching filename extensions, 023742 - MIME types not allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">(normalize-space(cda:reference/@value) = '') or                  not(@mediaType) or                  (normalize-space(@mediaType) = '') or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.gif') and (@mediaType = 'image/gif')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.jpeg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.jpg') and (@mediaType = 'image/jpeg')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.pdf') and (@mediaType = 'application/pdf')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.png') and (@mediaType = 'image/png')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 3), 4)='.tif') and (@mediaType = 'image/tiff')) or                 ((substring(cda:reference/@value, ((string-length(cda:reference/@value)) - 4), 5)='.tiff') and (@mediaType = 'image/tiff'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M45" />
  </xsl:template>
  <xsl:template match="*[@mediaType]/cda:reference" priority="3999" mode="M45">
    <xsl:choose>
      <xsl:when test="@value" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for '*[@mediaType]/cda:reference' tag - The 'reference' tag 'value' attribute is missing. Check all cda:reference tags to find the missing 'value' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@value) or normalize-space(@value) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for '*[@mediaType]/cda:reference' tag - The 'reference' tag 'value' attribute shall contain a value. Check all cda:reference tags to find the empty 'value' attribute. Refer to "023741 - MIME types allowed as attachments" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@value) or normalize-space(@value) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M45" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M45" />
  <xsl:template match="*" priority="4000" mode="M46">
    <xsl:if test="@nullFlavor and normalize-space(@nullFlavor) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "nullFlavor" attribute - The 'nullFlavor' attribute shall contain a value. Check all tags with 'nullFlavor' attribute to find the missing attribute value. Refer to "027600 - No abnormal values" and "027576 - Permissible absent values" of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@nullFlavor and normalize-space(@nullFlavor) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                     not(@nullFlavor) or normalize-space(@nullFlavor) = '' or                     (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Coded_DataType_NullFlavor_Absent_Values']/code[                     (@code = current()/@nullFlavor)])" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for "nullFlavor" attribute - The 'nullFlavor' attribute value shall not be "INV", "OTH", "NINF", "PINF", "UNC", "DER", "QS", "TRC". Check all tags with 'nullFlavor' attribute to find the incorrect attribute value. Refer to "027600 - No abnormal values" and "027576 - Permissible absent values" of the Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                     not(@nullFlavor) or normalize-space(@nullFlavor) = '' or                     (document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Coded_DataType_NullFlavor_Absent_Values']/code[                     (@code = current()/@nullFlavor)])</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M46" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M46" />
  <xsl:template match="cda:text[cda:reference[@value][not(starts-with(@value, '#') or contains(@value, ':'))]]" priority="4000" mode="M47">
    <xsl:if test="@integrityCheckAlgorithm and normalize-space(@integrityCheckAlgorithm) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for text/reference tag - The 'integrityCheckAlgorithm' tag shall contain a value. Check all parent tags of reference tag to find the tag with 'integrityCheckAlgorithm'. Refer to "M 16 of section 3.3.3 Conformance points" of CDA_Package_v1.0 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@integrityCheckAlgorithm and normalize-space(@integrityCheckAlgorithm) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @integrityCheckAlgorithm and normalize-space(@integrityCheckAlgorithm) != '' and   @integrityCheckAlgorithm != 'SHA-1'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for text/reference tag - The 'integrityCheckAlgorithm' tag shall contain the value 'SHA-1'. Check all parent tags of reference tag to find the tag with 'integrityCheckAlgorithm'. Refer to "M 16 of section 3.3.3 Conformance points" of CDA_Package_v1.0 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @integrityCheckAlgorithm and normalize-space(@integrityCheckAlgorithm) != '' and   @integrityCheckAlgorithm != 'SHA-1'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@integrityCheck" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - Global Clinical Document check for text/reference tag - The 'integrityCheck' attribute is missing for the attachment. Check all parent tags of reference tag to find the tag with 'integrityCheck' attribute missing. Refer to "M 20 and M 22 of section 3.3.3 Conformance points" of CDA_Package_v1.0 and the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@integrityCheck</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M47" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M47" />
  <xsl:template match="cda:author/cda:time | cda:participant/cda:time" priority="4000" mode="M48">
    <xsl:choose>
      <xsl:when test="(@value) or ((cda:high/@value) and (cda:low/@value) and (@xsi:type = 'IVL_TS'))" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - "Participation Period" - The 'time' tag shall have a 'value' attribute OR 'xsi:type' attribute having the value 'IVL_TS' along with both the 'high' and 'low' tags with corresponding 'value' attributes. Refer to the section 6.1.2.1 and/or 6.1.2.2 and/or 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">(@value) or ((cda:high/@value) and (cda:low/@value) and (@xsi:type = 'IVL_TS'))</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="(@value) and ((cda:high) or (cda:low))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - "Participation Period" - The 'time' tag shall not have both a 'value' attribute and the 'high' and/or 'low' tag(s). Refer to the section 6.1.2.1 and/or 6.1.2.2 and/or 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(@value) and ((cda:high) or (cda:low))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(cda:high/@nullFlavor) or (cda:low/@nullFlavor)">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - "Participation Period" - The 'time' tag shall not have the 'high' and/or 'low' tag(s) with corresponding 'nullFlavor' attribute(s). Refer to the section 6.1.2.1 and/or 6.1.2.2 and/or 7.1.1.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(cda:high/@nullFlavor) or (cda:low/@nullFlavor)</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M48" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M48" />
  <xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M49">
    <xsl:choose>
      <xsl:when test="cda:recordTarget" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'recordTarget' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:recordTarget</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:recordTarget) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'recordTarget' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:recordTarget) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget" priority="3999" mode="M49">
    <xsl:if test="@typeCode  and normalize-space(@typeCode ) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'recordTarget' tag 'typeCode ' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@typeCode  and normalize-space(@typeCode ) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 @typeCode  and normalize-space(@typeCode ) != '' and @typeCode  != 'RCT'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'recordTarget' tag 'typeCode ' attribute shall contain the value 'RCT'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 @typeCode  and normalize-space(@typeCode ) != '' and @typeCode  != 'RCT'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:patientRole" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'patientRole' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:patientRole</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:patientRole) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'patientRole' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:patientRole) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole" priority="3998" mode="M49">
    <xsl:choose>
      <xsl:when test="@classCode " />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'patientRole' tag 'classCode ' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@classCode </xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@classCode ) or normalize-space(@classCode ) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'patientRole' tag 'classCode ' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@classCode ) or normalize-space(@classCode ) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@classCode ) or normalize-space(@classCode ) = '' or @classCode  = 'PAT'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'patientRole' tag 'classCode ' attribute shall contain the value 'PAT'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@classCode ) or normalize-space(@classCode ) = '' or @classCode  = 'PAT'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:id" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'id' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:id</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:id) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE" - The 'id' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:id) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:patient" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT" - The 'patient' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:patient</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:patient) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT" - The 'patient' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:patient) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:addr" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / ADDRESS" - The 'addr' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:addr</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient" priority="3997" mode="M49">
    <xsl:choose>
      <xsl:when test="ext:asEntityIdentifier" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / Entity Identifier" - The 'asEntityIdentifier' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">ext:asEntityIdentifier</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(ext:asEntityIdentifier) or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / Entity Identifier" - The 'asEntityIdentifier' tag for 'IHI' is missing. "The value of one Entity Identifier SHALL be an Australian IHI". Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:asEntityIdentifier) or ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800360')]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:name" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / PERSON NAME" - The 'name' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:name</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:administrativeGenderCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:administrativeGenderCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:administrativeGenderCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:administrativeGenderCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(ext:multipleBirthInd) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthInd' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:multipleBirthInd) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:multipleBirthOrderNumber) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:multipleBirthOrderNumber) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:birthplace) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'birthplace' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:birthplace) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:ethnicGroupCode) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:ethnicGroupCode) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:ethnicGroupCode" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:ethnicGroupCode</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="cda:birthTime" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth" - The 'birthTime' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:birthTime</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="count(cda:birthTime) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth" - The 'birthTime' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:birthTime) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:deceasedInd) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedInd' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:deceasedInd) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(ext:deceasedTime) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedTime' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(ext:deceasedTime) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(ext:asEmployment)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / EMPLOYMENT DETAIL" - The 'asEmployment' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(ext:asEmployment)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:name/cda:family" priority="3996" mode="M49">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / PERSON NAME" - The 'family' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:administrativeGenderCode" priority="3995" mode="M49">
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'code' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'code' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'AS_5017-2006_Health_Care_Client_Identifier_Sex']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'code' attribute shall be as per AS 5017-2006 Health Care Client Identifier Sex. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'AS_5017-2006_Health_Care_Client_Identifier_Sex']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'codeSystem' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '2.16.840.1.113883.13.68'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'codeSystem' attribute shall contain the value '2.16.840.1.113883.13.68'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '2.16.840.1.113883.13.68'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'displayName' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'AS_5017-2006_Health_Care_Client_Identifier_Sex']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'code' and 'displayName' attributes shall match as per AS 5017-2006 Health Care Client Identifier Sex. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'AS_5017-2006_Health_Care_Client_Identifier_Sex']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'administrativeGenderCode' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Sex" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthplace" priority="3994" mode="M49">
    <xsl:if test="count(cda:place) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'place' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:place) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:place" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'place' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:place</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthplace/cda:place" priority="3993" mode="M49">
    <xsl:if test="count(cda:addr) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'addr' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:addr) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="cda:addr" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'addr' tag is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">cda:addr</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthplace/cda:place/cda:addr" priority="3992" mode="M49">
    <xsl:if test="count(cda:country) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'country' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:country) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="count(cda:state) &gt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / State/Territory of Birth" - The 'state' tag shall appear only once. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">count(cda:state) &gt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="                 not(cda:state) or normalize-space(cda:state) = '' or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_State_Territory_Identifier_-_Postal']/code[(@code = current()/cda:state)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / State/Territory of Birth" - The 'state' tag shall be coded as per AS 5017-2006 Australian State/Territory Identifier - Postal. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(cda:state) or normalize-space(cda:state) = '' or                 document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_State_Territory_Identifier_-_Postal']/code[(@code = current()/cda:state)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:ethnicGroupCode" priority="3991" mode="M49">
    <xsl:choose>
      <xsl:when test="@code" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'code' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@code</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'METeOR_Indigenous_Status']/code[(@code = current()/@code)]" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'code' attribute shall be as per METeOR 291036: Indigenous Status. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) = '' or                  document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'METeOR_Indigenous_Status']/code[(@code = current()/@code)]</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@code) or normalize-space(@code) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'code' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@code) or normalize-space(@code) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '2.16.840.1.113883.3.879.291036'" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'codeSystem' attribute shall contain the value '2.16.840.1.113883.3.879.291036'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">                 not(@codeSystem) or normalize-space(@codeSystem) = '' or @codeSystem = '2.16.840.1.113883.3.879.291036'</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(@codeSystem) or normalize-space(@codeSystem) != ''" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'codeSystem' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@codeSystem) or normalize-space(@codeSystem) != ''</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@codeSystem" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'codeSystem' attribute is missing. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@codeSystem</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@displayName and normalize-space(@displayName) = ''">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'displayName' attribute shall contain a value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@displayName and normalize-space(@displayName) = ''</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'METeOR_Indigenous_Status']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'code' and 'displayName' attributes shall match as per METeOR 291036: Indigenous Status. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@code and normalize-space(@code) != '' and                 @displayName and normalize-space(@displayName) != '' and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system [@codeSystemName = 'METeOR_Indigenous_Status']/code[                     (@code = current()/@code) and (                     translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') =                     translate(current()/@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'ethnicGroupCode' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="not(cda:translation)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Indigenous Status" - The 'translation' tag shall not be present. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(cda:translation)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime" priority="3990" mode="M49">
    <xsl:choose>
      <xsl:when test="not(@nullFlavor)" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF BIRTH DETAIL / Date of Birth" - The 'birthTime' tag 'nullFlavor' attribute shall not be present. Refer to section 027575 - Mandatory values of Goals_of_Care_My_Health_Record_Conformance_Profile_v1.0 and section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">not(@nullFlavor)</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates mode="M49" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M49" />
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:addr" priority="4000" mode="M50">
    <xsl:if test="cda:country and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']/code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject of Care - "SUBJECT OF CARE / PARTICIPANT / ADDRESS" - The 'country' tag shall contain the value 'Australia'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:country and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']/code[translate(@displayName, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthplace/cda:place/cda:addr" priority="3999" mode="M50">
    <xsl:if test="cda:country and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']/code[(@code = current()/cda:country) or (translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject of Care - "SUBJECT OF CARE / PARTICIPANT &gt; PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Country of Birth" - The 'country' tag shall contain a value as per the Australia Bureau of Statistics, Standard Australian Classification of Countries SACC) Cat. No. 1269. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">cda:country and not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']/code[(@code = current()/cda:country) or (translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'))])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']/code[translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:state and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_State_Territory_Identifier_-_Postal']/code[(@code = current()/cda:state)])">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / State/Territory of Birth" - The 'state' tag shall be coded as per AS 5017-2006 Australian State/Territory Identifier - Postal. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">                 (not(cda:country) or document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'ISO3166-1']/code[translate(@displayName,  'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = translate(current()/cda:country, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')]/@code = 'AU') and                 cda:state and                 not(document('TEMPLATE/VALDN/CDAValidate_Vocabs.xml', .)/systems/system[@codeSystemName = 'Australian_State_Territory_Identifier_-_Postal']/code[(@code = current()/cda:state)])</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient" priority="3998" mode="M50">
    <xsl:if test="(ext:multipleBirthInd[@value='true'] and not(ext:multipleBirthOrderNumber))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject Of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag is missing for the existence of 'BirthOrder'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:multipleBirthInd[@value='true'] and not(ext:multipleBirthOrderNumber))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:multipleBirthInd[@value='false'] and (ext:multipleBirthOrderNumber))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject Of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag shall not be present for the missing of 'BirthOrder'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:multipleBirthInd[@value='false'] and (ext:multipleBirthOrderNumber))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:deceasedInd[@value='true'] and not(ext:deceasedTime))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject Of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedTime' tag is missing for the existence of 'deceasedInd=true'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:deceasedInd[@value='true'] and not(ext:deceasedTime))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="(ext:deceasedInd[@value='false'] and (ext:deceasedTime))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 Subject Of Care - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedTime' tag shall not be present for the missing of 'deceasedInd=false'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">(ext:deceasedInd[@value='false'] and (ext:deceasedTime))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:multipleBirthInd" priority="3997" mode="M50">
    <xsl:choose>
      <xsl:when test="@value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA &gt; Birth Order" - The 'multipleBirthInd' tag shall have at least the 'nullFlavor' or 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@value and @nullFlavor='NA'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthInd' tag shall not have both the 'nullFlavor=NA' and 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and @nullFlavor='NA'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and @value != 'true' and @value != 'false'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthInd' tag 'value' attribute shall contain the value 'true' or 'false'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and @value != 'true' and @value != 'false'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:multipleBirthOrderNumber" priority="3996" mode="M50">
    <xsl:choose>
      <xsl:when test="@value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag shall have at least the 'nullFlavor' or 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@value and @nullFlavor='NA'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag shall not have both the 'nullFlavor=NA' and 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and @nullFlavor='NA'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and not(number(@value))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag 'value' attribute shall be an integer value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and not(number(@value))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and number(@value) and not(floor(@value) = number(@value))">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag 'value' attribute shall be an integer value. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and number(@value) and not(floor(@value) = number(@value))</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and (@value) &lt; 1">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'multipleBirthOrderNumber' tag 'value' attribute shall be an integer greater than equal to 1. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and (@value) &lt; 1</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedInd" priority="3995" mode="M50">
    <xsl:choose>
      <xsl:when test="@value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedInd' tag shall have at least the 'nullFlavor' or 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@value and @nullFlavor='NA'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedInd' tag shall not have both the 'nullFlavor=NA' and 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and @nullFlavor='NA'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:if test="@value and  @value != 'true' and  @value != 'false'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / DATE OF DEATH DETAIL / Date of Death" - The 'deceasedInd' tag 'value' attribute shall contain the value 'true' or 'false'. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and  @value != 'true' and  @value != 'false'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime" priority="3994" mode="M50">
    <xsl:choose>
      <xsl:when test="@value or @nullFlavor" />
      <xsl:otherwise>
        <xsl:element name="issue">
          <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'deceasedTime' tag shall have at least the 'nullFlavor' or 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
          <xsl:element name="context">
            <xsl:apply-templates select="." mode="schematron-get-full-path" />
          </xsl:element>
          <xsl:element name="test">@value or @nullFlavor</xsl:element>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@value and @nullFlavor='NA'">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - 6.1.1 SUBJECT OF CARE - "SUBJECT OF CARE / PARTICIPANT / PERSON OR ORGANISATION OR DEVICE / PERSON / DEMOGRAPHIC DATA / Birth Order" - The 'deceasedTime' tag shall not have both the 'nullFlavor=NA' and 'value' attribute. Refer to section 6.1.1 of the Advance_Care_Information_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">@value and @nullFlavor='NA'</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M50" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M50" />
  <xsl:template match="/" priority="4000" mode="M51">
    <xsl:if test="processing-instruction('xml-stylesheet')">
      <xsl:element name="issue">
        <xsl:element name="message">Error: Goals of Care - There shall be no direct reference to a stylesheet in the CDA document. Refer to "025254 - Prohibit specific rendering of CDA content" of the Clinical_Documents_Common_Conformance_Profile_v1.6 and Goals_of_Care_CDA_Implementation_Guide_v1.0.</xsl:element>
        <xsl:element name="context">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:element>
        <xsl:element name="test">processing-instruction('xml-stylesheet')</xsl:element>
      </xsl:element>
    </xsl:if>
    <xsl:apply-templates mode="M51" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M51" />
  <xsl:template match="text()" priority="-1" />
</xsl:stylesheet>